commit 9d54f806e5668dfb6c7077db8ebf6abe23ba5320
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Tue Feb 16 06:35:12 2016 -0500
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Tue Feb 16 06:35:12 2016 -0500

    GLib 2.47.6

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5918f9609e38d97c6cd67129bfc4729cc2bb88e3
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Feb 15 15:53:06 2016 -0500
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Feb 15 15:53:06 2016 -0500

    Updates

 NEWS | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit 3f29f7272c1776997c013b78600700ffab3d7738
Author:     Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
AuthorDate: Sat Feb 13 06:37:02 2016 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Sat Feb 13 06:37:02 2016 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 469
 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 242 insertions(+), 227 deletions(-)

commit 4a213a2fed57159a1689b0be9c120eba98287131
Author:     Anders Jonsson <anders.jonsson@norsjovallen.se>
AuthorDate: Fri Feb 12 22:26:43 2016 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Fri Feb 12 22:26:43 2016 +0000

    Updated Swedish translation

 po/sv.po | 36 ++++++++++++++++++++----------------
 1 file changed, 20 insertions(+), 16 deletions(-)

commit 1964a8726b06237f751b2aa8b2a3fcd2ce555c44
Author:     Emmanuele Bassi <ebassi@gnome.org>
AuthorDate: Wed Feb 10 22:37:41 2016 +0000
Commit:     Emmanuele Bassi <ebassi@gnome.org>
CommitDate: Wed Feb 10 22:37:41 2016 +0000

    macros: Fix Clang attribute detection

    For attributes we have to use __has_attribute().

    https://bugzilla.gnome.org/show_bug.cgi?id=761843

 glib/gmacros.h | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit c7f540b9e98bca42fc2207c16425ac326edf8ab3
Author:     Rafael Fontenelle <rffontenelle@gmail.com>
AuthorDate: Wed Feb 10 17:31:53 2016 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Wed Feb 10 17:31:53 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 40 ++++++++++++++++++++++------------------
 1 file changed, 22 insertions(+), 18 deletions(-)

commit 0817af40e8c74c721c30f6ef482b1f53d12044c7
Author:     coypu <coypu@sdf.org>
AuthorDate: Mon Feb 8 00:06:06 2016 +0200
Commit:     Colin Walters <walters@verbum.org>
CommitDate: Mon Feb 8 10:26:58 2016 +0100

    gdate: Suppress string format literal warning

    Newer versions of GCC emit an error here, but we know it's safe.
    https://bugzilla.gnome.org/761550

 glib/gdate.c | 3 +++
 1 file changed, 3 insertions(+)

commit ac84fbfca370539094a99a3471c9d489d003ba90
Author:     Piotr Drąg <piotrdrag@gmail.com>
AuthorDate: Sat Feb 6 15:43:33 2016 +0100
Commit:     Piotr Drąg <piotrdrag@gmail.com>
CommitDate: Sat Feb 6 15:43:33 2016 +0100

    Updated Polish translation

 po/pl.po | 481
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 249 insertions(+), 232 deletions(-)

commit 30ff647a7cb8323ac96614a8f65900efb6092292
Author:     Dušan Kazik <prescott66@gmail.com>
AuthorDate: Sat Feb 6 14:18:18 2016 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Sat Feb 6 14:18:18 2016 +0000

    Updated Slovak translation

 po/sk.po | 1216
 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 788 insertions(+), 428 deletions(-)

commit 19fd89f8db75928038929f9ea6d918c5f5deb1a5
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Fri Feb 5 12:05:02 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Fri Feb 5 12:05:02 2016 +0100

    registrybackend: avoid adding a new child when we return the root

 gio/gregistrysettingsbackend.c | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 63b0f1087d4e4d209b5db53c6abf18dc1fdcf9a2
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Fri Feb 5 11:38:05 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Fri Feb 5 11:39:30 2016 +0100

    registrybackend: another cleanup creating a registry cache item

 gio/gregistrysettingsbackend.c | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit c73e9fc36acbbd9f37bf23af913631d23fcbbe7e
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Fri Feb 5 11:14:24 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Fri Feb 5 11:14:24 2016 +0100

    registrybackend: use registry_cache_add_item instead of creating
    manually

 gio/gregistrysettingsbackend.c | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit bd3dd1cd48bdc5c46598a6ef5649c55557cb276a
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Mon Feb 1 17:17:47 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Fri Feb 5 10:44:45 2016 +0100

    registrybackend: get whether a key is writable or not

 gio/gregistrysettingsbackend.c | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)

commit 604ca891769c664273beb519f315c6c327f48478
Author:     Руслан Ижбулатов <lrn1986@gmail.com>
AuthorDate: Fri Feb 5 09:40:30 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Fri Feb 5 09:40:30 2016 +0100

    registrybackend: do convert values to UTF-16

    Perform conversion before writing a value out of the cache into
    the registry,
    and convert back when reading a value into the cache out of the
    registry.
    The registry holds UTF-8 strings.

 gio/gregistrysettingsbackend.c | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit c4d943186e2709a975c574dfb396b911ca988a55
Author:     Руслан Ижбулатов <lrn1986@gmail.com>
AuthorDate: Fri Feb 5 09:39:21 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Fri Feb 5 09:39:21 2016 +0100

    registrybackend: fix memory leak

 gio/gregistrysettingsbackend.c | 4 ++++
 1 file changed, 4 insertions(+)

commit b8fc289e8fa126fec89d5b753bb05f80a75d57d9
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Thu Feb 4 12:44:11 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Thu Feb 4 12:44:11 2016 +0100

    registrybackend: remove useless include

 gio/gregistrysettingsbackend.c | 1 -
 1 file changed, 1 deletion(-)

commit 74442a0b8c59adf110b9072ac50955f45f59130c
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Thu Feb 4 11:16:45 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Thu Feb 4 11:16:45 2016 +0100

    registrybackend: do not leak self if there are no items

 gio/gregistrysettingsbackend.c | 13 +++++--------
 1 file changed, 5 insertions(+), 8 deletions(-)

commit dc97bb9b9b0ee0e0566d6a9752e06694f8e4985b
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Feb 2 13:12:22 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Thu Feb 4 11:02:46 2016 +0100

    registrybackend: handle readability of the keys

    If a key is removed or it cannot be read anymore we should
    notify the backend about it so it fallbacks to the default
    value.

 gio/gregistrysettingsbackend.c | 42
 +++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 41 insertions(+), 1 deletion(-)

commit 05dd91a0b6cc8d036d1ef2c0ad457c966223989e
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Thu Feb 4 08:39:24 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Thu Feb 4 08:59:59 2016 +0100

    registrybackend: use unicode calls intead of the ansi ones

    https://bugzilla.gnome.org/show_bug.cgi?id=761504

 gio/gregistrysettingsbackend.c | 107
 ++++++++++++++++++++++++++++++-----------
 1 file changed, 79 insertions(+), 28 deletions(-)

commit 7161d709555c655827118c02b58b2f6f376883da
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Thu Feb 4 07:55:25 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Thu Feb 4 07:55:25 2016 +0100

    registrybackend: remove useless get_permission override

    The base class does the same

 gio/gregistrysettingsbackend.c | 8 --------
 1 file changed, 8 deletions(-)

commit 259a61ed2d71d517d538b74d0ce9814bd1e09168
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Wed Feb 3 19:19:50 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Wed Feb 3 19:19:50 2016 +0100

    registrybackend: pass the event to the cache update

    This way the registry cache has more control to specify what has
    changed.

 gio/gregistrysettingsbackend.c | 38
 +++++++++++++++++++++-----------------
 1 file changed, 21 insertions(+), 17 deletions(-)

commit e3189527dc1ae5da614c5f4693d1240395e093b8
Author:     Rico Tzschichholz <ricotz@ubuntu.com>
AuthorDate: Wed Feb 3 18:12:04 2016 +0100
Commit:     Rico Tzschichholz <ricotz@ubuntu.com>
CommitDate: Wed Feb 3 18:13:49 2016 +0100

    gio/gobject: Various introspection fixes

 gio/gdbusaddress.c    | 4 ++--
 gobject/gclosure.c    | 2 +-
 gobject/gsignal.c     | 2 +-
 gobject/gvaluetypes.c | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit c7ea434e2ce4e12a7d92dfbdff2b1e4002d78975
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Wed Feb 3 13:07:52 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Wed Feb 3 13:10:09 2016 +0100

    registrybackend: properly propagate the partial key name

 gio/gregistrysettingsbackend.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 7522d5c9828da1dea86cc9878cd08c485290949f
Author:     Matej Urbančič <mateju@svn.gnome.org>
AuthorDate: Tue Feb 2 17:50:11 2016 +0100
Commit:     Matej Urbančič <mateju@svn.gnome.org>
CommitDate: Tue Feb 2 17:50:11 2016 +0100

    Updated Slovenian translation

 po/sl.po | 345
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 181 insertions(+), 164 deletions(-)

commit 927a4ed2f435cc7561b489807706f5f6da0fba23
Author:     Rico Tzschichholz <ricotz@ubuntu.com>
AuthorDate: Tue Feb 2 11:13:08 2016 +0100
Commit:     Rico Tzschichholz <ricotz@ubuntu.com>
CommitDate: Tue Feb 2 17:38:05 2016 +0100

    gstring: Explictly annotate return-values with (transfer none/full)

    https://bugzilla.gnome.org/show_bug.cgi?id=744570

 glib/gstring.c | 48 ++++++++++++++++++++++++------------------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit f1a5e394b05e6f69a3926df960c623c57494a4e2
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Feb 2 14:48:22 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Feb 2 14:48:22 2016 +0100

    registrybackend: rename touched flag to readable

    This is a flag used to understand if a key exists on the registry
    and if it is readable. It makes more sense to rename it as readable
    since anyway a key that does not exists anymore is a key that is
    not readable.

 gio/gregistrysettingsbackend.c | 23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)

commit 5cc997f7c4d521bf824855c3a63b568186cbeb52
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Feb 2 09:15:10 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Feb 2 11:08:50 2016 +0100

    registrybackend: close the key only if successfully opened

 gio/gregistrysettingsbackend.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit bf3f827ca1805519405904b4b929348510aa5b61
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Feb 2 08:25:29 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Feb 2 11:08:42 2016 +0100

    registrybackend: use ptr_array_new_with_free_func

 gio/gregistrysettingsbackend.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 9098a7f9271492d1e1c359fdfec25da804f5bda2
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Mon Feb 1 17:17:35 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Feb 2 11:04:56 2016 +0100

    registrybackend: minor style cleanup

 gio/gregistrysettingsbackend.c | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit d268d9f86ad39328a20567ffa8b6e1cc7e1d0205
Author:     Rico Tzschichholz <ricotz@ubuntu.com>
AuthorDate: Mon Nov 23 11:16:29 2015 +0100
Commit:     Rico Tzschichholz <ricotz@ubuntu.com>
CommitDate: Tue Feb 2 10:15:04 2016 +0100

    socket: Fix annotation of g_socket_receive_message

    https://bugzilla.gnome.org/show_bug.cgi?id=761337

 gio/gsocket.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit ec173eb654cf054198dd4b21d87f1c750e5c3c98
Author:     Rico Tzschichholz <ricotz@ubuntu.com>
AuthorDate: Sat Jan 30 20:57:44 2016 +0100
Commit:     Rico Tzschichholz <ricotz@ubuntu.com>
CommitDate: Tue Feb 2 10:11:08 2016 +0100

    application: Fix annoation of g_application_add_option_group

    https://bugzilla.gnome.org/show_bug.cgi?id=761337

 gio/gapplication.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 169cfb250f2571624c57d074b829ca4005509ee6
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Mon Feb 1 14:25:05 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Mon Feb 1 14:25:05 2016 +0100

    registrybackend: avoid signed/unsigned comparison warnings

 gio/gregistrysettingsbackend.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit b0776ddd1850f5ca91fe50c11311fe5c9c90cf53
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Mon Feb 1 14:24:46 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Mon Feb 1 14:24:46 2016 +0100

    registrybackend: use G_DECLARE_FINAL_TYPE

 gio/gregistrysettingsbackend.c | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit 2d7cac366db997e67b7cdfb0538f6454538e0dce
Author:     Alexander Shopov <ash@kambanaria.org>
AuthorDate: Mon Feb 1 06:20:03 2016 +0200
Commit:     Alexander Shopov <ash@kambanaria.org>
CommitDate: Mon Feb 1 06:21:09 2016 +0200

    Updated Bulgarian translation

 po/bg.po | 1128
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 574 insertions(+), 554 deletions(-)

commit 9183960df2ea975dc77595f7b408bf1d9254cd64
Author:     Daniel Mustieles <daniel.mustieles@gmail.com>
AuthorDate: Sun Jan 31 22:25:10 2016 +0100
Commit:     Daniel Mustieles <daniel.mustieles@gmail.com>
CommitDate: Sun Jan 31 22:25:10 2016 +0100

    Updated Spanish translation

 po/es.po | 109
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 57 insertions(+), 52 deletions(-)

commit c5931d1a16454eb0783d616ded6f33877b1e537f
Author:     Hashem Nasarat <hashem@riseup.net>
AuthorDate: Sun Jan 31 12:51:21 2016 -0500
Commit:     Hashem Nasarat <hashem@riseup.net>
CommitDate: Sun Jan 31 12:54:28 2016 -0500

    docs: fix grammar in Writing GLib Applications/Threads

 docs/reference/glib/programming.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 95dd373024901afdf31c020a2cc7966032b18866
Author:     Sébastien Wilmet <swilmet@gnome.org>
AuthorDate: Wed Apr 15 14:28:05 2015 +0200
Commit:     Sébastien Wilmet <swilmet@gnome.org>
CommitDate: Thu Jan 28 20:31:53 2016 +0100

    docs: better documentation for g_file_info_copy_into()

    The documentation of g_file_info_copy_into() was misleading. The
    attributes are not just copied, @dest_info is also cleared at the
    beginning. So any previously set attributes in @dest_info are lost.

    There was a bug in gedit about this function, where some metadata were
    not saved. So it might make sense to change the implementation to not
    clear @dest_info, and copy one by one the attributes from @src_info to
    @dest_info.

    https://bugzilla.gnome.org/show_bug.cgi?id=747927

 gio/gfileinfo.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f14052461b47653213cbcbbca8eaba16ee38ca32
Author:     Sébastien Wilmet <swilmet@gnome.org>
AuthorDate: Wed Apr 15 15:00:18 2015 +0200
Commit:     Sébastien Wilmet <swilmet@gnome.org>
CommitDate: Thu Jan 28 18:49:28 2016 +0100

    docs: GRegex: @start_position is in bytes

    The start_position arguments are passed to pcre_exec() as the
    startoffset, which is in bytes (not characters).

    I had recently a doubt about this, so it's better to document it.

    https://bugzilla.gnome.org/show_bug.cgi?id=747927

 glib/gregex.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit a4ed89bf75190631087596be22f9eb10dc6e53ef
Author:     Sébastien Wilmet <swilmet@gnome.org>
AuthorDate: Wed Apr 15 14:53:16 2015 +0200
Commit:     Sébastien Wilmet <swilmet@gnome.org>
CommitDate: Thu Jan 28 18:49:28 2016 +0100

    docs: improve doc of g_file_info_list_attributes()

    The name_space can be NULL.

    https://bugzilla.gnome.org/show_bug.cgi?id=747927

 gio/gfileinfo.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit dfd74a271db84726e114b1b891d6d39bd9925f5b
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Thu Jan 28 15:55:11 2016 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Thu Jan 28 15:55:11 2016 +0800

    gwin32.c: Avoid a GCC warning

    Add a pair of braces to make things more clear, to avoid a warning
    when -Wparentheses is used.

    Reported by Ignacio Casel Quinteiro.

 glib/gwin32.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 42699e37bea10fc51dd1a79888dfd8edae84c70a
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Wed Jan 27 21:05:31 2016 -0500
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Jan 27 21:05:31 2016 -0500

    gio: Include filename in error message

    I'm tired of seeing 'No such file or directory' in the logs without
    a hint as to what is actually wrong. Including the filename here
    may help me tracking down a bug in the continuous infrastructure.

 gio/glocalfileenumerator.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit d20e88fd114afb5cce17699ac2afea440a30f87d
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Tue Jan 26 23:23:42 2016 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Tue Jan 26 23:23:42 2016 +0800

    gwinhttpfile.c: Fix build on Visual Studio

    Visual Studio, at least the older versions, cannot use L on macros
    which
    are defined as a constant string, plus the L must be applied to
    all string
    literals here.  This does not look nice, but this is life...

 gio/win32/gwinhttpfile.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 56b0454ba560f693c96abe437952f19b372d90dc
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 15:41:08 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 15:41:08 2016 +0100

    registrybackend: fix warning

 gio/gregistrysettingsbackend.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b57eac68e5d27c44f1e2c1836d56bcd8d64b836d
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 15:22:48 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 15:22:48 2016 +0100

    registrybackend: fix double-free error

 gio/gregistrysettingsbackend.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df1ffe7e27927606cfefc94cdbb28fb660411749
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 14:35:31 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 14:35:31 2016 +0100

    registrybackend: remove :( from messages

 gio/gregistrysettingsbackend.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0200e4036c162476089c9359dd97d1c25b372840
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 13:26:41 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 13:26:41 2016 +0100

    registrybackend: simplify g_message_win32_error

 gio/gregistrysettingsbackend.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit bc85dee6b3f403f94b742461427903069aa00621
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 13:19:56 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 13:19:56 2016 +0100

    registrybackend: do not accept 0 as a windows error

    We might end up removing from the error stack the wrong error
    and this might be missleading

 gio/gregistrysettingsbackend.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit bad7e4a1149b9bad2385fe1818040f55f3e385c5
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 13:15:51 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 13:15:51 2016 +0100

    registrybackend: do not leak the watch data in case of failure

 gio/gregistrysettingsbackend.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 9e805ffd4381cded7a53e29dc66d4a4b6d2b152d
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 10:57:44 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 12:55:55 2016 +0100

    winiconv: update to upstream version

    To update this code you need to fetch the last version of the code
    from: https://github.com/win-iconv/win-iconv

    Then you need to ensure 3 things:
     - the line ends are in unix format
     - some of the methods do not expose a const on the prototype
       refer to the commit b8c13a01b6bd5601eb3519dd3b20daed4bbc2e72
       on how to fix it
     - fix one uninitialized variable if not yet fixed upstream
       refer to 7e0cb48dee9a8ecd87d403b7941ad3209eee658c

    https://bugzilla.gnome.org/show_bug.cgi?id=761126

 glib/win_iconv.c | 616
 +++++++++++++++++++++++++++++++++----------------------
 1 file changed, 371 insertions(+), 245 deletions(-)

commit 31aab1bd429605a54d3763e3bd0c96b8da45fe38
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 12:53:56 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 12:53:56 2016 +0100

    registrybackend: do not leak key and event if it cannot add the watch

 gio/gregistrysettingsbackend.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit a92d97ff1f61cf84289b1be2891c45cdf47298ed
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 12:21:48 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 12:21:48 2016 +0100

    registrybackend: more style fixes

    This is the never ending story

 gio/gregistrysettingsbackend.c | 137
 +++++++++++++++++++++--------------------
 1 file changed, 71 insertions(+), 66 deletions(-)

commit 1b5b0eff9a9d058d6db88109c524c352e118d98f
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 12:02:18 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 12:02:18 2016 +0100

    registrybackend: fix possible crash if cache_node is NULL

 gio/gregistrysettingsbackend.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 67f6ede3e5cd5a99bb5d3c09df82224a67f2df66
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 11:46:37 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 11:46:51 2016 +0100

    registrybackend: remove space before ++

 gio/gregistrysettingsbackend.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 8f7aa273dea5d127249cb76d2f8a2ccc43802d28
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 11:42:05 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 11:42:33 2016 +0100

    registrybackend: fix possible mem leak

    If the parameters do not validate we would leak the memory.

 gio/gregistrysettingsbackend.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 305a9b12c974fa963f19fba42efeaeaabf7f5aae
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 10:13:02 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 10:13:02 2016 +0100

    winhttpfile: use glib format string macro

    Like this we avoid some downstream patching for msys2

 gio/win32/gwinhttpfile.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a89629db1db6893a20cc52dbe85d2e89a4ba285f
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 10:10:39 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 10:10:39 2016 +0100

    registrybackend: use the glib format string macro

 gio/gregistrysettingsbackend.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a159bc939d6068c16b5096a4085b7b669cc5ca40
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Jan 26 09:00:35 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Jan 26 09:00:35 2016 +0100

    registrybackend: more cleanups

 gio/gregistrysettingsbackend.c | 75
 +++++++++++++++++++++++++-----------------
 1 file changed, 45 insertions(+), 30 deletions(-)

commit 7256f2289a844ad7a4ec09e73eaaad47df601431
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Mon Jan 25 16:12:59 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Mon Jan 25 16:12:59 2016 +0100

    registrybackend: more cleanups

 gio/gregistrysettingsbackend.c | 138
 +++++++++++++++++++++++------------------
 1 file changed, 78 insertions(+), 60 deletions(-)

commit a5e819c4c3eee7a27e162d2277cfed7e5feb2195
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Mon Jan 25 16:01:45 2016 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Mon Jan 25 16:02:03 2016 +0100

    registrybackend: style fixes

 gio/gregistrysettingsbackend.c | 425
 ++++++++++++++++++++---------------------
 1 file changed, 210 insertions(+), 215 deletions(-)

commit 3a201128c2775f49bb1c211059c2c0ae7c320a00
Author:     Balázs Meskó <meskobalazs@gmail.com>
AuthorDate: Mon Jan 25 11:58:07 2016 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Mon Jan 25 11:58:07 2016 +0000

    Updated Hungarian translation

 po/hu.po | 156
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 80 insertions(+), 76 deletions(-)

commit 192781d4b5250b678c3ea6f28af878e9817f46c9
Author:     Sebastian Geiger <sbastig@gmx.net>
AuthorDate: Sun Jan 24 18:53:59 2016 +0100
Commit:     Sebastian Geiger <sbastig@gmx.net>
CommitDate: Sun Jan 24 22:04:33 2016 +0100

    gregex: improve documentation for g_regex_new

 glib/gregex.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8c263008bbd9c1ce221276229e548d7b15dcb0d0
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Mon Jan 11 14:23:45 2016 +0000
Commit:     Philip Withnall <philip@tecnocode.co.uk>
CommitDate: Sun Jan 24 14:44:44 2016 +0000

    build: Calculate ABS_GLIB_RUNTIME_LIBDIR at build time

    Rather than calculating it at configure time. This means it can expand
    $libdir properly, and use the Make $(realpath) function rather than
    invoking the non-portable `readlink -f`.

    This fixes problems where `readlink` would be called on an invalid
    path
    (due to a variable not being expanded) and would evaluate to "", which
    would then cause things to be installed in the wrong place.

    https://bugzilla.gnome.org/show_bug.cgi?id=744772

 configure.ac        |  4 ----
 gio/Makefile.am     |  6 ++++++
 glib/Makefile.am    | 13 +++++++++++++
 gobject/Makefile.am | 14 ++++++++++++++
 4 files changed, 33 insertions(+), 4 deletions(-)

commit 57f9c590f94bd74d1b3b72656fd1cc1c76000980
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Tue Jan 19 13:03:41 2016 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Wed Jan 20 17:20:27 2016 +0800

    Visual Studio builds: Include pcre_version.c in build

    ... for builds using the PCRE bundled with the GLib sources, so that
    pcre_version() will also be defined, and be exported so that the
    regex test program
    will properly link when the bundled PCRE sources are used.

    This is a follow-up commit to 476f30a.

 build/win32/vs10/glib-build-defines.props  |  6 +++++-
 build/win32/vs10/glib.vcxproj.filtersin    |  3 +++
 build/win32/vs10/glib.vcxprojin            | 14 ++++++++++++++
 build/win32/vs9/glib-build-defines.vsprops |  4 ++++
 build/win32/vs9/glib.vcprojin              | 10 ++++++++++
 5 files changed, 36 insertions(+), 1 deletion(-)

commit 3c0cddfe80990a653ff7b38e1701d3950df642b6
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Tue Jan 19 17:02:03 2016 +0000
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Tue Jan 19 17:10:40 2016 +0000

    gdbusobjectmanagerserver: Clarify recommended ObjectManager paths

    Otherwise people might try to export the object manager at ‘/’,
    which
    doesn’t work. And I have no intention of making it work.

    https://bugzilla.gnome.org/show_bug.cgi?id=760852

 gio/gdbusobjectmanagerserver.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 1725580f2653290c889140b1366103134acb79ad
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Tue Jan 19 17:01:14 2016 +0000
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Tue Jan 19 17:01:14 2016 +0000

    gdbusobjectmanagerserver: Convert a DocBook link to Markdown

 gio/gdbusobjectmanagerserver.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6e752d3f8b918e524fbffe3ca6433418092aa415
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Mon Jan 18 12:27:38 2016 -0500
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Mon Jan 18 15:29:17 2016 -0500

    GLib 2.47.5

 NEWS         | 31 ++++++++++++++++++++++++++++++-
 configure.ac |  2 +-
 2 files changed, 31 insertions(+), 2 deletions(-)

commit ceec96146ef734bd568c3085a4dff8d60148e13d
Author:     Mario Blättermann <mario.blaettermann@gmail.com>
AuthorDate: Mon Jan 18 20:53:50 2016 +0100
Commit:     Mario Blättermann <mario.blaettermann@gmail.com>
CommitDate: Mon Jan 18 20:53:50 2016 +0100

    Updated German translation

 po/de.po | 42 +++++++++++++++++++++++-------------------
 1 file changed, 23 insertions(+), 19 deletions(-)

commit 85a23529ab8e3de4656c134fc3a380db91b1d762
Author:     Emmanuele Bassi <ebassi@gnome.org>
AuthorDate: Mon Jan 18 18:48:42 2016 +0000
Commit:     Emmanuele Bassi <ebassi@gnome.org>
CommitDate: Mon Jan 18 18:48:42 2016 +0000

    Revert "make *_get_instance_private const-compliant"

    This reverts commit a3a9664ed202303b899ca55625877542309d1a1f.

    Constifying the autogenerated get_instance_private functio makes C++
    compilers and GCC with -Wcast-qual warn during compilation of GLib and
    projects depending on GLib.

    Since using const with GObject instances is not a common coding
    practice, it's better to revert than trying to make every sigle GType
    function const-safe (and possibly add more compiler warnings in the
    process).

    https://bugzilla.gnome.org/show_bug.cgi?id=745068

 gobject/gtype.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 617189f28c5d3eb05d7d09fe453b6f98c87d8a40
Author:     Emmanuele Bassi <ebassi@gnome.org>
AuthorDate: Mon Jan 18 18:46:12 2016 +0000
Commit:     Emmanuele Bassi <ebassi@gnome.org>
CommitDate: Mon Jan 18 18:46:12 2016 +0000

    Revert "G_DECLARE_*: be const-compliant"

    This reverts commit 52f23db74ad58b822bafb0fdcac106489d864f8c.

    Constifying these macros make C++ compilers and GCC with -Wcast-qual
    warn during compilation of GLib and projects depending on GLib.

    Since using const with GObject instances is not a common coding
    practice, it's better to revert than trying to make every sigle GType
    function const-safe (and possibly add more compiler warnings in the
    process).

    https://bugzilla.gnome.org/show_bug.cgi?id=745068

 gobject/gtype.h | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 476f30a00475f9643fc1638b9d9abf52b308b100
Author:     Iain Lane <iain@orangesquash.org.uk>
AuthorDate: Mon Jan 18 18:30:58 2016 +0000
Commit:     Emmanuele Bassi <ebassi@gnome.org>
CommitDate: Mon Jan 18 18:37:28 2016 +0000

    regex test: Fix with --with-pcre=internal

    We were linking with the wrong path for the internal libpcre, and
    furthermore the function pcre_version was declared but never defined.

 glib/pcre/Makefile.am    |  1 +
 glib/pcre/pcre_version.c | 95
 ++++++++++++++++++++++++++++++++++++++++++++++++
 glib/tests/Makefile.am   |  2 +-
 3 files changed, 97 insertions(+), 1 deletion(-)

commit 9b8a34b5b33cb631f8abde42227841cfe099af74
Author:     Iain Lane <iain@orangesquash.org.uk>
AuthorDate: Fri Jan 15 17:58:33 2016 +0000
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Mon Jan 18 12:19:12 2016 -0500

    regex test: Assert /(?P<sub>foo)\\g<sub/ changed behaviour at 8.35,
    not 8.38

    https://bugzilla.gnome.org/show_bug.cgi?id=760683

 glib/tests/regex.c | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit db90987990bf303d30668c966da9bcfdeb3ac174
Author:     Iain Lane <iain@orangesquash.org.uk>
AuthorDate: Fri Jan 15 17:56:40 2016 +0000
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Mon Jan 18 12:19:12 2016 -0500

    regex test: Check the expected PCRE version at runtime

    We might be built against a newer version than we're run against.

    https://bugzilla.gnome.org/show_bug.cgi?id=760683

 glib/tests/Makefile.am | 13 ++++++++++++-
 glib/tests/regex.c     | 37 +++++++++++++++++++++++++++++--------
 2 files changed, 41 insertions(+), 9 deletions(-)

commit c3d6934f1838ae7c0d961c3d205f4b59789478ee
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Thu Jun 25 12:58:14 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Mon Jan 18 14:25:06 2016 +0000

    gio: Add DTLS interfaces

    Add a new GDtlsConnection interface, plus derived
    GDtlsClientConnection
    and GDtlsServerConnection interfaces, for implementing Datagram TLS
    support in glib-networking.

    A GDtlsConnection is a GDatagramBased, so may be used as a normal
    datagram socket, wrapping all datagrams from a base GDatagramBased in
    DTLS segments.

    Test cases are included in the implementation in glib-networking.

    https://bugzilla.gnome.org/show_bug.cgi?id=752240

 docs/reference/gio/gio-docs.xml     |   3 +
 docs/reference/gio/gio-sections.txt |  81 +++
 docs/reference/gio/gio.types        |   3 +
 gio/Makefile.am                     |   6 +
 gio/gdtlsclientconnection.c         | 273 ++++++++++
 gio/gdtlsclientconnection.h         |  75 +++
 gio/gdtlsconnection.c               | 975
 ++++++++++++++++++++++++++++++++++++
 gio/gdtlsconnection.h               | 191 +++++++
 gio/gdtlsserverconnection.c         |  95 ++++
 gio/gdtlsserverconnection.h         |  69 +++
 gio/gdummytlsbackend.c              | 109 ++++
 gio/gio.h                           |   3 +
 gio/giotypes.h                      |   3 +
 gio/gtlsbackend.c                   |  68 ++-
 gio/gtlsbackend.h                   |  14 +
 gio/gtlsconnection.c                |   2 +
 po/POTFILES.in                      |   3 +
 17 files changed, 1970 insertions(+), 3 deletions(-)

commit e3ab6ab38a69fe20f182703052387fa1cad21205
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Mon Jan 18 16:04:45 2016 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Mon Jan 18 16:04:45 2016 +0800

    Visual Studio builds: Rearrange build configs

    This is a follow-up commit for commit 82c2461, where the default
    build is
    to use the PCRE that is installed in the system, if it is available
    and is
    not overridden with --with-internal-pcre.

    For Visual Studio builds, this means that the new 'Debug' and
    'Release'
    configs will now use PCRE that is found on the system, which were
    renamed
    from the '*_ExtPCRE' configs; and that there are now
    'Debug_BundledPCRE'
    and 'Release_BundledPCRE' configs which make use of the PCRE that is
    supplied with the GLib sources, which, replaces the former 'Debug' and
    'Release' configs.

 build/win32/vs10/glib.sln       | 248 +++++++++---------
 build/win32/vs10/glib.vcxprojin | 550
 ++++++++++++++++++++--------------------
 build/win32/vs9/glib.sln        | 248 +++++++++---------
 build/win32/vs9/glib.vcprojin   | 336 ++++++++++++------------
 4 files changed, 691 insertions(+), 691 deletions(-)

commit 407a4e9e4e02c82a2e6371958487cd0a7ad704d3
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Mon Jan 18 14:08:40 2016 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Mon Jan 18 14:08:40 2016 +0800

    tests: Fix regex test conditions

    Commit 855594c changed the expected error for the regex
    /(?P<sub>foo)\g<sub/ for PCRE 8.38, but actually PCRE changed
    the error
    raised by this invalid regex in 8.37, so we should check for the
    new error
    from 8.37 and upwards.

    Please see comments #21 and #22 of bug 740573 regarding this commit.

 glib/tests/regex.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b7774b182dcd4cb129a4af20d624b4168d28ff90
Author:     Руслан Ижбулатов <lrn1986@gmail.com>
AuthorDate: Fri Apr 17 16:04:31 2015 +0000
Commit:     Руслан Ижбулатов <lrn1986@gmail.com>
CommitDate: Thu Jan 14 15:11:08 2016 +0000

    Make gnulib vfprintf return the number of bytes actually written

    To be honest, i don't remember what problems were caused by it
    returning the
    number of bytes it *wanted* to write instead of the number of bytes
    it actually wrote. Probably related to the fact that fwrite could
    independently fail, and ignoring its return value ignores that error.

    https://bugzilla.gnome.org/show_bug.cgi?id=748064

 glib/gnulib/printf.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 82c2461e3d719dfe11361c07502d1cf8a998c121
Author:     Simon McVittie <simon.mcvittie@collabora.co.uk>
AuthorDate: Tue Jan 5 12:20:20 2016 +0000
Commit:     Simon McVittie <simon.mcvittie@collabora.co.uk>
CommitDate: Thu Jan 14 13:09:06 2016 +0000

    Use system PCRE unless --with-pcre=internal is given

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=740573
    Reviewed-by: Emmanuele Bassi <ebassi@gnome.org>
    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>

 NEWS         | 7 +++++++
 README.in    | 7 +++++++
 configure.ac | 4 +++-
 3 files changed, 17 insertions(+), 1 deletion(-)

commit 855594c4de5acaea53bb413c6302d19ff7befd17
Author:     Simon McVittie <smcv@debian.org>
AuthorDate: Wed Dec 23 15:03:16 2015 +0000
Commit:     Simon McVittie <simon.mcvittie@collabora.co.uk>
CommitDate: Thu Jan 14 12:54:25 2016 +0000

    regex test: expect ASSERTION_EXPECTED for /(?(?<ab))/ with PCRE 8.38

    PCRE 8.38 changed the parsing of this invalid regex. It still fails,
    but with a different error (since PCRE r1539,
    <http://vcs.pcre.org/pcre?view=revision&revision=1539>).

    The regex /(?P<sub>foo)\g<sub/ used to raise MISSING_BACK_REFERENCE
    but
    now raises MISSING_SUBPATTERN_NAME_TERMINATOR, so we can still have a
    test for the latter.

    Signed-off-by: Simon McVittie <smcv@debian.org>
    Reviewed-by: Emmanuele Bassi <ebassi@gnome.org>
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=759808

 glib/tests/regex.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 86c5d8978d75f88aaa14ab8ed6186212abcb8f19
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Wed Jan 13 10:50:46 2016 -0500
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Wed Jan 13 10:51:44 2016 -0500

    GDBusMethodInvocation: document behaviour change

    We changed the behaviour of this API to adapt to a change in the D-Bus
    specification.  Document the new behaviour, along with the time of the
    change.

    https://bugzilla.gnome.org/show_bug.cgi?id=755421

 gio/gdbusmethodinvocation.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit dbea81b02dc17f3e1935cdeb712d2728e3386812
Author:     Lars Uebernickel <lars.uebernickel@canonical.com>
AuthorDate: Fri Oct 30 11:24:19 2015 +0100
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Wed Jan 13 10:44:49 2016 -0500

    gdbus: don't send unexpected replies

    gdbus sets NO_REPLY_EXPECTED when no callback is given to
    g_dbus_connection_call(). It makes sense that it also handles
    the server
    side correctly by discarding replies to clients that don't want one.

    https://bugzilla.gnome.org/show_bug.cgi?id=755421

 gio/gdbusmethodinvocation.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 5dbb3453d79acaf8cec5aa03597f42701c5a2a74
Author:     Aurimas Černius <aurisc4@gmail.com>
AuthorDate: Tue Jan 12 22:30:05 2016 +0200
Commit:     Aurimas Černius <aurisc4@gmail.com>
CommitDate: Tue Jan 12 22:30:05 2016 +0200

    Updated Lithuanian translation

 po/lt.po | 82
 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 41 insertions(+), 41 deletions(-)

commit 6b577196eed0754d2805fd48caa64f58f9bb8ee4
Author:     Javier Jardón <jjardon@gnome.org>
AuthorDate: Mon Jan 11 16:07:06 2016 +0000
Commit:     Javier Jardón <jjardon@gnome.org>
CommitDate: Mon Jan 11 16:07:06 2016 +0000

    Deprecate GLIB_GNU_GETTEXT macro, use upstream gettext instead

    https://bugzilla.gnome.org/show_bug.cgi?id=624186

 m4macros/glib-gettext.m4 | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 3add5e2837d83b253acfd861dbf8bb980076e4f0
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Fri Sep 26 14:01:16 2014 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Mon Jan 11 15:58:42 2016 +0000

    gio: Document thread safety of the streams API

    Specifically, GIOStream and the TLS connection streams.

    Includes wording adapted from suggestions by Dan Winship
    <danw@gnome.org>.

    https://bugzilla.gnome.org/show_bug.cgi?id=735754

 gio/ginputstream.c         |  5 ++++-
 gio/giostream.c            | 22 ++++++++++++++++++++++
 gio/goutputstream.c        |  5 ++++-
 gio/gtlsclientconnection.c |  4 ++++
 gio/gtlsconnection.c       |  9 +++++++--
 gio/gtlsserverconnection.c |  4 ++++
 6 files changed, 45 insertions(+), 4 deletions(-)

commit 18fe6d83125f2cd2a3e355396f90ea979e42b37d
Author:     David King <amigadave@amigadave.com>
AuthorDate: Sun Jan 10 23:20:37 2016 +0000
Commit:     David King <amigadave@amigadave.com>
CommitDate: Mon Jan 11 09:33:32 2016 +0000

    docs: add Since for g_str_to_ascii

 glib/gtranslit.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4e78a0a9df45961701d224326fbb9b93dcecf134
Author:     Javier Jardón <jjardon@gnome.org>
AuthorDate: Sun Jan 10 22:44:24 2016 +0000
Commit:     Javier Jardón <jjardon@gnome.org>
CommitDate: Sun Jan 10 22:44:24 2016 +0000

    Revert "Use upstream gettext instead the glib one"

    This causes several problems:
    - Compilation in FreeBSD with --enable-gtk-doc broke
    - Modules that still use the AM_GLIB_GNU_GETTEXT macro
      doesnt compile anymore because /usr/share/glib-2.0/gettext
      is not filled with the correct files, as this was done in
      the glib custom po/Makefile.in.in

    See https://bugzilla.gnome.org/show_bug.cgi?id=622991

    This reverts commit e5c752371c7fb1343eff27b5f1d0bcbef4e333b9.

 Makefile.am          |   1 -
 configure.ac         |  14 ++-
 gio/Makefile.am      |   1 -
 glib/Makefile.am     |   1 -
 m4macros/Makefile.am |  11 +--
 po/Makefile.in.in    | 268
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 po/Makevars          |  89 -----------------
 7 files changed, 281 insertions(+), 104 deletions(-)

commit edfb3ead7793dc3e7fdc0f8193126d1a5079be1a
Author:     Anders Jonsson <anders.jonsson@norsjovallen.se>
AuthorDate: Sun Jan 10 22:07:26 2016 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Sun Jan 10 22:07:26 2016 +0000

    Updated Swedish translation

 po/sv.po | 124
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 62 insertions(+), 62 deletions(-)

commit e5c752371c7fb1343eff27b5f1d0bcbef4e333b9
Author:     Javier Jardón <jjardon@gnome.org>
AuthorDate: Tue Jul 15 20:37:44 2014 +0000
Commit:     Javier Jardón <jjardon@gnome.org>
CommitDate: Sat Jan 9 18:49:22 2016 +0000

    Use upstream gettext instead the glib one

    https://bugzilla.gnome.org/show_bug.cgi?id=622991

 Makefile.am          |   1 +
 configure.ac         |  14 +--
 gio/Makefile.am      |   1 +
 glib/Makefile.am     |   1 +
 m4macros/Makefile.am |  11 ++-
 po/Makefile.in.in    | 268
 ---------------------------------------------------
 po/Makevars          |  89 +++++++++++++++++
 7 files changed, 104 insertions(+), 281 deletions(-)

commit c1e2a8d72766323181c804b47547242bd70460e9
Author:     Matt Watson <mattdangerw@gmail.com>
AuthorDate: Fri Jan 8 16:06:53 2016 -0800
Commit:     Cosimo Cecchi <cosimoc@gnome.org>
CommitDate: Fri Jan 8 18:08:20 2016 -0800

    resource file: add cancel to dummy monitor

    gfilemonitor has a cancel vfunc and will call into the in dispose.
    If we don't stub it out we get a segfault.

 gio/gresourcefile.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 50645b724a3b43767fd57e4af53365d0cd270382
Author:     Daiki Ueno <dueno@src.gnome.org>
AuthorDate: Tue Jan 5 11:07:05 2016 +0900
Commit:     Daiki Ueno <dueno@src.gnome.org>
CommitDate: Fri Jan 8 12:31:18 2016 +0900

    gsettings: Install gettext ITS rules

    Recent gettext has a feature to allow consumer projects to supply
    their
    own string extraction rules for XML files, in ITS format.

    Gettext still ships the rule for *.gschema.xml, but it would be better
    maintained in the upstream project.

    See the gettext documentation for details:
    http://www.gnu.org/software/gettext/manual/html_node/Preparing-ITS-Rules.html

    https://bugzilla.gnome.org/show_bug.cgi?id=760199

 gio/Makefile.am |  3 +++
 gio/gschema.its | 25 +++++++++++++++++++++++++
 gio/gschema.loc | 10 ++++++++++
 3 files changed, 38 insertions(+)

commit ea5ca11761b945cb27f685254afec5d3d56f2670
Author:     Christophe Fergeau <cfergeau@redhat.com>
AuthorDate: Fri Nov 27 17:54:07 2015 +0100
Commit:     Christophe Fergeau <cfergeau@redhat.com>
CommitDate: Thu Jan 7 15:21:08 2016 +0100

    gio: Document that g_inet_address_new_* return value must be
    g_object_unref'ed

 gio/ginetaddress.c | 4 ++++
 1 file changed, 4 insertions(+)

commit b6edac5aca160704f2bfbba541beee5b1f994a18
Author:     Christophe Fergeau <cfergeau@redhat.com>
AuthorDate: Thu Nov 26 14:26:27 2015 +0100
Commit:     Christophe Fergeau <cfergeau@redhat.com>
CommitDate: Thu Jan 7 15:21:04 2016 +0100

    glib: Clarify g_warn_if_reached API doc

    Its documentation mentions that it logs a 'critical warning',
    but since
    the macro implementation calls g_warn_message(), it does not log a
    critical message, but a regular warning.

 glib/gmessages.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b44fba25fbad89c105795a10a569fe422e4d1c44
Author:     Stephan Bergmann <sbergman@redhat.com>
AuthorDate: Wed Jan 6 16:25:49 2016 +0100
Commit:     Colin Walters <walters@verbum.org>
CommitDate: Wed Jan 6 10:33:04 2016 -0500

    G_LIKELY/_UNLIKELY macros need more parentheses

    ...for cases like

      #include "glib.h"
      #define COMMA ,
      void f(void) { if (G_LIKELY(0 COMMA 1)); }

    https://bugzilla.gnome.org/show_bug.cgi?id=760215

 glib/gmacros.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e91e811f020569fe3dae876ffa704fd3e452a33b
Author:     Rafael Fontenelle <rffontenelle@gmail.com>
AuthorDate: Tue Jan 5 20:08:06 2016 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Tue Jan 5 20:08:06 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 320
 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 167 insertions(+), 153 deletions(-)

commit 786b4c8b8782e8ce62085595a8a87838307af8ba
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Tue Jan 5 15:08:18 2016 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Tue Jan 5 15:15:38 2016 +0800

    gwin32.c: Fix build on MinGW

    Apparently unlike mingw-w64 and Visual Studio, MinGW does not
    come with
    winternl.h, which defines NTSTATUS, so we need to include ntdef.h
    instead
    on MinGW for NTSTATUS.

    Based on patch by CÃ©dric Krier.

    https://bugzilla.gnome.org/show_bug.cgi?id=756875

 glib/gwin32.c | 3 +++
 1 file changed, 3 insertions(+)

commit 0309d645ad8149ed6e8bdb74a5c7272eea15546b
Author:     Mario Blättermann <mario.blaettermann@gmail.com>
AuthorDate: Sat Jan 2 12:10:13 2016 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Sat Jan 2 12:10:13 2016 +0000

    Updated German translation

 po/de.po | 323
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 169 insertions(+), 154 deletions(-)

commit 2e918501db4175aa9fc0b1daafbf2e270a7f6f8f
Author:     Marek Černocký <marek@manet.cz>
AuthorDate: Thu Dec 24 14:40:22 2015 +0100
Commit:     Marek Černocký <marek@manet.cz>
CommitDate: Thu Dec 24 14:40:22 2015 +0100

    Updated Czech translation

 po/cs.po | 328
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 170 insertions(+), 158 deletions(-)

commit 30788dff5b940d34b4ce0594a7109f972b38686d
Author:     Philip Withnall <philip@tecnocode.co.uk>
AuthorDate: Wed Dec 23 16:48:10 2015 +0000
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Wed Dec 23 16:48:10 2015 +0000

    gutf8: Fix typo in GIR annotation for g_utf8_to_ucs4()

 glib/gutf8.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 42b160b19f18ccb86fecac4553242ebd7ee8b78b
Author:     Steven Chamberlain <steven@pyro.eu.org>
AuthorDate: Tue Dec 22 09:28:36 2015 +0100
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Wed Dec 23 09:40:54 2015 -0500

    gio: drop obsoleted lock causing deadlocks on FreeBSD

    I think it is a recursion from the GUnixMountMonitor constructor, to a
    GLocalFileMonitor on /etc/fstab, and into GUnixMountMonitor again, now
    with a mutex already held, so it deadlocks.
    https://bugzilla.gnome.org/page.cgi?id=traceparser/trace.html&trace_id=235354

    That mutex in glocalfile.c:g_local_file_find_enclosing_mount() doesn't
    seem necessary any more IMHO.  Inside it, only 'mount' is modified,
    but
    that's just a stack variable local to this function.  When
    klass->get_mount_for_mount_path is called, it's given one const
    parameter and the other is unused, so they're unchanged. 'klass'
    doesn't seem it could be modified either inside that function.

    It doesn't recurse infinitely, but seems to work correctly and
    pass the
    testsuite after this change.

    The FreeBSD project already applied my patch in their ports tree, and
    their users seem happy with it.

    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=712848#64
    and https://bugzilla.gnome.org/show_bug.cgi?id=753378

 gio/gunionvolumemonitor.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit bec6a9a3003d95077ad23c235a9313d79c6a1c4f
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Mon Dec 21 14:54:42 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Tue Dec 22 17:33:33 2015 +0800

    g_application_run(): Fix on Windows When Using Bindings

    As g_win32_get_command_line() calls CommandLineToArgvW() to acquire
    the
    arguments passed into a GApplication program, it actually returns the
    whole command line which is used to invoke the program, including the
    script interpreter and its flags when a script using GNOME bindings
    (e.g. PyGObject and so on) is being invoked.

    The issue here is that g_application_run() would most probably have
    trouble in the scripts scenario on Windows as it is likely unable to
    "recognize" the script interpreter, causing such scripts to fail
    to run.

    Largely based on the patch by Ray Donnelly <mingw.android@gmail.com>.

    https://bugzilla.gnome.org/show_bug.cgi?id=734095

 gio/gapplication.c | 29 ++++++++++++++++++++++++++++-
 1 file changed, 28 insertions(+), 1 deletion(-)

commit 5f4b92202b2a36097ffa54fc7dbf96f692074069
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Mon Dec 21 12:21:03 2015 +0100
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Mon Dec 21 12:22:10 2015 +0100

    win32: fix warnings avoid discarding const qualifier

 gio/win32/gwin32fsmonitorutils.c | 4 ++--
 gio/win32/gwin32fsmonitorutils.h | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 07e55c049dd1d12ab5eff8397cea65587c3dc54f
Author:     Aurimas Černius <aurisc4@gmail.com>
AuthorDate: Sun Dec 20 15:02:49 2015 +0200
Commit:     Aurimas Černius <aurisc4@gmail.com>
CommitDate: Sun Dec 20 15:02:49 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 386
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 198 insertions(+), 188 deletions(-)

commit aa9a33b0dabb68a6586956d6d4aa0c861e534321
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Wed Dec 16 11:34:41 2015 -0500
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Wed Dec 16 11:44:43 2015 -0500

    GApplication: Avoid getting the default context repeatidly

    This avoids getting a global lock on every main loop iteration.

    https://bugzilla.gnome.org/show_bug.cgi?id=759554

 gio/gapplication.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 1f341afa9acfb05afb02b73a4dff8992e0464aaa
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Wed Dec 16 09:16:35 2015 -0500
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Dec 16 09:16:35 2015 -0500

    More updates

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit a379a0ad59df0b377bd7b047d2e5a56417252992
Author:     Jasper St. Pierre <jstpierre@mecheye.net>
AuthorDate: Tue Jul 28 00:14:08 2015 -0700
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Dec 16 09:15:43 2015 -0500

    gapplication: Acquire the main context before running

    Otherwise, we'll acquire it on every loop iteration, which can
    leave us
    vulnerable to racing another thread for the acquisition of the main
    context.

    This can break methods like g_main_context_invoke, which try to
    acquire
    a context to figure out if it can invoke the method synchronously or
    need to defer to an idle. In these cases, it isn't guaranteed that the
    invocation function will be invoked in the default main context,
    e.g. the one that GApplication is holding.

    This also matches what GMainLoop is doing.

    https://bugzilla.gnome.org/show_bug.cgi?id=752983

 gio/gapplication.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 5e73ca974d37ce2cc2204d1fdf0bf13284668963
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Wed Dec 16 06:30:53 2015 -0500
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Dec 16 07:52:05 2015 -0500

    2.47.4

 NEWS         | 25 +++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 26 insertions(+), 1 deletion(-)

commit ce985f13f475fbb2b1f8c7d5a1e5ff1fa12a8e81
Author:     Руслан Ижбулатов <lrn1986@gmail.com>
AuthorDate: Sat May 2 23:46:06 2015 +0000
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Dec 16 07:47:54 2015 -0500

    Enable contenttype test on W32, tweak it to pass (mostly)

    * On W32 use a real directory (SYSTEMROOT) instead of '/etc/'
    * Disable test_symbolic_icon() as it can't be passed (symbolic icons
    are not
      really supported)

    * PowerPoint/Gettext test still fails, presumably because msvcrt
    qsort() moves
      the entires (both have the same priority)

    https://bugzilla.gnome.org/show_bug.cgi?id=735696

 gio/tests/Makefile.am   |  2 +-
 gio/tests/contenttype.c | 15 ++++++++++++++-
 2 files changed, 15 insertions(+), 2 deletions(-)

commit b86e46e8e7f89f6866cb2fbb917ae00ea9431185
Author:     Руслан Ижбулатов <lrn1986@gmail.com>
AuthorDate: Sat May 2 23:27:31 2015 +0000
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Dec 16 07:47:54 2015 -0500

    xdgmime: Finer handling for cases where mmap() is not available

    Allocate an empty cache object, check cache objects for being empty
    before using them.
    Otherwise the code will re-read cache every 5 seconds, as NULL cache
    does not trigger the code that stores mtime, which makes the cache
    file appear modified/unloaded permanently.

    https://bugzilla.gnome.org/show_bug.cgi?id=735696

 gio/xdgmime/xdgmimecache.c | 91
 +++++++++++++++++++++++++++++++++++++---------
 1 file changed, 74 insertions(+), 17 deletions(-)

commit 1513efc904cfb42ed5305fd77b40e1c399380d40
Author:     Simon Feltman <sfeltman@src.gnome.org>
AuthorDate: Tue Oct 15 23:26:41 2013 -0700
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Dec 16 07:47:54 2015 -0500

    Add GParamSpec object ref management annotations

    Add ref-func, unref-func, set-value-func, and get-value-func
    annotations to
    GParamSpec so that it can be managed generically as a fundamental
    type with
    introspection.

    https://bugzilla.gnome.org/show_bug.cgi?id=710243

 gobject/gparam.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 04c56cf6e77488ce7447e7a99afbada4711a8916
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Wed Oct 7 23:34:42 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Dec 16 07:47:53 2015 -0500

    gsettings: Don't translate ""

    The empty msgid is traditionally used to store po file metadata,
    so calling gettext with an empty msgid is not the right thing
    to do.

    https://bugzilla.gnome.org/show_bug.cgi?id=756214

 gio/gsettingsschema.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 30359e740953b596d6c3d980dba36dd131681a1f
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Mon Nov 30 10:13:46 2015 -0500
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Dec 16 07:47:53 2015 -0500

    file monitors: reorder some code to avoid segfault

    We must initialise '->source' before we use fields inside of it.

    https://bugzilla.gnome.org/show_bug.cgi?id=758823

 gio/glocalfilemonitor.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c2d0c40bffa02a0981c03115179c3373a057f1ec
Author:     Stanislav Brabec <sbrabec@suse.com>
AuthorDate: Mon Nov 23 20:47:44 2015 +0100
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Dec 16 07:47:53 2015 -0500

    Fix gettext use

    gettext() calls inside library have to use gi18n-lib.h.

    https://bugzilla.gnome.org/show_bug.cgi?id=758553

 gio/gresource.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4cda92b587232f7d25cab4b7ef7ba043aad8e506
Author:     Roman Lebedev <lebedev.ri@gmail.com>
AuthorDate: Thu Oct 29 14:41:48 2015 +0300
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Dec 16 07:47:53 2015 -0500

    glib-compile-resources: do not leak c_name

    As per #578363, "if one requests e.g. strings via
    GOptionEntry.arg_data
    then those are strduped and needs to be free'ed by the application."

    Fixes following leak:

    =================================================================
    ==29426==ERROR: LeakSanitizer: detected memory leaks

    Direct leak of 10 byte(s) in 1 object(s) allocated from:
        0 0x7f3ab783d37a in malloc
        (/usr/lib/x86_64-linux-gnu/libasan.so.2+0x9437a)
        1 0x7f3ab70f7c82 in g_malloc
        /home/lebedevri/src/glib/glib/gmem.c:94
        2 0x7f3ab70f7f60 in g_malloc_n
        /home/lebedevri/src/glib/glib/gmem.c:330
        3 0x7f3ab713258e in g_strndup
        /home/lebedevri/src/glib/glib/gstrfuncs.c:425
        4 0x7f3ab709c86b in strdup_len
        /home/lebedevri/src/glib/glib/gconvert.c:864
        5 0x7f3ab709c966 in g_locale_to_utf8
        /home/lebedevri/src/glib/glib/gconvert.c:905
        6 0x7f3ab7103c32 in parse_arg
        /home/lebedevri/src/glib/glib/goption.c:1276
        7 0x7f3ab71066fb in parse_long_option
        /home/lebedevri/src/glib/glib/goption.c:1670
        8 0x7f3ab7108047 in g_option_context_parse
        /home/lebedevri/src/glib/glib/goption.c:1997
        9 0x408532 in main
        /home/lebedevri/src/glib/gio/glib-compile-resources.c:629
        10 0x7f3ab6c72b44 in __libc_start_main
        (/lib/x86_64-linux-gnu/libc.so.6+0x21b44)

    https://bugzilla.gnome.org/show_bug.cgi?id=757299

 gio/glib-compile-resources.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 3272267b99670e1bfccf5aebe97ead5e6f8b1bab
Author:     Christian Hergert <christian@hergert.me>
AuthorDate: Sun Apr 13 17:17:59 2014 -0700
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Dec 16 07:47:53 2015 -0500

    macros: add G_GNUC_CHECK_VERSION() for compiler checks.

    https://bugzilla.gnome.org/show_bug.cgi?id=728099

 docs/reference/glib/glib-sections.txt |  1 +
 glib/docs.c                           | 15 +++++++++++++++
 glib/gmacros.h                        |  6 ++++++
 3 files changed, 22 insertions(+)

commit 21b1c390a3ce1f7e2816c6309f161c4b92470c46
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Fri Oct 30 15:39:23 2015 +0000
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Dec 16 07:47:53 2015 -0500

    GApplication: destroy the impl on shutdown

    It's theoretically possible (and see in the wild) for D-Bus
    messages to
    come in to the application after shutdown() has been called and while
    we're draining out the lingering events in the main context.

    Prevent this from happening by ensuring we unregister our objects on
    D-Bus during the shutdown process.

    https://bugzilla.gnome.org/show_bug.cgi?id=757372

 gio/gapplication.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit aa16359986a1cf5a77a70cb4f92e1f99de233572
Author:     Ryan Lortie <desrt@desrt.ca>
AuthorDate: Fri Oct 16 12:36:58 2015 +0100
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Dec 16 07:47:53 2015 -0500

    Stop supporting non-POSIX getpwuid_r, getgrgid_r

    Bug 13403 introduced support for the non-POSIX variants of these APIs
    found on a system called "DG/UX".  Meanwhile, the complicated checks
    here are breaking cross-builds on systems that we actually care about.

    Remove the complicated checks and replace them with AC_CHECK_FUNCS.
    Remove the resulting dead code from a couple of .c files.

    https://bugzilla.gnome.org/show_bug.cgi?id=756475

 configure.ac         | 84
 ++--------------------------------------------------
 gio/glocalfileinfo.c |  8 ++---
 glib/gutils.c        | 22 ++------------
 3 files changed, 7 insertions(+), 107 deletions(-)

commit c935237e75c4ed770d9efc9e8bd3be109889d994
Author:     Marius Gedminas <marius@gedmin.as>
AuthorDate: Fri May 8 02:54:00 2015 -0400
Commit:     Olivier Crête <olivier.crete@collabora.com>
CommitDate: Tue Dec 15 19:40:43 2015 -0500

    glib.py: Fix Python 3 TypeError in gdb pretty-printers

    https://bugzilla.gnome.org/show_bug.cgi?id=749092

 glib/glib.py | 4 ++++
 1 file changed, 4 insertions(+)

commit c97729532f54043edb959a2bd2ca6c5df5135658
Author:     Paolo Borelli <pborelli@gnome.org>
AuthorDate: Sun Dec 13 19:32:39 2015 +0100
Commit:     Paolo Borelli <pborelli@gnome.org>
CommitDate: Mon Dec 14 14:32:17 2015 +0100

    W32: fix uninitialized var in g_app_info_get_all_for_type

    Compare with the handler->app, not with the app var which is not
    initialized yet

    https://bugzilla.gnome.org/show_bug.cgi?id=759408

 gio/gwin32appinfo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 61136c2c7333a937adb20a4a43f32e66bf89c2f5
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Dec 14 07:43:24 2015 -0500
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Dec 14 07:43:24 2015 -0500

    Trivial doc comment fix

    Use the same Since: syntax throughout.

 glib/gunicode.h | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit e9c9ff607c024b6daecccb577923c62c0f63cf63
Author:     Andrey Gursky <andrey.gursky@e-mail.ua>
AuthorDate: Fri Nov 20 03:25:28 2015 +0100
Commit:     Colin Walters <walters@verbum.org>
CommitDate: Mon Dec 7 20:52:10 2015 -0500

    Add missing checks for gnulib vasnprintf()

    Commit 212e4232e7520b2e328e3e965ed792e17b12e144 introduced a big
    update
    of gnulib. Necessary changes to configure.ac from old gnulib commit
    e8e63d1b31bca6c82713cba490b21a861abb24b5 have been forgotten. Actually
    available functions are not discovered by autotools.

    https://bugzilla.gnome.org/show_bug.cgi?id=759134

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b3e0caa3e3a2c06e61f49f62112ca9b7f94840db
Author:     Sebastian Rasmussen <sebras@gmail.com>
AuthorDate: Wed Dec 2 21:12:12 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Wed Dec 2 21:12:12 2015 +0000

    Updated Swedish translation

 po/sv.po | 511
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 261 insertions(+), 250 deletions(-)

commit 244f9e66f97e37c9a1570e3d975f0d63b34ae4cd
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Wed Dec 2 21:23:10 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Wed Dec 2 21:23:10 2015 +0800

    build/win32: Add NMake Makefile module for building tests and
    introspection

    This adds a NMake Makefile module that can be used for building
    tests and
    introspection using, NMake.  This is not yet distributed in the
    main GLib
    tarballs, but this is placed here as the base location as this is
    intended to be used in projects that support Visual Studio builds and
    support the build of tests and/or introspection under Visual Studio
    using
    NMake.

 build/win32/detectenv-msvc.mak | 76
 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 76 insertions(+)

commit 80dcec234c74c073c72bceea9731006b525aa576
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Wed Dec 2 21:04:43 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Wed Dec 2 21:04:43 2015 +0800

    config.h.win32.in: Clean up a bit

    Remove the HAVE_*INLINE items from here as well, since 'inline' is
    unconditionally defined in gmacros.h.

 config.h.win32.in | 17 -----------------
 1 file changed, 17 deletions(-)

commit a81568273c2fedf6ac435dcd51731f8e79840694
Author:     Emmanuele Bassi <ebassi@gnome.org>
AuthorDate: Tue Dec 1 12:57:02 2015 +0000
Commit:     Emmanuele Bassi <ebassi@gnome.org>
CommitDate: Tue Dec 1 12:57:02 2015 +0000

    docs: Be more precise on the use of set_resource_base_path()

    The current wording is a bit vague on when to call
    set_resource_base_path() in a GApplication implementation.

 gio/gapplication.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit cfdd4cabe793d897f6dafd61391374099cd5ea1e
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Mon Nov 30 11:22:17 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Mon Nov 30 11:22:17 2015 +0800

    glib/glibconfig.h.win32.in: Clean up a bit further

    Also get rid of the items regarding G_HAVE_*INLINE as they aren't used
    anymore as they are removed from configure.ac.

    Thanks to John Emmas and desrt for the earlier patch for getting
    rid of the C4005 warnings.

 glib/glibconfig.h.win32.in | 12 ------------
 1 file changed, 12 deletions(-)

commit f2fb877ef796c543f8ca166c7e05a434f163faf7
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Fri Nov 27 11:31:41 2015 -0500
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Fri Nov 27 11:31:41 2015 -0500

    glibconfig.h.win32.in: remove G_CAN_INLINE

    We now define this unconditionally in gmacros.h.

    Thanks to John Emmas for the tip.

    https://bugzilla.gnome.org/show_bug.cgi?id=757374

 glib/glibconfig.h.win32.in | 2 --
 1 file changed, 2 deletions(-)

commit ec6971b864a3faffadd0bf4a87c7c1b47697fc83
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Fri Nov 27 11:27:51 2015 -0500
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Fri Nov 27 11:27:51 2015 -0500

    gtypes.h: move G_STATIC_ASSERT to function scope

    It seems that some compilers get upset if this is done at global
    scope,
    so let's move it to function scope where we know it works.

 glib/gtypes.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a266ac62ea1e4deb7edd9332b87b29097607d7c7
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Thu Nov 26 09:25:39 2015 -0500
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Thu Nov 26 09:26:45 2015 -0500

    tests: fix a test on 32-bit builds

    We were trying to squeeze 64-bit test vectors into gsize, which
    is fine
    on 64bit systems but doesn't work very well on 32-bit.

    Change that to a guint64.

 glib/tests/overflow.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 978779044844f9ff793c10395443639cac964e31
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Wed Nov 25 21:37:13 2015 -0500
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Nov 25 21:38:20 2015 -0500

    GApplication: improve docs

    Spell out which GVariant format strings to use for which
    commandline option types. I just wasted some time debugging
    this in an application.

 gio/gapplication.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit db641e32920ee8b553ab6f2d318aafa156e4390c
Author:     Evangelos Foutras <evangelos@foutrelis.com>
AuthorDate: Wed Nov 25 23:29:18 2015 +0200
Commit:     Colin Walters <walters@verbum.org>
CommitDate: Wed Nov 25 17:33:11 2015 -0500

    GDBusProxy: Fix a memory leak during initialization

    https://bugzilla.gnome.org/show_bug.cgi?id=758641

 gio/gdbusproxy.c | 1 +
 1 file changed, 1 insertion(+)

commit be225b76a7c362b61c49cd81c4081be98b510aab
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Wed Nov 25 09:14:30 2015 -0500
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Wed Nov 25 09:41:49 2015 -0500

    GLib 2.47.3

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit ba12fbf8f8861e634def9fc0fb5e9ea603269803
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Wed Nov 25 08:48:06 2015 -0500
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Wed Nov 25 08:48:53 2015 -0500

    gutils: g_bit_ inlines: add visibility macros

    My careful efforts to preserve the exporting of these symbols on
    our ABI
    was thwarted by our symbol visibility filtering.  Let's fix that.

 glib/gutils.h | 3 +++
 1 file changed, 3 insertions(+)

commit 4f18c671ab8c7d313a1b97f9aff4616dee73bb2e
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Tue Nov 24 18:44:45 2015 +0000
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Tue Nov 24 19:44:46 2015 +0000

    GLib 2.47.2

 NEWS         | 37 +++++++++++++++++++++++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 39 insertions(+), 2 deletions(-)

commit 398c048c66e71ec52a1799ea6fbd4c3b1554ec5e
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Fri Nov 6 13:08:41 2015 -0500
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Tue Nov 24 18:44:02 2015 +0000

    docs: remove GDBusObjectManager example

    This example has been causing on-and-off build breaks for quite some
    time.  In this case, the code for copying the generated content
    into the
    main docs of GIO is causing problems with srcdir != destdir builds
    (due
    to the files also being copied from the read-only srcdir during
    distchecks).

    We could probably work around this problem yet again, but since
    there is
    no real benefit to having this content included, so let's remove it.

    https://bugzilla.gnome.org/show_bug.cgi?id=734469

 configure.ac                                       |   1 -
 docs/reference/gio/Makefile.am                     |  21 +--
 .../gio/gdbus-object-manager-example/.gitignore    |   1 -
 .../gio/gdbus-object-manager-example/Makefile.am   |  67 ---------
 .../gdbus-object-manager-example-docs.xml          |  17 ---
 .../gdbus-object-manager-example-sections.txt      | 161
 ---------------------
 .../gdbus-object-manager-example.types             |  10 --
 docs/reference/gio/migrating-gdbus.xml             |  29 +---
 8 files changed, 3 insertions(+), 304 deletions(-)

commit 69003a0751971275b9cb32ac345e0d0c15c81ecd
Author:     Tom Tryfonidis <tomtryf@gmail.com>
AuthorDate: Mon Nov 23 14:58:36 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Mon Nov 23 14:58:49 2015 +0000

    Updated Greek translation
    (cherry picked from commit bf0f0135a32f1ec744ac951d3b759d592ed36872)

 po/el.po | 310
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 155 insertions(+), 155 deletions(-)

commit 7bc6f021d7b65fd61194f366077efb1faafa96dc
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Tue Nov 17 13:29:35 2015 -0500
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Tue Nov 17 13:43:49 2015 -0500

    gmacros: fix unguarded use of __STDC_VERSION__

    According to the C spec, any undefined identifier used in a #if
    expression is taken to have a numerical value of zero.

    Commit db2367e8782d7a39fc3e93d13f6a16f10cad04c2 introduced an #i
    statement which depended on this behaviour.

    gcc has a -Wundef option which warns about depending on this
    behaviour,
    and unfortunately there are projects that are using -Werror=undef in
    builds that include our headers.

    Adding a check for defined(__STDC_VERSION__) before using the macro is
    enough to silence gcc.

 glib/gmacros.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ee2db4a286e4980213a849a13a9f46b5a0dd654
Author:     Daniel Mustieles <daniel.mustieles@gmail.com>
AuthorDate: Tue Nov 17 18:48:06 2015 +0100
Commit:     Daniel Mustieles <daniel.mustieles@gmail.com>
CommitDate: Tue Nov 17 18:48:06 2015 +0100

    Updated Spanish translation

 po/es.po | 531
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 272 insertions(+), 259 deletions(-)

commit f87e002313d566dcce71a9aba040d22ddb5c1e80
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Mon Nov 16 16:57:38 2015 -0500
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Mon Nov 16 16:57:38 2015 -0500

    Fix g_strerror() on non-glibc

    When using one of the codepaths that copies the error string into buf,
    make sure the string gets strdup() afterward.

    https://bugzilla.gnome.org/show_bug.cgi?id=758194

 glib/gstrfuncs.c | 2 ++
 1 file changed, 2 insertions(+)

commit 03cb2eb088a79b7849eb526e0e1f3e2f4ee5b2e4
Author:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
AuthorDate: Mon Nov 16 18:20:41 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Mon Nov 16 18:20:41 2015 +0000

    Added Scottish Gaelic translation

 po/LINGUAS |    1 +
 po/gd.po   | 4416
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 4417 insertions(+)

commit db2367e8782d7a39fc3e93d13f6a16f10cad04c2
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Mon Nov 9 11:36:10 2015 -0500
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Mon Nov 16 13:14:19 2015 -0500

    GLib: clean up the "inline" mess once and for all

    It's been a long time since we've been unconditionally saying "static
    inline" in GLib headers without complaints so it's safe to assume that
    all compilers that we care about support this.

    One thing that is not yet totally supported is the unadorned use
    of the
    word "inline".  Depending on the flags (-std=c89, for example),
    even GCC
    will complain about this.  Detect missing C99 support and define
    "inline" to "__inline" in that case.  Some research shows "__inline"
    appears to be the most widely-supported keyword here, but we may
    need to
    tweak this if we get some reports of breakage.

    Clean up all of the configure checks around this and define
    G_CAN_INLINE
    unconditionally.  Unfortunately, we must assume that some people are
    still using G_IMPLEMENT_INLINES, we must continue to implement that
    (including undefining G_CAN_INLINE and redefining G_INLINE_FUNC) if
    requested.

    It is not our intent to break existing users of the old-style
    G_INLINE_FUNC approach and if that has happened, we may need to make
    some further adjustments.

    https://bugzilla.gnome.org/show_bug.cgi?id=757374

 configure.ac   | 105
 ---------------------------------------------------------
 glib/docs.c    |  19 +++++------
 glib/gmacros.h |  21 ++++++++++++
 glib/gutils.h  |  35 -------------------
 4 files changed, 30 insertions(+), 150 deletions(-)

commit 9834f79279574e2cddc4dcb6149da9bd782dd40d
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Mon Nov 9 16:12:18 2015 +0000
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Mon Nov 16 13:14:19 2015 -0500

    gutils: clean up bit funcs inlining mess

    gutils.h and gutils.c define three utility functions as inlines
    that are
    also exported via the ABI.  This is done via complicated G_INLINE_FUNC
    and G_IMPLEMENT_INLINES logic.

    In order to be able to remove this mess, we create a another
    convoluted
    but slightly cleaner approach: write straight-up inline versions
    of the
    functions named _impl() in the header.  Define macros with the
    "public"
    function names that call these inlines.  From the .c file, export the
    ABI versions of these functions, implemented using the _impl()
    version.

    https://bugzilla.gnome.org/show_bug.cgi?id=757374

 glib/gutils.c | 31 ++++++++++++++++++++++++-------
 glib/gutils.h | 53 ++++++++++++++++++++++++++++++++---------------------
 2 files changed, 56 insertions(+), 28 deletions(-)

commit 0bfbb0d257593b2fcfaaf9bf09c586057ecfac25
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Mon Nov 9 15:54:58 2015 +0000
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Mon Nov 16 13:14:19 2015 -0500

    GTrashStack: uninline and deprecate

    Deprecate GTrashStack and remove the inline implementations for the
    functions.  This will help us clean up the mess that is inline
    functions
    in GLib.

    Because of how G_INLINE_FUNC worked, we have these functions on
    our ABI,
    so we must continue to export them as normal functions.  We are
    safe to
    remove the inline versions, however, because any existing binaries
    will
    continue to carry them and any new builds will just start using the
    non-inline versions.

    https://bugzilla.gnome.org/show_bug.cgi?id=757374

 glib/gtrashstack.c | 61 ++++++++++++++++++++++++++++++++++++++++++++++---
 glib/gtrashstack.h | 67
 ++++++++----------------------------------------------
 2 files changed, 68 insertions(+), 60 deletions(-)

commit 7ab79b3879fa8b336ba3047f2399f26e1601f68e
Author:     Ben Iofel <iofelben@gmail.com>
AuthorDate: Mon Nov 16 10:05:16 2015 -0500
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Mon Nov 16 12:33:02 2015 -0500

    GTask: fix example code in docs

    https://bugzilla.gnome.org/show_bug.cgi?id=758181

 gio/gtask.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 448e01353abba452148b7547eaa255b0555ae575
Author:     Kjartan Maraas <kmaraas@gnome.org>
AuthorDate: Sun Nov 15 23:59:35 2015 +0100
Commit:     Kjartan Maraas <kmaraas@gnome.org>
CommitDate: Sun Nov 15 23:59:35 2015 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 539
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 280 insertions(+), 259 deletions(-)

commit c50bb218de95e1f4278fb1b4ad5f300b13364b85
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Thu Nov 12 15:26:20 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Thu Nov 12 15:26:20 2015 +0800

    MSVC 2010+ builds: Do not explicitly use /LTCG

    This partially reverts dc4361f.

    As we now ensure that items using GResources and GConstructors
    are always
    referenced so that the linker does not optimize them out in a default
    Release build, we no longer need to enforce the use of /LTCG, so
    /LTCG:incremental will work as well.

 build/win32/vs10/gdbus.vcxproj                       | 2 --
 build/win32/vs10/gio-querymodules.vcxproj            | 2 --
 build/win32/vs10/gio.vcxprojin                       | 2 --
 build/win32/vs10/glib-compile-resources.vcxprojin    | 2 --
 build/win32/vs10/glib-compile-schemas.vcxprojin      | 2 --
 build/win32/vs10/glib-genmarshal.vcxproj             | 2 --
 build/win32/vs10/glib.vcxprojin                      | 4 ----
 build/win32/vs10/gmodule.vcxproj                     | 2 --
 build/win32/vs10/gobject.vcxprojin                   | 2 --
 build/win32/vs10/gresource.vcxproj                   | 2 --
 build/win32/vs10/gsettings.vcxproj                   | 2 --
 build/win32/vs10/gspawn-win32-helper-console.vcxproj | 2 --
 build/win32/vs10/gspawn-win32-helper.vcxproj         | 2 --
 build/win32/vs10/gthread.vcxproj                     | 2 --
 14 files changed, 30 deletions(-)

commit db4df9908e0137c14f5aeeefba899240c4724970
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Tue Nov 10 17:20:18 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Thu Nov 12 15:01:54 2015 +0800

    gconstructor: Work around constructors being optimized away on MSVC

    Whole program optimization is enabled by default in visual studio
    release builds, and this causes constructors (for e.g. resources)
    to be
    optimized away as they are not referenced from elsewhere.

    This works around this by some pragma magic.

    https://bugzilla.gnome.org/show_bug.cgi?id=752837

 glib/gconstructor.h | 38 ++++++++++++++++++++++++++++++++------
 1 file changed, 32 insertions(+), 6 deletions(-)

commit 228ad1ed9cf9eb64ac16475e902ff5f861d60c10
Author:     Jeff Bai <jeffbai@aosc.xyz>
AuthorDate: Thu Nov 12 11:02:56 2015 +0800
Commit:     Aron Xu <aron@debian.org>
CommitDate: Thu Nov 12 11:02:56 2015 +0800

    Update zh_CN translations

 po/zh_CN.po | 1238
 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 649 insertions(+), 589 deletions(-)

commit 0a10d38d1533d7944bfd10552c5df9a3cc771d8c
Author:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
AuthorDate: Sat Nov 7 18:51:04 2015 +0200
Commit:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
CommitDate: Sat Nov 7 18:55:17 2015 +0200

    Return value of g_hash_table_get_{keys,values} is (transfer container)

    https://bugzilla.gnome.org/show_bug.cgi?id=757742

 glib/ghash.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 42463b840fb953e4663384a3911df2cd643ecf08
Author:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
AuthorDate: Sat Nov 7 18:50:08 2015 +0200
Commit:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
CommitDate: Sat Nov 7 18:55:17 2015 +0200

    ghash: Correctly annotate (nullable) and (out) parameters

    https://bugzilla.gnome.org/show_bug.cgi?id=757742

 glib/ghash.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 0e5365997179def68797cbaf5d1a0961bef2ad00
Author:     Balázs Úr <urbalazs@gmail.com>
AuthorDate: Sat Nov 7 15:08:05 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Sat Nov 7 15:08:05 2015 +0000

    Updated Hungarian translation

 po/hu.po | 397
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 204 insertions(+), 193 deletions(-)

commit 779b5c9af00d42bcf4728270a3b5a983998121eb
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Sat Nov 7 13:55:24 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Sat Nov 7 13:55:24 2015 +0100

    gtestutils: Fix a function name in a documentation example

 glib/gtestutils.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 25a7c817d3cbef8b6508b44bca6d0b01ca77916b
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Fri Dec 6 12:23:09 2013 +0000
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Sat Nov 7 10:48:32 2015 +0100

    glib: Add missing (nullable) and (optional) annotations

    Add various (nullable) and (optional) annotations which were missing
    from a variety of functions. Also port a couple of existing
    (allow-none)
    annotations in the same files to use (nullable) and (optional) as
    appropriate instead.

    Secondly, add various (not nullable) annotations as needed by the new
    default in gobject-introspection of marking gpointers as
    (nullable). See
    https://bugzilla.gnome.org/show_bug.cgi?id=729660.

    This includes adding some stub documentation comments for the
    assertion macro error functions, which weren’t previously
    documented.
    The new comments are purely to allow for annotations, and hence are
    marked as (skip) to prevent the symbols appearing in the GIR file.

    https://bugzilla.gnome.org/show_bug.cgi?id=719966

 gio/gconverter.c            |  3 +-
 gio/gcredentials.c          |  2 +-
 gio/gdbusconnection.h       |  2 +-
 gio/gfileinfo.c             |  9 +++---
 gio/gicon.c                 |  2 +-
 gio/gmemoryoutputstream.c   |  6 ++--
 gio/gsocketaddress.c        |  2 +-
 gio/gsocketcontrolmessage.c |  2 +-
 glib/garray.c               |  6 ++--
 glib/gatomic.c              | 14 ++++----
 glib/gbitlock.c             |  6 ++--
 glib/gbytes.c               |  5 +--
 glib/gconvert.c             | 23 ++++++-------
 glib/gdataset.c             | 10 +++---
 glib/gdate.c                |  2 +-
 glib/gdatetime.c            | 10 +++---
 glib/gerror.c               |  8 ++---
 glib/ghash.c                | 33 +++++++++----------
 glib/ghook.c                |  4 +--
 glib/gmain.c                |  8 ++---
 glib/gmem.c                 |  3 +-
 glib/gmem.h                 |  2 +-
 glib/gmessages.c            | 27 +++++++++++++---
 glib/gnode.h                |  4 +--
 glib/gprintf.c              |  4 +--
 glib/gqsort.c               |  2 +-
 glib/gshell.c               |  6 ++--
 glib/gslice.c               | 38 ++++++++++++++++++----
 glib/gstrfuncs.c            | 10 +++---
 glib/gstring.c              |  4 +--
 glib/gtestutils.c           | 10 +++++-
 glib/gthread.c              |  6 ++--
 glib/gtrashstack.c          |  2 +-
 glib/gtree.c                |  4 +--
 glib/gutf8.c                | 78
 +++++++++++++++++++++++----------------------
 glib/gutils.c               |  2 +-
 glib/gvariant-core.c        |  2 +-
 gobject/gboxed.c            |  7 ++--
 gobject/gboxed.h            |  6 ++--
 gobject/gclosure.c          | 20 +++++++-----
 gobject/gclosure.h          |  3 +-
 gobject/gmarshal.c          | 44 ++++++++++++-------------
 gobject/gobject.c           | 39 +++++++++++++----------
 gobject/gparam.c            |  2 +-
 gobject/gsignal.c           |  6 ++--
 gobject/gtype.c             |  5 +--
 gobject/gtype.h             | 31 ++++++++++--------
 gobject/gvalue.c            |  2 +-
 48 files changed, 303 insertions(+), 223 deletions(-)

commit 90808a02796449615947e49ae57f5f4fa2e404ea
Author:     Sebastien Bacher <seb128@ubuntu.com>
AuthorDate: Fri Nov 6 17:42:45 2015 +0100
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Fri Nov 6 11:55:57 2015 -0500

    g_local_file_trash: remove invalid free call

    Commit 8ece2de964c01b3428f16766f199b58f0bc67212 transplanted a
    block of
    code that contained an early-exit-on-error case which freed several
    variables.

    Because of the move, the normal-path unconditional free of one
    of these
    variables is now above this early exit case, so if this block is
    hit, it
    will now be a double-free.

    Remove that.

    https://bugzilla.gnome.org/show_bug.cgi?id=757693

 gio/glocalfile.c | 1 -
 1 file changed, 1 deletion(-)

commit 1ac2a606fc10dd8d0e880902bc428ae406beb70c
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Fri Nov 6 11:27:24 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Fri Nov 6 11:27:24 2015 +0100

    gtlsconnection: Fix a typo in the documentation

 gio/gtlsconnection.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 751d3f00a8f4162d486658cf640d94a7a9486360
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Thu Nov 5 09:42:36 2015 -0500
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Thu Nov 5 09:42:36 2015 -0500

    Update .gitignore for overflow tests

 glib/tests/.gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit 4d74ca4c3ad3c9900caf320b39433e68a7db8465
Author:     Jan de Groot <jan@jgc.homeip.net>
AuthorDate: Thu Mar 21 19:51:28 2013 +0000
Commit:     Jürg Billeter <j@bitron.ch>
CommitDate: Thu Nov 5 12:53:19 2015 +0100

    Make gtester-report compatible with Python 3

    Convert tabs to spaces and replace print with print().
    The script still works with Python 2.x.

    https://bugzilla.gnome.org/show_bug.cgi?id=696324

 glib/gtester-report | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 1c6e6671d106a45a0f30d5ca6427ebf0cc26abf5
Author:     Jussi Kukkonen <jussi.kukkonen@intel.com>
AuthorDate: Thu Nov 5 11:08:32 2015 +0200
Commit:     Jussi Kukkonen <jussi.kukkonen@intel.com>
CommitDate: Thu Nov 5 13:50:13 2015 +0200

    gio/tests: Don't depend on a data file that's not built

    data.gresource is not built when cross-compiling: Don't
    add it to test_data in that case.

    https://bugzilla.gnome.org/show_bug.cgi?id=757628

 gio/tests/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 503e3147485a8d21ec9915b5df4c2ba4e2c4284b
Author:     Pedro Albuquerque <palbuquerque73@gmail.com>
AuthorDate: Thu Nov 5 05:58:56 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Thu Nov 5 05:58:56 2015 +0000

    Updated Portuguese translation

 po/pt.po | 433
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 222 insertions(+), 211 deletions(-)

commit 236e8040b4f8fbf213374ce398ecf29ce011f47c
Author:     Simon McVittie <simon.mcvittie@collabora.co.uk>
AuthorDate: Mon Nov 2 17:17:55 2015 +0000
Commit:     Simon McVittie <smcv@debian.org>
CommitDate: Mon Nov 2 20:36:42 2015 +0000

    Build gdbus-example-objectmanager-server again

    It was removed, apparently accidentally, in commit 5b48dc4.
    This had the side-effect that it wasn't included in tarball releases,
    which means that commit ab7b4be doesn't work when building a package.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=734469
    Reviewed-by: Colin Walters <walters@verbum.org>

 gio/tests/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit 0dbc81c73ae19310f477e4888f4d4cba8474a846
Author:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
AuthorDate: Thu Oct 29 10:54:34 2015 +0200
Commit:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
CommitDate: Mon Nov 2 20:03:38 2015 +0200

    Move G_POLLFD_FORMAT to glibconfig.h

    It's a platform-specific macro, so it belongs in glibconfig.h.
    This ensures that g-ir-scanner will not pick the wrong definition
    for introspection.

    https://bugzilla.gnome.org/show_bug.cgi?id=757294

 configure.ac               |  8 +++++++-
 glib/glibconfig.h.win32.in |  4 ++++
 glib/gpoll.h               | 11 ++---------
 3 files changed, 13 insertions(+), 10 deletions(-)

commit 6f1b574ceab74a043d24c24d12b2cfb47e5f8228
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Mon Nov 2 09:36:47 2015 -0500
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Mon Nov 2 10:02:43 2015 -0500

    Doc: Fix missing glibconfig.h when builddir!=srcdir

    Currently the doc is incomplete when builddir!=srcdir
    (e.g. debian package) because glibconfig.h is generared from
    configure.ac and is thus missing from srcdir. This leads to
    missing doc for symbols like G_GINT64_FORMAT.

    https://bugzilla.gnome.org/show_bug.cgi?id=734469

 docs/reference/gio/Makefile.am     |  7 ++++---
 docs/reference/glib/Makefile.am    | 11 ++++++++---
 docs/reference/gobject/Makefile.am |  2 +-
 3 files changed, 13 insertions(+), 7 deletions(-)

commit 86a7c864b32cc8532df2b57f59526c11be507657
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Fri Oct 30 14:59:11 2015 -0400
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Mon Nov 2 09:26:58 2015 -0500

    Doc: copy included example files

    This fix missing files when src_dir != build_dir.

    https://bugzilla.gnome.org/show_bug.cgi?id=734469

 docs/reference/gio/Makefile.am         | 19 ++++++++++++++++++-
 docs/reference/gio/migrating-gdbus.xml | 10 +++++-----
 2 files changed, 23 insertions(+), 6 deletions(-)

commit ee718d352615f8417683f99fba6d0d08a33760fa
Author:     Lars Uebernickel <lars.uebernickel@canonical.com>
AuthorDate: Wed Oct 7 15:49:05 2015 +0200
Commit:     Lars Uebernickel <lars.uebernickel@canonical.com>
CommitDate: Mon Nov 2 13:52:10 2015 +0100

    gapplication: reject actions without names

    https://bugzilla.gnome.org/show_bug.cgi?id=756134

 gio/gsimpleaction.c      |  2 ++
 gio/gsimpleactiongroup.c |  7 +++++++
 gio/tests/gapplication.c | 25 +++++++++++++++++++++++++
 3 files changed, 34 insertions(+)

commit 863bffdac7f08815e4189bc881cb0c26d98d96c3
Author:     Daiki Ueno <dueno@src.gnome.org>
AuthorDate: Mon Nov 2 09:38:50 2015 +0900
Commit:     Daiki Ueno <dueno@src.gnome.org>
CommitDate: Mon Nov 2 11:14:04 2015 +0900

    doc: fix g_task_attach_source() example

    The 3rd argument of the function is not a GCallback, but a
    GSourceFunc.

    https://bugzilla.gnome.org/show_bug.cgi?id=757451

 gio/gtask.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit df352203d6eb06355e4de40006236af64181d9d6
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Fri Oct 30 10:02:06 2015 -0400
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Fri Oct 30 11:35:28 2015 -0400

    Stop using g_sequence_get_length() to check if it's empty

    g_sequence_is_empty() is more efficient for that task.

    https://bugzilla.gnome.org/show_bug.cgi?id=756988

 gio/gdbusmenumodel.c    | 2 +-
 gio/glocalfilemonitor.c | 6 +++---
 gio/gmenuexporter.c     | 2 +-
 glib/gsequence.c        | 2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

commit 2bc32606c73ccb66f86444b60bf0eabc9c959fb3
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Thu Oct 22 16:23:12 2015 -0400
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Fri Oct 30 11:35:27 2015 -0400

    GSequence: document that _get_length() is not O(1)

    https://bugzilla.gnome.org/show_bug.cgi?id=756988

 glib/gsequence.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2331437df3fa3c28649f6b318ed980bd9462434f
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Mon Sep 21 13:24:44 2015 -0400
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Fri Oct 30 10:30:55 2015 -0400

    Doc: fix some gtk-doc warnings

    https://bugzilla.gnome.org/show_bug.cgi?id=755364

 docs/reference/glib/glib-sections.txt |  1 +
 gio/gfilemonitor.c                    | 15 +++++++++++++++
 gio/gsocketconnectable.h              |  2 +-
 glib/gmem.c                           |  3 +++
 gobject/gparam.c                      |  2 +-
 gobject/gparam.h                      |  4 ++--
 6 files changed, 23 insertions(+), 4 deletions(-)

commit 7dd9ffbcfff3561d2d1bcd247c052e4c4399623f
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Wed Oct 28 11:14:15 2015 +0000
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Fri Oct 30 11:58:49 2015 +0100

    tests: test bounds-checked int arithmetic

    Add some simple testcases for the new bounds-checked integer
    arithmetic
    helpers.

    Include a second build of the testcase to make sure we test the
    fallback
    code even if we are on a compiler that supports the intrinsics.

    https://bugzilla.gnome.org/show_bug.cgi?id=503096

 glib/tests/Makefile.am |   5 ++
 glib/tests/overflow.c  | 199
 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 204 insertions(+)

commit d0219f25970c740ac1a8965754868d54bcd90eeb
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Wed Oct 28 11:14:13 2015 +0000
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Fri Oct 30 11:58:49 2015 +0100

    GLib: add bounds-checked unsigned int arithmetic

    Add some helpers for builds-checked unsigned integer arithmetic
    to GLib.
    These will be based on compiler intrinsics where they are available,
    falling back to standard manual checks otherwise.

    The fallback case needs to be implemented as a function (which we do
    inline) because we cannot rely on statement expressions.  We also
    implement the intrinsics case as an inline in order to avoid people
    accidentally writing non-portable code which depends on static
    evaluation of the builtin.

    For now there is only support for addition and multiplication
    for guint,
    guint64 and gsize.  It may make sense to add support for subtraction
    or
    for the signed equivalents of those types in the future if we find
    a use
    for that.

    https://bugzilla.gnome.org/show_bug.cgi?id=503096

 docs/reference/glib/glib-docs.xml     |   1 +
 docs/reference/glib/glib-sections.txt |  11 +++
 glib/docs.c                           | 124
 ++++++++++++++++++++++++++++++++++
 glib/gtypes.h                         |  57 +++++++++++++++-
 4 files changed, 192 insertions(+), 1 deletion(-)

commit 89bda59170b662d65f91d36220492cc890dafa0d
Author:     Allison Ryan Lortie <desrt@desrt.ca>
AuthorDate: Wed Oct 28 11:14:11 2015 +0000
Commit:     Allison Ryan Lortie <desrt@desrt.ca>
CommitDate: Fri Oct 30 11:58:49 2015 +0100

    macros: add dummy __has_builtin()

    Add a dummy definition for Clang's __has_builtin() macro.  This will
    allow us to use __has_builtin() unconditionally, in the same way as we
    already do for __has_feature().

    https://bugzilla.gnome.org/show_bug.cgi?id=503096

 glib/gmacros.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 41bd8c90aebb0fd6de0735f52a3e9e99e67a5eed
Author:     Yosef Or Boczko <yoseforb@src.gnome.org>
AuthorDate: Fri Oct 30 12:50:00 2015 +0200
Commit:     Yosef Or Boczko <yoseforb@src.gnome.org>
CommitDate: Fri Oct 30 12:50:00 2015 +0200

    Updated Hebrew translation

 po/he.po | 381
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 196 insertions(+), 185 deletions(-)

commit adfd1847763f71c79424386fd31e31693ea7f599
Author:     Murray Cumming <murrayc@murrayc.com>
AuthorDate: Wed Oct 28 10:50:31 2015 +0100
Commit:     Murray Cumming <murrayc@murrayc.com>
CommitDate: Wed Oct 28 10:50:40 2015 +0100

    Fix tiny typo.

 gobject/glib-mkenums.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d52625a94a816fffb880b8a85f3bfd4c35d02b99
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Tue Oct 27 09:28:10 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Tue Oct 27 09:28:10 2015 +0800

    gwin32.c: Fix g_win32_check_windows_version() on 32-bit

    The Windows API function RtlGetVersion() is actually a function
    that is
    decorated by WINAPI (i.e. __stdcall), so we need to correct this
    so that
    the symbol can be loaded correctly from ntdll.dll, so that we won't
    crash as
    a result.  Should fix the crash due to stack overflow on 32-bit
    builds.

    https://bugzilla.gnome.org/show_bug.cgi?id=756179

 glib/gwin32.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f87fd39cf32cfda40dadaf1c8906cfc5c0518b06
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Oct 26 11:03:24 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Oct 26 13:52:47 2015 -0400

    2.47.1

 NEWS         | 55 ++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 configure.ac |  4 ++--
 2 files changed, 56 insertions(+), 3 deletions(-)

commit a036bd38a574f38773d269447cf81df023d2c819
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Oct 26 13:51:30 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Oct 26 13:52:47 2015 -0400

    Try to fix the desktop-app-info test

    This was broken in 2bb898c60f4333.

 gio/tests/desktop-app-info.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit e93aaeb5333829fb94693223487c5baf77eb251d
Author:     Rico Tzschichholz <ricotz@ubuntu.com>
AuthorDate: Sun Oct 25 19:43:54 2015 +0100
Commit:     Rico Tzschichholz <ricotz@ubuntu.com>
CommitDate: Sun Oct 25 19:43:54 2015 +0100

    gio: Fix version of "Since" annotation

 gio/gsocketconnectable.c | 2 +-
 gio/gsocketconnectable.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0d4f6afcdf4e342b69383bfc022eed620dd1c3da
Author:     Rico Tzschichholz <ricotz@ubuntu.com>
AuthorDate: Sun Oct 25 19:42:18 2015 +0100
Commit:     Rico Tzschichholz <ricotz@ubuntu.com>
CommitDate: Sun Oct 25 19:42:18 2015 +0100

    docs: Add index for 2.48 api

 docs/reference/gio/gio-docs.xml   | 4 ++++
 docs/reference/glib/glib-docs.xml | 4 ++++
 2 files changed, 8 insertions(+)

commit 4dae2d8289afabb59e3889118c392a09efea18a1
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Sat Oct 24 10:37:22 2015 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Sat Oct 24 10:37:22 2015 -0400

    gtask: re-fix tasks-blocking-other-tasks

    The new "slowly add more task threads" code doesn't fully deal with
    apps that queue lots and lots of tasks which then block on tasks from
    their task threads. Fix this by bringing back the "task is blocking
    other task" check and making sure that such tasks get bumped to the
    front of the queue.

    https://bugzilla.gnome.org/show_bug.cgi?id=687223

 gio/gtask.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 556705cb9c826d70c043d67a87d997f82e2a559d
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Sat Oct 24 11:05:27 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Sat Oct 24 11:05:27 2015 +0800

    gwin32.c: Fix build on Visual Studio

    ntdef.h is a header that is normally only shipped with MinGW,
    not Visual
    Studio, which broke the build in commit 975cb91.  Fix this by
    including
    winternl.h, which typedef's the NTSTATUS type in question on both
    Visual
    Studio and MinGW/mingw-w64, as well as pre-2008 Visual Studio.

    Clean up this inclusion part a little bit as well.

 glib/gwin32.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit af0a47701db53ccf68211582a1e3f31e2836d4f3
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Fri Oct 23 11:28:32 2015 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Fri Oct 23 11:38:31 2015 -0400

    gtypes.h: fix G_MAXUINT64 definition to use G_GUINT64_CONSTANT

    (Noticed as part of https://bugzilla.gnome.org/show_bug.cgi?id=756550)

 glib/gtypes.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 263aac125e3dfe26aebc6ce7bc0ed39889f19933
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Fri Oct 23 11:28:03 2015 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Fri Oct 23 11:28:03 2015 -0400

    .gitignore updates

 build/win32/vs10/.gitignore | 1 +
 build/win32/vs9/.gitignore  | 1 +
 gio/tests/.gitignore        | 5 ++++-
 gobject/tests/.gitignore    | 1 +
 4 files changed, 7 insertions(+), 1 deletion(-)

commit 50d704ab8fadf714f814fff9c8091a64cf72beb5
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Fri Oct 23 10:34:50 2015 +0200
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Fri Oct 23 10:34:50 2015 +0200

    win32: make sure bytes_read/written is set to 0 on error

    If we fail to PeekMessage or PostMessage we should make sure
    that the output parameter bytes_read/written is set 0 instead
    of being left uninitialized. This fixes an assertion in the io
    channel call where the following invariant is checked:
    (status == G_IO_STATUS_NORMAL) || (read_size == 0)

 glib/giowin32.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 3bb8294e00608238c2a28753425c9ce332c2bc0e
Author:     Víctor Manuel Jáquez Leal <vjaquez@igalia.com>
AuthorDate: Thu Oct 22 10:36:00 2015 +0200
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Thu Oct 22 11:21:47 2015 +0200

    giomodule: return a copy of module name

    This is a regression from commit 6dedc0.

    The clients expect to free the received module name, so the function
    must return a copy.

    https://bugzilla.gnome.org/show_bug.cgi?id=756952

 gio/giomodule.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 144a87a643a619ff82a3acaffa6ac3761bc5db1f
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Thu Oct 22 08:19:19 2015 +0200
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Thu Oct 22 09:22:01 2015 +0200

    Use bin/gio/modules when building with visual studio

 gio/giomodule.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 6dedc0364afeafac3bbae7ecbb87249234a4ca85
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Thu Oct 22 08:18:24 2015 +0200
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Thu Oct 22 08:42:22 2015 +0200

    Factor out a get_gio_module_dir

    This also fixes some memory leaks on windows

 gio/giomodule.c | 42 ++++++++++++++++++++++++++++--------------
 1 file changed, 28 insertions(+), 14 deletions(-)

commit 31c45cb6aeb06d59b731fb725beeee17ed851475
Author:     Robert Ancell <robert.ancell@canonical.com>
AuthorDate: Tue Oct 20 15:44:32 2015 +1300
Commit:     Robert Ancell <robert.ancell@canonical.com>
CommitDate: Wed Oct 21 15:26:53 2015 +1300

    gkeyfile: Handle whitespace after boolean values

    Ignore trailing whitespace when reading boolean values. Currently
    it is
    very easy to manually edit a keyfile to be:

    [section]
    key=true_

    Where '_' is a space character. g_key_file_get_boolean will read
    this value as
    false and this is hard for a user to detect (it will be reported
    in GError
    as an invalid value).

    Trailing whitespace is ignored for numbers for the same reason. This
    was
    fixed in 7a45dde4fe64b4f6c6d3ebc54dfb54d106290e9d.

    https://bugzilla.gnome.org/show_bug.cgi?id=664740

 glib/gkeyfile.c      | 17 +++++++++++++++--
 glib/tests/keyfile.c |  4 ++++
 2 files changed, 19 insertions(+), 2 deletions(-)

commit 51ed0f040505914d9be09f01b2b567d69df57ae4
Author:     Robert Ancell <robert.ancell@canonical.com>
AuthorDate: Tue Oct 20 15:46:01 2015 +1300
Commit:     Robert Ancell <robert.ancell@canonical.com>
CommitDate: Wed Oct 21 15:26:17 2015 +1300

    gkeyfile: Test that whitespace is allowed after numbers

    Test that whitespace is allowed after numbers - this was fixed in
    commit 7a45dde4fe64b4f6c6d3ebc54dfb54d106290e9d.

 glib/tests/keyfile.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 975cb9108543fb5c8b1146f74350ef4c6f1cd888
Author:     Sebastian Dröge <sebastian@centricular.com>
AuthorDate: Tue Oct 20 17:36:33 2015 +0300
Commit:     Sebastian Dröge <sebastian@centricular.com>
CommitDate: Tue Oct 20 20:47:07 2015 +0300

    win32: Include ntdef.h for NTSTATUS

    https://bugzilla.gnome.org/show_bug.cgi?id=756875

 glib/gwin32.c | 4 ++++
 1 file changed, 4 insertions(+)

commit ad0f340c273e3c6bac01bbc1eb41652903150f70
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Tue Oct 20 16:12:07 2015 +0200
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Tue Oct 20 16:13:08 2015 +0200

    win32: let glib to use the right path separator for the modules

 gio/giomodule.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2ac7c5a6fb3c4f169ba5b44df762f7dc43504bfa
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Thu Oct 15 15:37:42 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Tue Oct 20 08:18:22 2015 -0400

    Use -Wl,-znodelete for all our libraries

    Now that we initialize the quark tables from a constructor,
    reloading libglib is just as bad as reloading libgobject,
    so add the linker option to the LDFLAGS for all our libraries.

    https://bugzilla.gnome.org/show_bug.cgi?id=755609

 configure.ac        | 6 ++----
 gobject/Makefile.am | 1 -
 2 files changed, 2 insertions(+), 5 deletions(-)

commit bf33f1d98d91e9326f04d56e1c3576baa886ae1d
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Sun Oct 18 19:34:44 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Tue Oct 20 07:18:15 2015 +0900

    docs: Replace Maman in the tutorial with a more meaningful example

    Change it to a running example of a file viewer application with
    a file
    class and various derived classes and related interfaces. Hopefully
    the
    reader can relate to this a little better than to their maman.

    https://bugzilla.gnome.org/show_bug.cgi?id=753935

 docs/reference/gobject/tut_gobject.xml | 142 +++----
 docs/reference/gobject/tut_gtype.xml   | 188 +++++-----
 docs/reference/gobject/tut_howto.xml   | 651
 +++++++++++++++++++--------------
 3 files changed, 548 insertions(+), 433 deletions(-)

commit 419f57137ad1eaaa34ed41c23b5077642ca5b06c
Author:     Ryan Lortie <desrt@desrt.ca>
AuthorDate: Thu Oct 15 15:14:36 2015 +0100
Commit:     Ryan Lortie <desrt@desrt.ca>
CommitDate: Fri Oct 16 12:10:50 2015 +0100

    GDateTime test: fix occasional failures

    We were using the time() library call to get the current time from the
    system in order to compare it to the time returned by
    g_date_time_new_now().

    Of course, we took care to ensure that the time (in seconds) didn't
    change in the middle of this process by checking the before and after
    value of the system time.

    Unfortunately, the system time as measured by time() was being taken
    from a less-accurate clock source than the time used by GDateTime.
    As a
    result, we could have GDateTime already into the next second while the
    "seconds" value of the time returned by time() was still in the last
    one, even when checked "after".

    Avoid the problem by using the same ultimate source for time --
    g_get_real_time().

    This is based on a similar patch from Iain Lane, but it uses
    g_get_real_time() instead of g_get_current_time().

    https://bugzilla.gnome.org/show_bug.cgi?id=754994

 glib/tests/gdatetime.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 75eaf5091c07572f0bac2756821f228d87916df0
Author:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
AuthorDate: Tue Oct 6 01:51:52 2015 +0300
Commit:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
CommitDate: Thu Oct 15 23:57:06 2015 +0300

    g_main_context_query(): Annotate @n_fds as (in) parameter

    The default is picked up as (out), which is bogus.

    https://bugzilla.gnome.org/show_bug.cgi?id=756099

 glib/gmain.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 05aafe2cff5aab63c6c8d51261549b395f54bca6
Author:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
AuthorDate: Wed Oct 14 08:10:38 2015 +0300
Commit:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
CommitDate: Thu Oct 15 23:47:04 2015 +0300

    gtypes.h: Make G_MININTn literals negative

    This is more friendly to the GIR scanner; with previous definitions,
    the constant values end up out of range for their stated integer type.

    https://bugzilla.gnome.org/show_bug.cgi?id=756550

 glib/gtypes.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 01baf396852bf9e31625260ccba939bf4f539f5e
Author:     Christian Hergert <chergert@redhat.com>
AuthorDate: Thu Oct 15 13:07:27 2015 -0700
Commit:     Christian Hergert <chergert@redhat.com>
CommitDate: Thu Oct 15 13:07:27 2015 -0700

    sequence: fix style issue in previous commit

    Use g_assert_true() rather than integer comparison in sequence
    unit test.

 glib/tests/sequence.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8fccf8e4e3ae87f3c1069270daeb2a59a40bf89d
Author:     Christian Hergert <chergert@redhat.com>
AuthorDate: Thu Oct 15 12:54:09 2015 -0700
Commit:     Christian Hergert <chergert@redhat.com>
CommitDate: Thu Oct 15 12:54:09 2015 -0700

    sequence: add g_sequence_is_empty()

    This function provides an O(1) check to determine if a sequence
    is empty.
    Compare this to the two following alternatives to perform the
    same check.

    O(h):  if (0 == g_sequence_get_length (seq))
    O(2h): if (g_sequence_get_begin_iter(seq) ==
    g_sequence_get_end_iter(seq))

    Where `h' is the height of the tree.

    https://bugzilla.gnome.org/show_bug.cgi?id=756316

 glib/gsequence.c      | 20 ++++++++++++++++++++
 glib/gsequence.h      |  2 ++
 glib/tests/sequence.c | 26 ++++++++++++++++++++++++++
 3 files changed, 48 insertions(+)

commit 0b84596f6e8dc830e7f90e7501a036a16c7c31e3
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Thu Oct 15 17:36:33 2015 +0200
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Thu Oct 15 17:42:02 2015 +0200

    gnulib: forgot some changes from HAVE_LONG_LONG_INT to HAVE_LONG_LONG

    https://bugzilla.gnome.org/show_bug.cgi?id=756382

 glib/gnulib/printf-parse.c |  6 +++---
 glib/gnulib/vasnprintf.c   | 12 ++++++------
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 212e4232e7520b2e328e3e965ed792e17b12e144
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Wed Oct 14 12:55:06 2015 +0200
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Thu Oct 15 14:54:42 2015 +0200

    Update gnulib

    It updates it to the version c5d07ce91a8ad51591154450442fa4376441fdfa
    As a difference with upstream we need to ensure:
     * Include "g-gnulib.h" so the methods get the gnulib namespace.
     * xsize.h uses G_MAXSIZE instead of SIZE_MAX and the methods are
       marked as static inline.
     * Some defines are named different from the ones in glib i.e
       HAVE_LONG_LONG_INT is HAVE_LONG_LONG

    All the unit tests pass properly with and without
    --enable-included-printf.
    It has also been tested on Windows.

    https://bugzilla.gnome.org/show_bug.cgi?id=756382

 glib/gnulib/Makefile.am    |    2 +
 glib/gnulib/printf-args.c  |  210 +-
 glib/gnulib/printf-args.h  |  126 +-
 glib/gnulib/printf-parse.c | 1003 ++++---
 glib/gnulib/printf-parse.h |  173 +-
 glib/gnulib/vasnprintf.c   | 6445
 +++++++++++++++++++++++++++++++++++++-------
 glib/gnulib/vasnprintf.h   |   68 +-
 glib/gnulib/verify.h       |  279 ++
 glib/gnulib/xsize.h        |  101 +
 9 files changed, 6823 insertions(+), 1584 deletions(-)

commit 8ece2de964c01b3428f16766f199b58f0bc67212
Author:     Ryan Lortie <desrt@desrt.ca>
AuthorDate: Tue Sep 29 10:16:52 2015 -0400
Commit:     Ryan Lortie <desrt@desrt.ca>
CommitDate: Wed Oct 14 18:08:02 2015 +0100

    g_local_file_trash: write info file first

    Recent changes to file monitors removed the delay before events were
    reported.  Among other things, this caused the trash backend of
    gvfs to
    notice trashed files sooner than before.

    On noticing trashed files, the backend tries to read the info file to
    discover (among other things) the original location of the file.

    Unfortunately, g_local_file_trash() does a strange dance when
    trashing a
    file.  It does a loop of open(O_EXCL) in order to file an empty
    filename
    in the trash to write an info file to, trashes the file, and only then
    writes the contents of the info file.  This means that at the time the
    file is moved to the trash, the info file is an empty stub.

    Change the order so that we write out the actual content of the info
    file first.  If the actual trash files then we will unlink the
    info file
    anyway.

    https://bugzilla.gnome.org/show_bug.cgi?id=749314

 gio/glocalfile.c | 51 ++++++++++++++++++++++++++++-----------------------
 1 file changed, 28 insertions(+), 23 deletions(-)

commit 7c6d29967e2c5d151d161596a1848f984d1c2845
Author:     Inaki Larranaga Murgoitio <dooteo@zundan.com>
AuthorDate: Wed Oct 14 11:49:54 2015 +0200
Commit:     dooteo <dooteo@macpro.zundan.com>
CommitDate: Wed Oct 14 11:49:54 2015 +0200

    Updated Basque language

 po/eu.po | 981
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 507 insertions(+), 474 deletions(-)

commit 128c413261f60c044aca14895ca2c5d2574d791e
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Sun Oct 4 15:24:24 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Tue Oct 13 15:42:14 2015 +0100

    gsocketconnectable: Add a to_string() virtual method

    Add string serialisation functions for GNetworkAddress,
    GSocketAddress,
    GUnixSocketAddress, GInetSocketAddress, GNetworkService and
    GSocketConnectable. These are intended for use in debug output,
    not for
    serialisation in network or disc protocols.

    They are implemented as a new virtual method on GSocketConnectable:
    g_socket_connectable_to_string().

    GInetSocketAddress and GUnixSocketAddress now implement
    GSocketConnectable directly to implement to_string(). Previously they
    implemented it via their abstract parent class, GSocketAddress.

    https://bugzilla.gnome.org/show_bug.cgi?id=737116

 docs/reference/gio/gio-sections.txt |  1 +
 gio/ginetsocketaddress.c            | 62
 ++++++++++++++++++++++++++++++++++++-
 gio/gnetworkaddress.c               | 26 ++++++++++++++++
 gio/gnetworkservice.c               | 14 +++++++++
 gio/gsocketaddress.c                |  1 +
 gio/gsocketconnectable.c            | 31 +++++++++++++++++++
 gio/gsocketconnectable.h            |  6 ++++
 gio/gunixsocketaddress.c            | 52 ++++++++++++++++++++++++++++++-
 gio/tests/inet-address.c            | 50 ++++++++++++++++++++++++++++++
 gio/tests/network-address.c         | 38 +++++++++++++++++++++++
 gio/tests/socket-address.c          | 40 ++++++++++++++++++++++++
 11 files changed, 319 insertions(+), 2 deletions(-)

commit 4e631d2e5fd2d7d27b1ca5e2edd6a4d95c83566e
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Fri Jun 12 08:50:42 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Tue Oct 13 15:33:48 2015 +0100

    gio: Add GDatagramBased interface and rebase GSocket on it

    GDatagramBased is an interface abstracting datagram-based
    communications
    in the style of the Berkeley sockets API. It may be contrasted to (for
    example) GIOStream, which supports only streaming I/O.

    GDatagramBased allows socket-like communications to be done through
    any
    object, not just a concrete GSocket (which wraps socket()).

    This adds the GDatagramBased interface, and implements it in GSocket.

    https://bugzilla.gnome.org/show_bug.cgi?id=697907

 docs/reference/gio/gio-docs.xml     |   1 +
 docs/reference/gio/gio-sections.txt |  21 ++
 gio/Makefile.am                     |   2 +
 gio/gdatagrambased.c                | 473
 ++++++++++++++++++++++++++++++++++++
 gio/gdatagrambased.h                | 144 +++++++++++
 gio/gio-autocleanups.h              |   1 +
 gio/gio.h                           |   1 +
 gio/giotypes.h                      |  19 ++
 gio/gsocket.c                       | 144 ++++++++++-
 gio/makefile.msc                    |   1 +
 po/POTFILES.in                      |   1 +
 11 files changed, 807 insertions(+), 1 deletion(-)

commit e5e08ebedbc1dd97d19f2504d43619991b1e52aa
Author:     Mike Frysinger <vapier@gentoo.org>
AuthorDate: Mon Oct 12 23:29:00 2015 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Tue Oct 13 09:04:39 2015 -0400

    gthreadedresolver.c: Fix for Android 5.0+

    https://bugzilla.gnome.org/show_bug.cgi?id=756477

 gio/gthreadedresolver.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dc4361f4cb49f376993129fea6768a978a28711e
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Tue Oct 13 19:30:22 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Tue Oct 13 19:30:22 2015 +0800

    MSVC 2010+ builds: Explicitly use /LTCG

    The Visual Studio projects used a default setting for link-time code
    generation, which is a part of the various linker optimizations
    that is
    available, which is set as /LTCG for Visual Studio 2013 and earlier.

    This changed in Visual Studio 2015 to become /LTCG:incremental,
    which would
    cause GResources-generated code to be optimized out during linking,
    unless
    they were referred to directly in the main line code (such as when the
    GResource is manually registered), causing programs to crash as a
    result as
    they can't find the needed code/data at run time.

    Fix this by explicitly setting /LTCG for all release builds,
    for Visual
    Studio 2010 and later.

    https://bugzilla.gnome.org/show_bug.cgi?id=752837

 build/win32/vs10/gdbus.vcxproj                       |  2 ++
 build/win32/vs10/gio-querymodules.vcxproj            |  2 ++
 build/win32/vs10/gio.vcxprojin                       | 10 ++++++----
 build/win32/vs10/glib-compile-resources.vcxprojin    |  2 ++
 build/win32/vs10/glib-compile-schemas.vcxprojin      |  2 ++
 build/win32/vs10/glib-genmarshal.vcxproj             |  2 ++
 build/win32/vs10/glib.vcxprojin                      | 20
 ++++++++++++--------
 build/win32/vs10/gmodule.vcxproj                     | 10 ++++++----
 build/win32/vs10/gobject.vcxprojin                   | 10 ++++++----
 build/win32/vs10/gresource.vcxproj                   |  2 ++
 build/win32/vs10/gsettings.vcxproj                   |  2 ++
 build/win32/vs10/gspawn-win32-helper-console.vcxproj |  2 ++
 build/win32/vs10/gspawn-win32-helper.vcxproj         |  2 ++
 build/win32/vs10/gthread.vcxproj                     | 10 ++++++----
 14 files changed, 54 insertions(+), 24 deletions(-)

commit b7e29730482dd2d5e88c3448c6310b6849c0a3cf
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Mon Oct 12 16:49:53 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Mon Oct 12 16:56:46 2015 +0800

    gobject: Further optimize MSVC builds

    Use /ltcg (link time code generation) for linking as well.

    In fact, whole program optimization and /ltcg are the default
    for Release
    builds, so we don't really have to set them explicitly in the
    projects, so
    as a result, we can clean up the projects a little bit.

    https://bugzilla.gnome.org/show_bug.cgi?id=752837

 build/win32/vs10/gobject.vcxprojin | 6 ------
 build/win32/vs9/gobject.vcprojin   | 4 ----
 2 files changed, 10 deletions(-)

commit 670400ee337f84c9938db84e3de8d4a82ba3ec62
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Mon Oct 12 15:05:23 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Mon Oct 12 15:05:23 2015 +0800

    gobject: MSVC builds-improve optimization a bit

    Use whole program optimization (/GL) as we now use DllMain() to
    initialize the library on Windows builds.

    https://bugzilla.gnome.org/show_bug.cgi?id=752837

 build/win32/vs10/gobject.vcxprojin | 4 ++--
 build/win32/vs9/gobject.vcprojin   | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 7a29771a743a8b5337af5f3fcd1fbfdfdc5d1b81
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Fri Oct 9 13:22:34 2015 +0200
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Sun Oct 11 10:29:10 2015 +0200

    gobject: use a DllMain to initialize gobject on windows

    It seems that VS 2015 optimizes out the constructor on windows,
    so it is better to use a DllMain to initialize the library
    and keep using a normal constructor on the other platforms.
    This research was done by  Arnav Singh.

    https://bugzilla.gnome.org/show_bug.cgi?id=752837

 gobject/gtype.c | 86
 ++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 61 insertions(+), 25 deletions(-)

commit cd1eba043c90da3aee8f5cd51b205b2e2c16f08e
Author:     Debarshi Ray <debarshir@gnome.org>
AuthorDate: Thu Oct 8 18:50:26 2015 +0200
Commit:     Debarshi Ray <debarshir@gnome.org>
CommitDate: Fri Oct 9 14:16:29 2015 +0200

    docs: Improve the text on G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START

    ... and fix a couple of typos in the process.

    https://bugzilla.gnome.org/show_bug.cgi?id=756251

 gio/gioenums.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 16e0a5a886c60a648e74afd12c0cbeeb58d6d522
Author:     John Hiesey <john@hiesey.com>
AuthorDate: Wed Oct 7 17:34:17 2015 -0700
Commit:     Alexander Larsson <alexl@redhat.com>
CommitDate: Thu Oct 8 20:07:08 2015 +0200

    goutputstream: Report input stream read failure correctly

    When G_OUTPUT_STREAM_CLOSE_TARGET is set,
    g_output_stream_real_splice was not returning -1 in any error
    cases, since the success flag was being overwritten.

    https://bugzilla.gnome.org/show_bug.cgi?id=756255

 gio/goutputstream.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fb9df27776b116d9e8552c0b7b3109245a9c0d26
Author:     Ignacio Casal Quinteiro <icq@gnome.org>
AuthorDate: Thu Apr 9 18:05:18 2015 +0200
Commit:     Ignacio Casal Quinteiro <icq@gnome.org>
CommitDate: Thu Oct 8 17:32:29 2015 +0200

    Change message system to use fputs instead of write

    By default g_log_default_handler always assumes that stdout
    and stderr are file descriptors 1 and 2. On Win32 this isn't
    always the case as the win32 API functions AttachConsole and
    freopen can be used to dynamically attach GUI applications to
    a console and the file descriptors of stderr and stdout will
    become different than 1 and 2.

    Fix it by using fputs with the FILE directly instead of
    using the file descriptors.

    https://bugzilla.gnome.org/show_bug.cgi?id=692085

 glib/gmessages.c | 41 +++++++++++++++++++----------------------
 1 file changed, 19 insertions(+), 22 deletions(-)

commit 144d38fb9d63a26c99acbd3cc212430d3d688859
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Thu Oct 8 12:57:33 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Thu Oct 8 12:57:33 2015 +0100

    gparamspecs: Mark g_param_spec_string()’s default value as
    (nullable)

 gobject/gparamspecs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 99ff9bb5e0ef261e39cb3c67a2d212f6bbeb99e4
Author:     Emmanuele Bassi <ebassi@gnome.org>
AuthorDate: Thu Oct 8 12:32:58 2015 +0100
Commit:     Emmanuele Bassi <ebassi@gnome.org>
CommitDate: Thu Oct 8 12:32:58 2015 +0100

    Maintain the struct order when initializing

    Otherwise it'll break every GLIB_PRIVATE_CALL user.

 glib/glib-private.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0cc8c0f3e1230f8a3d6d7ed53523c2045d43ea63
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Thu Oct 8 11:16:02 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Thu Oct 8 11:16:02 2015 +0100

    gerror: Add (optional) annotation to g_propagate_error()

    Also clarify in the documentation that @src must be non-%NULL.

 glib/gerror.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 2e078f1fc0f580bf390c84ebfcd36bcde076eca6
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Thu Oct 8 11:08:28 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Thu Oct 8 11:10:39 2015 +0100

    gstrfuncs: Add missing annotations to g_[ascii_]strto*() functions

    Add missing (out) (transfer none) (optional) annotations to
    g_strtod(),
    g_ascii_strtod(), g_ascii_strtoull() and g_ascii_strtoll().

 glib/gstrfuncs.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 8d83aace106b6832629a3e05f49d074a4288c8df
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Tue Oct 6 20:09:08 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Oct 7 23:39:29 2015 -0400

    Call glib_init from the gobject constructor

    We are using quarks in the gobject constructor, among other things,
    so we need to ensure that glib is being initialized first.

    https://bugzilla.gnome.org/show_bug.cgi?id=756139

 gobject/gtype.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit e0dce8a9ae77cd4430db224c3bb056d9d1882e58
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Tue Oct 6 19:45:38 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Oct 7 23:39:29 2015 -0400

    Export glib_init via GLIB_PRIVATE_CALL

    This will be used in the next commit to call glib_init from the
    gobject constructor, to ensure proper constructor ordering with
    non-GNU libc.

    https://bugzilla.gnome.org/show_bug.cgi?id=756139

 glib/glib-init.c    | 2 +-
 glib/glib-init.h    | 1 +
 glib/glib-private.c | 3 +++
 glib/glib-private.h | 3 +++
 4 files changed, 8 insertions(+), 1 deletion(-)

commit 342d3296851dfabd88e9e3909ab45fa16e8139e0
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Tue Oct 6 19:43:38 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Oct 7 23:39:29 2015 -0400

    Make glib_init safe to call more than once

    This will be needed to fix constructor order for non-GNU libc.

    https://bugzilla.gnome.org/show_bug.cgi?id=756139

 glib/glib-init.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 46a20470fa684c2f1390c91dcc8d5799bdd422c5
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Wed Oct 7 20:00:50 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Wed Oct 7 20:46:31 2015 +0800

    gwin32.c: Avoid deprecated Win32 API usage

    The VerifyVersionInfo() Win32 API has been deprecated in Windows
    10, and
    there is no direct replacement for it, except by using a lower-level
    RtlGetVersion() that we aquire from the Windows DDK or from ntdll.dll.

    Switch g_win32_check_windows_version() to use RtlGetVersion(), and
    compare its results with the input parameters.

    https://bugzilla.gnome.org/show_bug.cgi?id=756179

 glib/gwin32.c | 105
 +++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 74 insertions(+), 31 deletions(-)

commit 3624e70508d414ae734c0b51f81839f8b5b1c809
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Tue Oct 6 06:45:31 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Tue Oct 6 06:49:48 2015 -0400

    Update Unicode test data for Unicode 8

    These files are used by the unicode-caseconv test.

 tests/casefold.txt | 143 +++++++++++++++++++++++++-
 tests/casemap.txt  | 290
 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 429 insertions(+), 4 deletions(-)

commit ac05ad55fadaac7cdce38f0ea19b2628a9864068
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Tue Oct 6 07:59:19 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Tue Oct 6 07:59:19 2015 +0100

    gdbusconnection: Add missing (nullable) to get_peer_credentials()

    Since Colin mentioned it on gir-devel-list.

 gio/gdbusconnection.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4919c25d497dcba708074f7d35ea6b43d17f7294
Author:     Olivier Fourdan <ofourdan@redhat.com>
AuthorDate: Tue Sep 15 09:22:12 2015 +0200
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Oct 5 23:21:43 2015 -0400

    GDesktopAppInfo: Do not set the DISPLAY in gio

    The environment variable DISPLAY makes sense only for X11, it should
    not be set in gio.

    Beside, if the backend is not X11 but Wayland, forcing the value of
    DISPLAY to the Wayland display will confuse the backend selection and
    possibly crash the applications.

    https://bugzilla.gnome.org/show_bug.cgi?id=754983

 gio/gdesktopappinfo.c | 13 ++-----------
 1 file changed, 2 insertions(+), 11 deletions(-)

commit 212b0c28cc54f0a877a17bbeb70e6d013ad96ff7
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Mon Oct 5 10:19:50 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Mon Oct 5 16:15:19 2015 +0100

    gsocket: Fix g_socket_send_messages_with_timeout() on win32

    Commit a0cefc2217adafb6a21d87b66115df6abc9a9cdd introduced an
    unresolved
    symbol, g_socket_send_message_with_timeout(), on win32. Windows
    unfortunately isn’t clever enough to fill in the gaps and magic
    up the
    implementation of that function from nowhere, so we had better do it
    ourselves.

    Factor the blocking behaviour out of g_socket_send_message() into
    a new
    internal g_socket_send_message_with_timeout().

    https://bugzilla.gnome.org/show_bug.cgi?id=756054

 gio/gsocket.c | 45 +++++++++++++++++++++++++++++++++++++++------
 1 file changed, 39 insertions(+), 6 deletions(-)

commit f91d1a2a7657a85b46922df4c813fbf8ca3d2bb1
Author:     Marc-André Lureau <marcandre.lureau@gmail.com>
AuthorDate: Sun Sep 27 22:42:50 2015 +0200
Commit:     Marc-André Lureau <marcandre.lureau@gmail.com>
CommitDate: Mon Oct 5 15:33:05 2015 +0200

    docs: misc spelling

 glib/docs.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dabf6627886c1d21b9fe03c897809eb64ef2ac54
Author:     Marc-André Lureau <marcandre.lureau@gmail.com>
AuthorDate: Mon Oct 5 13:02:37 2015 +0200
Commit:     Marc-André Lureau <marcandre.lureau@gmail.com>
CommitDate: Mon Oct 5 15:32:41 2015 +0200

    testutils: remove internal ABI comment

    Some testutils external symbols are marked semi-internals, other
    internals. It is not obvious what guarantees these symbols provide.
    However, tests are now installable, and require the ABI stability
    that glib provides for the rest of the symbols.

    In my case, I would like to introduce g_assert* compat code for older
    glib versions, and be able to use the so-called "internal" ABI.

    I propose this change to the headers comments to explain the stability
    guarantees. Removing the "internal" = you must not use this, in favor
    of semi-internal = this is not documented.

    https://bugzilla.gnome.org/show_bug.cgi?id=756077

 glib/gtestutils.h | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit e81d4ea988c2e35a9cca0ad12516c39608545bc5
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Mon Oct 5 16:29:05 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Mon Oct 5 17:15:12 2015 +0800

    gio/goscket.c: Fix build on Windows

    5d68947 factored out resuable items, but some of these are only for
    *NIX builds, which will break the build on Windows.  Fix this by
    building these portions only when !G_OS_WIN32.

    https://bugzilla.gnome.org/show_bug.cgi?id=756053

 gio/gsocket.c | 3 +++
 1 file changed, 3 insertions(+)

commit 9b7f5ad61172ff71d0dd4a788a23c5803300ab59
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Sun Oct 4 15:25:03 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Sun Oct 4 15:26:37 2015 +0100

    gunixsocketaddress: Clarify construction behaviour of anonymous addrs

    Clarify the handling of G_UNIX_SOCKET_ADDRESS_ANONYMOUS in the
    documentation for g_unix_socket_address_new_with_type().

 gio/gunixsocketaddress.c | 3 +++
 1 file changed, 3 insertions(+)

commit f9d9f9c056d96eccbb75dcbdef2b58f6d2a3edea
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Sun Oct 4 10:21:43 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sun Oct 4 10:24:06 2015 -0400

    Update to Unicode 8.0

    Regenerate data tables from the Unicode Character Database, add
    new scripts, and update tests to include some of the new data.

 NEWS                  |    6 +
 glib/gscripttable.h   |   97 +--
 glib/gunibreak.h      | 1620 +++++++++++++++++++++++++++++++-----------
 glib/gunichartables.h | 1853
 ++++++++++++++++++++++++++++++++++---------------
 glib/gunicode.h       |   16 +-
 glib/gunidecomp.h     |   53 +-
 glib/guniprop.c       |    7 +
 glib/tests/unicode.c  |   20 +-
 8 files changed, 2611 insertions(+), 1061 deletions(-)

commit fc59c20e97a196a261d9caeb573ce411a98b8c32
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Sun Oct 4 11:34:36 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Sun Oct 4 11:34:36 2015 +0100

    gsocket: Minor documentation clarifications

    As suggested by Dan Winship on bug #697907.

 gio/gsocket.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 237fec7e7025e5b517f06398e3a01354eb3035ec
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Mon Aug 17 20:03:47 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Sun Oct 4 10:39:13 2015 +0100

    gsocket: Fix connected state if shutting down in two steps

    The value of g_socket_is_connected() gets stuck high if the GSocket is
    shut down in two steps:
       g_socket_shutdown (socket, TRUE, FALSE, NULL);
       g_socket_shutdown (socket, FALSE, TRUE, NULL);
    rather than one:
       g_socket_shutdown (socket, TRUE, TRUE, NULL);

    Fix that by tracking the connected status for the read half and the
    write half of the connection separately.

    https://bugzilla.gnome.org/show_bug.cgi?id=697907

 gio/gsocket.c | 31 +++++++++++++++++++++++--------
 1 file changed, 23 insertions(+), 8 deletions(-)

commit 58ec6674801f07edcf79ba7e6a4a9f17d1a1e13b
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Sat Oct 3 23:30:14 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Sat Oct 3 23:31:44 2015 +0100

    gkeyfile: Remove dead code and unused string literals

    In all these functions, group_name is guaranteed to be non-NULL by the
    function preconditions, so there is no need to handle it as NULL when
    building error messages. Remove some unnecessary string literals as a
    result.

    Coverity CID: 1325438–1325441

 glib/gkeyfile.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 456e02f280ede5e990bcfeb4faf6e6acba13d599
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Sat Oct 3 11:52:27 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Sat Oct 3 11:52:27 2015 +0100

    gdbusaddress: Fix memory leak when G_DBUS_DEBUG_ADDRESS is enabled

    Coverity CID: 1325374

 gio/gdbusaddress.c | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 0f98b2f4ec683fc29bee489cafdbbdc7d59ffa1d
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Sat Oct 3 11:46:18 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Sat Oct 3 11:46:18 2015 +0100

    gsocks5proxy: Fix error reporting in authentication

    set_auth_msg() was returning FALSE to indicate error, but all its
    callers were expecting a negative return value to indicate error. This
    was causing memory leaks for the GError, and errors to not be
    reported.

    Coverity CID: 1325357

 gio/gsocks5proxy.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c1c001e300debcea9ba6630c1a87f56036840c52
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Sat Oct 3 11:43:49 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Sat Oct 3 11:43:49 2015 +0100

    gresource-tool: Fix minor memory leak when listing resources

    Coverity CID: 1325353

 gio/gresource-tool.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 4f6dc3023205e9480bc4bb738bff06bd02d29567
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Sat Oct 3 11:33:00 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Sat Oct 3 11:33:00 2015 +0100

    glib-genmarshal: Fix memory leak with --prefix

    If --prefix is specified, marshaller_prefix is allocated and never
    freed. It does not actually have to be allocated — just use
    the static
    string from argv.

    Coverity CID: 1325370

 gobject/glib-genmarshal.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 292fd1155ae502df9aadc343cdbbd5d6b3149090
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Sat Oct 3 10:58:18 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Sat Oct 3 10:58:18 2015 +0100

    gtlscertificate: Fix error reporting if a GError is not passed in

    If the certificate constructor is called as:
       g_tls_certificate_new_from_pem (data, length, NULL);
    and PEM parsing fails for the private key, the function would have
    continued to try and create a certificate using a NULL key_pem value,
    which would have failed or crashed.

    Use g_propagate_error() correctly to avoid this.

    Coverity CID: 1325403

 gio/gtlscertificate.c | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 9275be383f63441e45ead925c8956b2d1a7768b1
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Sat Oct 3 10:48:46 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Sat Oct 3 10:48:46 2015 +0100

    glocalfile: Fix memory leak in find_topdir_for()

    Coverity CID 1325398.

 gio/glocalfile.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 4b2d92a864f1505f1b08eb639d74293fa32681da
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Fri Oct 2 10:06:22 2015 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Fri Oct 2 10:07:53 2015 -0400

    Allow passing unset GValues to g_value_unset()

    This makes it more useful as an autocleanup func.

    Also, add a minimal test of g_value_init/g_value_reset/g_value_unset.

    https://bugzilla.gnome.org/show_bug.cgi?id=755766

 gobject/gvalue.c           | 11 ++++--
 gobject/tests/.gitignore   |  2 +-
 gobject/tests/Makefile.am  |  2 +-
 gobject/tests/value.c      | 95
 ++++++++++++++++++++++++++++++++++++++++++++++
 gobject/tests/valuearray.c | 64 -------------------------------
 5 files changed, 104 insertions(+), 70 deletions(-)

commit b4a3c1bb1194d99efb547120bbff2f4442ef505d
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Fri Oct 2 09:55:29 2015 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Fri Oct 2 10:07:53 2015 -0400

    Revert "gvalue: Add g_value_clear method"

    This reverts commit 1233962b54de68bfdf06cfde244693ab7fd3558a.

 docs/reference/gobject/gobject-sections.txt |  1 -
 gobject/gvalue.c                            | 20 --------------------
 gobject/gvalue.h                            |  2 --
 3 files changed, 23 deletions(-)

commit 4c870904cd1ae7954ea1412d9145ca75b927dc18
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Fri Oct 2 10:00:54 2015 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Fri Oct 2 10:07:53 2015 -0400

    Revert "gvalue: Use g_value_clear as clear function"

    This reverts commit 3bb2e8dfc9eae7c6abd8fbec5fa751ffcb495121.

 gobject/gobject-autocleanups.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8ed9e8c79ffed28b2e6ee533d3d184c0a748ed48
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Fri Oct 2 09:56:16 2015 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Fri Oct 2 10:07:53 2015 -0400

    Revert "gvalue: Improve _unset() documentation"

    This reverts commit 3c0d38d68b78a6ea9e6ca82012f011075a625a2b.

 gobject/gvalue.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 0448e758cf9d4dba3c3f8636af850e88597c1821
Author:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
AuthorDate: Fri Oct 2 01:01:42 2015 +0300
Commit:     Colin Walters <walters@verbum.org>
CommitDate: Thu Oct 1 21:15:22 2015 -0400

    Skip g_bytes_new_with_free_func() in introspection

    The tricky ownership/mutability semantics on data make this function
    unusable in introspection.

    https://bugzilla.gnome.org/show_bug.cgi?id=755961

 glib/gbytes.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1e1e6c1086a494f065313dba73f7ab04078b8185
Author:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
AuthorDate: Fri Oct 2 00:33:14 2015 +0300
Commit:     Colin Walters <walters@verbum.org>
CommitDate: Thu Oct 1 21:14:54 2015 -0400

    gbytes: fix up annotations

    Annotate array elements as bytes.
    Annotate a missed output parameter.
    Replace (allow-none) with the corresponding modern annotations.

    https://bugzilla.gnome.org/show_bug.cgi?id=755961

 glib/gbytes.c | 23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit 4a5a30f716ae260bd89416cda8dbdcc5cf6f2e62
Author:     Philip Withnall <philip@tecnocode.co.uk>
AuthorDate: Thu Oct 1 00:32:10 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Thu Oct 1 15:27:21 2015 +0100

    docs: Tidy up GObject construction discussion in the GObject tutorial

    Remove some outdated references to an old example, and add a row
    in the
    table of steps in object initialization for the
    GObjectClass.constructed
    virtual method.

    https://bugzilla.gnome.org/show_bug.cgi?id=754855

 docs/reference/gobject/tut_gobject.xml | 23 ++++++++++++++++-------
 1 file changed, 16 insertions(+), 7 deletions(-)

commit be732677f56f4da48f737dc7edd821ec1928515c
Author:     Olivier Crête <olivier.crete@collabora.com>
AuthorDate: Thu Jul 2 11:32:34 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Thu Oct 1 14:31:40 2015 +0100

    gio: Add G_IO_ERROR_MESSAGE_TOO_LARGE

    Corresponding to EMSGSIZE, for when UDP datagrams are rejected due to
    being too big.

    https://bugzilla.gnome.org/show_bug.cgi?id=752240

 gio/gioenums.h | 4 +++-
 gio/gioerror.c | 9 +++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 1086507e75580083aef46ad3072e9ff7869c2bc4
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Mon Aug 17 18:10:43 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Thu Oct 1 14:10:10 2015 +0100

    gsocket: Fix error behaviour of g_socket_send_messages()

    If an error in the underlying sendmmsg() syscall occurs after
    successfully sending one or more messages, g_socket_send_messages()
    should return the number of messages successfully sent, rather than an
    error. This mirrors the documented sendmmsg() behaviour.

    This is a slight behaviour change for g_socket_send_messages(), but as
    it relaxes the error reporting (reporting errors in fewer situations
    than before), it should not cause problems.

    https://bugzilla.gnome.org/show_bug.cgi?id=751924

 gio/gsocket.c      | 32 +++++++++++---------------------
 gio/tests/socket.c | 21 +++++++++++++++++++--
 2 files changed, 30 insertions(+), 23 deletions(-)

commit f62cbfc02230f160e0fd0947d74c4a012eb6232c
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Fri Jun 12 08:47:37 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Thu Oct 1 14:10:10 2015 +0100

    gsocket: Add g_socket_receive_messages()

    Add support for receiving multiple messages with a single system call,
    using recvmmsg() if available. Otherwise, fall back to looping over
    g_socket_receive_message().

    This adds new API, g_socket_receive_messages(), and corresponding unit
    tests.

    https://bugzilla.gnome.org/show_bug.cgi?id=751924

 config.h.win32.in                   |   3 +
 configure.ac                        |   2 +-
 docs/reference/gio/gio-sections.txt |   1 +
 gio/gsocket.c                       | 294
 +++++++++++++++++++++++++++++++++++-
 gio/gsocket.h                       |   7 +
 gio/tests/socket.c                  | 163 ++++++++++++++++++++
 6 files changed, 467 insertions(+), 3 deletions(-)

commit a0cefc2217adafb6a21d87b66115df6abc9a9cdd
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Wed Jul 29 11:13:33 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Thu Oct 1 13:59:08 2015 +0100

    gsocket: Switch internal functions from blocking booleans to timeouts

    In order to support per-operation timeouts on new API like
    g_socket_receive_messages(), the internal GSocket API should use
    timeouts rather than boolean blocking parameters.

       (timeout == 0) === (blocking == FALSE)
       (timeout == -1) === (blocking == TRUE)
       (timeout > 0) === new behaviour

    https://bugzilla.gnome.org/show_bug.cgi?id=751924

 gio/gsocket.c | 391
 ++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 243 insertions(+), 148 deletions(-)

commit 7f985b35ce599a37144f852903993300e8f1f197
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Mon Jul 27 14:21:00 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Thu Oct 1 13:58:44 2015 +0100

    gsocket: Factor out blocking parameter from g_socket_receive_message()

    This will make future API additions easier. The factored version is
    internal for the time being.

    https://bugzilla.gnome.org/show_bug.cgi?id=751924

 gio/gsocket.c | 214
 +++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 122 insertions(+), 92 deletions(-)

commit 5d6894746635d19d719fbf15881dbd7fc375d77c
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Fri Jun 12 08:30:20 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Thu Oct 1 13:58:27 2015 +0100

    gsocket: Split out functions to convert to and from struct msghdr

    As new methods are added to GSocket, we don’t want to duplicate this
    code, so factor it out.

    https://bugzilla.gnome.org/show_bug.cgi?id=751924

 gio/gsocket.c | 522
 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 257 insertions(+), 265 deletions(-)

commit 8c4c16ddf405ecd93b1df682cbbbca1d7cfad9ba
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Wed Jul 29 11:36:50 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Thu Oct 1 13:58:07 2015 +0100

    giotypes: Add GInputMessage struct

    This complements the GOutputMessage struct. It will shortly be
    used for
    adding a g_socket_receive_messages() function, but needs to be
    committed
    first to allow some internal refactoring of GSocket.

    https://bugzilla.gnome.org/show_bug.cgi?id=751924

 docs/reference/gio/gio-sections.txt |  1 +
 gio/giotypes.h                      | 54
 +++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

commit 37fcab17d33b7b5384ec018c3595eb9ec393dc2a
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Thu Oct 1 13:49:15 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Thu Oct 1 13:49:15 2015 +0100

    build: Bump version to 2.47.0

    So that early adopters of new API have a version number to target.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 037991211d45f400526c8d7f0eb29c940b6e8726
Author:     Emmanuele Bassi <ebassi@gnome.org>
AuthorDate: Thu Oct 1 11:58:37 2015 +0100
Commit:     Emmanuele Bassi <ebassi@gnome.org>
CommitDate: Thu Oct 1 11:58:37 2015 +0100

    Revert "Apply the previous change to gmarshal.c"

    This reverts commit 43e8bfca0c687317f96f976586194d26d8e141b4.

    https://bugzilla.gnome.org/show_bug.cgi?id=755922

 gobject/gmarshal.c | 88
 +++++++++++++++++++++++++++---------------------------
 1 file changed, 44 insertions(+), 44 deletions(-)

commit cc818f5fe402c9c04f2ac1277bacbfe1cebfc2fe
Author:     Emmanuele Bassi <ebassi@gnome.org>
AuthorDate: Thu Oct 1 11:54:11 2015 +0100
Commit:     Emmanuele Bassi <ebassi@gnome.org>
CommitDate: Thu Oct 1 11:54:11 2015 +0100

    Revert "glib-genmarshal: Treat all parameters the same"

    This reverts commit 8e362161d9554e8a6c1e82f95bff24fc9fdcf9ef.

    There is a fundamental difference between g_value_peek_pointer() and
    g_value_get_pointer(), and it's not just complexity: the latter checks
    if the GValue holds a pointer type, whereas the former doesn't.

    https://bugzilla.gnome.org/show_bug.cgi?id=755922

 gobject/glib-genmarshal.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ad7250ab5324a05456a7d5445edfd3ec26638dba
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Wed Sep 30 12:57:42 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Wed Sep 30 12:58:08 2015 +0100

    giostream: Fix a typo in the documentation for g_io_stream_close()

 gio/giostream.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 202a9c3497e0c0b5789e533509dd8671617ae20c
Author:     Ryan Lortie <desrt@desrt.ca>
AuthorDate: Tue Sep 29 11:18:54 2015 -0400
Commit:     Ryan Lortie <desrt@desrt.ca>
CommitDate: Tue Sep 29 12:29:10 2015 -0400

    GLocalFile: return text/plain for empty files

    Previously, GLib returned text/plain for empty files.

    This is important because people may want to open empty (eg:
    just-created) text files with the text editor.

    An unintended side-effect of b6fc1df022a0326e7c36122b1416061bf796c98f
    caused GLib to start returning application/octet-stream instead of
    text/plain for these files.

    This commit is essentially a revert of that commit, with a different
    solution: we move the special-case up a bit in the function and
    hard-code it to text/plain.

    This change does not exactly maintain the old behaviour: previously, a
    "fast" lookup would have returned application/octet-stream on an empty
    file and now it will return text/plain.  I consider this to be an
    improvement (since we're returning better data) and don't expect it to
    cause problems.

    https://bugzilla.gnome.org/show_bug.cgi?id=755795

 gio/glocalfileinfo.c | 18 +++++++++++++-----
 1 file changed, 13 insertions(+), 5 deletions(-)

commit 56b164a19566a63dda23d48a93b91875d89c9fde
Author:     Ryan Lortie <desrt@desrt.ca>
AuthorDate: Mon Sep 21 16:54:49 2015 -0400
Commit:     Ryan Lortie <desrt@desrt.ca>
CommitDate: Tue Sep 29 10:17:28 2015 -0400

    g_variant_get_child(): flatten-first logic on '&'

    Copy the flatten-first logic from g_variant_get(), and for the same
    reason: if the user is requesting a direct pointer access to a
    tree-based child inside of argument to this function then that child
    could disappear later.

    Forcing serialisation means that the pointer will remain valid as long
    as the passed-in instance exists, which is the usual expectation with
    GVariant API.

    https://bugzilla.gnome.org/show_bug.cgi?id=755374

 glib/gvariant.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 3c0d38d68b78a6ea9e6ca82012f011075a625a2b
Author:     Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>
AuthorDate: Tue Sep 29 08:30:21 2015 -0400
Commit:     Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>
CommitDate: Tue Sep 29 08:30:21 2015 -0400

    gvalue: Improve _unset() documentation

    g_value_unset() only works with initialized value and will assert
    if the GValue is zero-filled (or initialized with
    G_VALUE_INIT). Document
    this behaviour and refer to g_value_clear() for a method that work on
    both initialized and zero-filled GValue.

    https://bugzilla.gnome.org/show_bug.cgi?id=755766

 gobject/gvalue.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 3bb2e8dfc9eae7c6abd8fbec5fa751ffcb495121
Author:     Nicolas Dufresne <nicolas.dufresne@collabora.com>
AuthorDate: Mon Sep 28 19:44:44 2015 -0400
Commit:     Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>
CommitDate: Tue Sep 29 08:26:14 2015 -0400

    gvalue: Use g_value_clear as clear function

    This change allow leaving a scope before g_value_init() has been
    called. This would happen if you do:

      {
        g_auto(GValue) value = G_VALUE_INIT;
      }

    Or have a return statement (due to failure) before the part of
    your code where you set this GValue.

    https://bugzilla.gnome.org/show_bug.cgi?id=755766

 gobject/gobject-autocleanups.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1233962b54de68bfdf06cfde244693ab7fd3558a
Author:     Nicolas Dufresne <nicolas.dufresne@collabora.com>
AuthorDate: Mon Sep 28 19:41:28 2015 -0400
Commit:     Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>
CommitDate: Tue Sep 29 08:26:14 2015 -0400

    gvalue: Add g_value_clear method

    This method is similar to g_value_unset() but will accept
    an uninitialized (zero-filled) GValue structure.

    https://bugzilla.gnome.org/show_bug.cgi?id=755766

 docs/reference/gobject/gobject-sections.txt |  1 +
 gobject/gvalue.c                            | 20 ++++++++++++++++++++
 gobject/gvalue.h                            |  2 ++
 3 files changed, 23 insertions(+)

commit b36b4941a634af096d21f906caae25ef35161166
Author:     Nicolas Dufresne <nicolas.dufresne@collabora.com>
AuthorDate: Mon Sep 28 19:35:30 2015 -0400
Commit:     Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>
CommitDate: Tue Sep 29 08:26:13 2015 -0400

    glib: Add 2.48 availibity macros

    https://bugzilla.gnome.org/show_bug.cgi?id=755766

 docs/reference/glib/glib-sections.txt |  4 ++++
 glib/gversionmacros.h                 | 25 +++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

commit 43e8bfca0c687317f96f976586194d26d8e141b4
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Tue Sep 29 07:03:25 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Tue Sep 29 07:04:36 2015 -0400

    Apply the previous change to gmarshal.c

    Since gmarshal.c is no longer generated, we have to manually
    apply this change to the builtin marshallers.

 gobject/gmarshal.c | 88
 +++++++++++++++++++++++++++---------------------------
 1 file changed, 44 insertions(+), 44 deletions(-)

commit 8e362161d9554e8a6c1e82f95bff24fc9fdcf9ef
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Tue Sep 29 07:02:07 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Tue Sep 29 07:04:35 2015 -0400

    glib-genmarshal: Treat all parameters the same

    There's no need to use a more expensive getter when swapping,
    so just use the g_marshal_ getters there too.

 gobject/glib-genmarshal.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit de04fd13048dd208162573187e4c0d9e7d3428d3
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Mon Sep 28 13:23:29 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Mon Sep 28 13:32:36 2015 +0100

    gerror: Document the disadvantages of using GError

    And move the discussion to a new subsection in the GError
    documentation.
    Follow-up from commit 04662a8667c8bf0a594f0c6db7291066c272ad38.

    https://bugzilla.gnome.org/show_bug.cgi?id=743011

 glib/gerror.c | 31 ++++++++++++++++++++++++-------
 1 file changed, 24 insertions(+), 7 deletions(-)

commit 04662a8667c8bf0a594f0c6db7291066c272ad38
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Fri Jan 16 08:38:56 2015 +0000
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Mon Sep 28 13:04:25 2015 +0100

    gerror: Document advantages of GError over numeric error codes

    Despite knowing about GError, there are multiple cases where
    developers
    have still used traditional numeric error codes, and then got
    themselves
    into a mess about bindability and generation of error messages.

    Try and avoid this by including a brief paragraph on the benefits of
    GError over EINVAL-style error codes.

    https://bugzilla.gnome.org/show_bug.cgi?id=743011

 glib/gerror.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5ceaeef832fb595d1d5117524937b15c892cbd75
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Fri Jan 16 08:32:20 2015 +0000
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Mon Sep 28 13:04:25 2015 +0100

    gerror: Add an extra heading to the GError documentation

    This means that the top of the documentation can link forward to this
    important section, and random people on the internet can link directly
    to it on developer.gnome.org.

    https://bugzilla.gnome.org/show_bug.cgi?id=743011

 glib/gerror.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 21809c8c0fdf72b5859faeb1781ff3edc121120a
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Fri Sep 26 13:45:00 2014 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Mon Sep 28 13:02:19 2015 +0100

    giostream: Fix some typos in the GIOStream documentation

    This doesn’t change the meaning of the documentation.

    https://bugzilla.gnome.org/show_bug.cgi?id=735754

 gio/giostream.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 363fa1822355021b4b723389d51f63ac263ef30c
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Mon Aug 17 19:13:15 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Mon Sep 28 12:47:09 2015 +0100

    gsocket: Fix documentation for g_socket_send_message()

    It is no longer the most fully featured version of this function —
    g_socket_send_messages() stole that dubious honour with 2.44.

    https://bugzilla.gnome.org/show_bug.cgi?id=751924

 gio/gsocket.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 347e4a75ec745e09fa8433f557b363e5e95491cd
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Wed Jul 29 14:08:31 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Mon Sep 28 12:47:09 2015 +0100

    gsocket: Clarify GSocket:blocking doesn’t apply to ops with
    a parameter

    Operations which take an explicit blocking parameter are completely
    unaffected by GSocket:blocking.

    https://bugzilla.gnome.org/show_bug.cgi?id=751924

 gio/gsocket.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 8fdc6701889679d16ac064b481f968807eddbf0f
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Mon Jul 27 14:46:54 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Mon Sep 28 12:47:07 2015 +0100

    gsocket: Clarify flags documentation for g_socket_receive_message()

    The API design here is a bit awkward — the in/out flags argument
    should
    actually have been an in flags argument and an out msg_flags argument.
    Clarify that a bit in the documentation.

    https://bugzilla.gnome.org/show_bug.cgi?id=751924

 gio/gsocket.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4745c08220b90eac741ae3ca1913cbe90c9831ef
Author:     Benjamin Gilbert <bgilbert@backtick.net>
AuthorDate: Sat Sep 26 18:22:34 2015 -0400
Commit:     Colin Walters <walters@verbum.org>
CommitDate: Sun Sep 27 16:07:27 2015 -0400

    win32: Fix link error with _wstat32i64() on 64-bit

    _wstat32i64() doesn't exist in msvcrt.dll.  This doesn't cause
    a problem
    on 32-bit Windows because mingw-w64 #defines _wstat32i64 to _wstati64,
    but on 64-bit Windows we get a link error.

    In addition, _wstat32i64() takes a struct _stat32i64 *, but
    GLocalFileStat is #defined to struct _stati64, which is not the same
    type on 64-bit Windows.

    Fix by using _wstati64().

    https://bugzilla.gnome.org/show_bug.cgi?id=749161

 gio/glocalfile.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da2217859f1b7cc0a2a3b7d50e70b983ee301a10
Author:     Trần Ngọc Quân <vnwildman@gmail.com>
AuthorDate: Sun Sep 27 15:28:55 2015 +0700
Commit:     Trần Ngọc Quân <vnwildman@gmail.com>
CommitDate: Sun Sep 27 15:28:55 2015 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 1159
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 592 insertions(+), 567 deletions(-)

commit a0b4e87f445ca00a73db8bf46cc47215a9f14788
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Fri Sep 25 12:54:26 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Fri Sep 25 19:41:21 2015 +0800

    build/Makefile-newvs.am: Update Comments for Usage

    Update the notes that this is also used for Visual Studio 2015
    support,
    and correct the MSVC_VER_LONG for MSVC 2015, which is 14, not 2015.

    Also add a note that this can be used for other projects that have
    Visual Studio build support.

 build/Makefile-newvs.am | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 762437c8495d11879d265965cf24703bf8dbfb5d
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Fri Sep 25 12:25:13 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Fri Sep 25 19:41:11 2015 +0800

    Build: Make Makefile.msvcproj A Bit More Generic

    Handle also the situation where $(srcdir) == $(top_srcdir), so
    that this
    can also be used in cases like librsvg and gobject-introspection.

 build/Makefile.msvcproj | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit ecd265288319c004a862a29c95487a888f62cfc7
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Fri Sep 25 17:47:33 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Fri Sep 25 17:47:33 2015 +0800

    build/win32/replace.py: Add Note On Its Reusability

    Add a note stating that this script can be copied for use to replace
    strings in files when necessary, such as replacing autotools variables
    in non-autotools builds, such as Visual Studio builds.

 build/win32/replace.py | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 2d7817887a9f0624f73492d04b2a992545f0beb9
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Wed Sep 23 18:55:28 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Wed Sep 23 18:55:28 2015 -0400

    Revert "list store: Fix a parameter check"

    This reverts commit d28639507db2029b8f184a5d93e9d8c28acc1955.

    This wasn't meant to go in.

    https://bugzilla.gnome.org/show_bug.cgi?id=755496

 glib/gsequence.c | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

commit aef2d0c56dd6d363e51b1c37dc0095054f18098c
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Wed Sep 23 16:12:50 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Wed Sep 23 18:33:28 2015 +0800

    build/win32: Make "Install" Property Sheet Generation More Robust

    List the files that are generated in the process to generate the
    glib-install property sheets, so that we can use that list as a
    depedency, as well as deleting those files in one shot after the
    property sheet is generated, so we don't need to worry about those
    in 'make distclean' or so.

 build/win32/vs10/Makefile.am | 8 ++++----
 build/win32/vs9/Makefile.am  | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit b81f3ced716b81ea604876ba1e89b953e0d04813
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Mon Sep 21 10:41:00 2015 -0400
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Tue Sep 22 11:18:30 2015 -0400

    Move GStrv typedef to glib.h instead of gobject.h

    GStrv was historically only needed for the boxed G_TYPE_STRV,
    but it is now useful for g_auto(GStrv) as well. This is not
    an ABI change.

    https://bugzilla.gnome.org/show_bug.cgi?id=755355

 docs/reference/glib/glib-sections.txt       | 3 +++
 docs/reference/gobject/gobject-sections.txt | 1 -
 glib/docs.c                                 | 2 ++
 glib/glib-autocleanups.h                    | 1 +
 glib/gstrfuncs.c                            | 7 +++++++
 glib/gstrfuncs.h                            | 1 +
 glib/tests/autoptr.c                        | 8 ++++++++
 gobject/glib-types.h                        | 7 -------
 gobject/gobject-autocleanups.h              | 1 -
 9 files changed, 22 insertions(+), 9 deletions(-)

commit 32811598f384ac165a812b4dde8fb1ad4df2d420
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Tue Sep 15 16:42:10 2015 -0400
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Tue Sep 22 11:15:19 2015 -0400

    doc: clarify that _get_instance_private() is NULL-safe

    https://bugzilla.gnome.org/show_bug.cgi?id=755083

 gobject/gtype.h | 8 ++++++++
 1 file changed, 8 insertions(+)

commit ab26dd54337544275ff8bb61eb227aed83a8ed80
Author:     Emmanuele Bassi <ebassi@gnome.org>
AuthorDate: Tue Sep 22 13:10:28 2015 +0100
Commit:     Emmanuele Bassi <ebassi@gnome.org>
CommitDate: Tue Sep 22 15:14:14 2015 +0100

    Revert use of the system_header GCC pragma

    This reverts commit 662bf991c08b16dea8a36026243b311f6cdb17f1. It
    is not
    a straight up revert because the old commit involved various long
    since
    removed ChangeLog files and we'd end up mudding the patch.

    The system_header GCC pragma is breaking warnings in the various
    g_return_* macros; GCC stopped warning when using a macro with
    a return
    value in a function that returns void, as well as when using a macro
    with no return value in a function that has a non-void return value.
    Suppressing this kind of warnings is not a good idea.

    Other compilers are unaffected, even ones like Clang with a GCC
    compatibility layer.

    Given the fact that the original commit was added 14 years ago as a
    workaround in the old days of GTK+ 1.2, I think it's safe to drop it.

    https://bugzilla.gnome.org/show_bug.cgi?id=753310

 glib/gmessages.h | 6 ------
 1 file changed, 6 deletions(-)

commit d488d75909a7f5bdc13865a155ea583fcc3cb07f
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Mon Sep 21 10:50:38 2015 -0400
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Tue Sep 22 09:43:47 2015 -0400

    Remove useless NULL check before g_free()

 glib/glib-autocleanups.h | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit f7f0c86a9c7669a5101615622a29d34098ecb7fc
Author:     Милош Поповић <gpopac@gmail.com>
AuthorDate: Tue Sep 22 12:33:23 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Tue Sep 22 12:33:23 2015 +0000

    Updated Serbian Latin translation

 po/sr@latin.po | 1014
 ++++++++++++++++++++++++++++++--------------------------
 1 file changed, 538 insertions(+), 476 deletions(-)

commit 45c39bfed487378de5a4b7f977fd74564f29083e
Author:     Милош Поповић <gpopac@gmail.com>
AuthorDate: Tue Sep 22 12:32:49 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Tue Sep 22 12:32:49 2015 +0000

    Updated Serbian translation

 po/sr.po | 1014
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 538 insertions(+), 476 deletions(-)

commit 613393bc1d52207c22f3fe8dc71c09277f9ac7f7
Author:     Petr Kovar <pkovar@redhat.com>
AuthorDate: Mon Sep 21 17:56:16 2015 +0200
Commit:     Petr Kovar <pkovar@redhat.com>
CommitDate: Mon Sep 21 17:56:16 2015 +0200

    Update Czech translation

 po/cs.po | 427
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 218 insertions(+), 209 deletions(-)

commit 9348af3651afbd554fec35e556cda8add48bd9f8
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Mon Sep 21 09:53:25 2015 -0400
Commit:     Xavier Claessens <xavier.claessens@collabora.com>
CommitDate: Mon Sep 21 10:47:50 2015 -0400

    Doc: g_autoptr(gchar) has been replaced by g_autofree

    https://bugzilla.gnome.org/show_bug.cgi?id=755351

 glib/docs.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d73cd49799444f9045d44a414c7b35f129844504
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 21 06:10:10 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 21 08:38:33 2015 -0400

    2.46.0

 NEWS         | 16 ++++++++++++++++
 configure.ac |  4 ++--
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 3ffed912c19c5c24b7302d2ff12f82a6167f1c30
Author:     Xavier Claessens <xavier.claessens@collabora.com>
AuthorDate: Tue Sep 15 16:50:37 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 21 08:38:33 2015 -0400

    doc: small clarification in g_autoptr()

    https://bugzilla.gnome.org/show_bug.cgi?id=755077

 glib/docs.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 8297ea8badef5ae5bdeab85b74780fd70de60247
Author:     Matthew Waters <matthew@centricular.com>
AuthorDate: Thu Sep 17 20:38:10 2015 +1000
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 21 08:37:29 2015 -0400

    win32: fix incorrect specifier

    error: format ‘%u’ expects argument of type ‘unsigned int’,
    but argument 4 has
       type ‘gsize {aka long long unsigned int}’ [-Werror=format=]

    https://bugzilla.gnome.org/show_bug.cgi?id=755154

 gio/gwin32appinfo.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2bc094264b334b8afdbdc1cf35ff5265f0ac3415
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 21 06:27:07 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 21 06:44:58 2015 -0400

    Documentation fixups

    Various parameter fixups and symbol list additions.

 docs/reference/gio/gio-sections.txt   |  4 +++-
 docs/reference/glib/glib-sections.txt |  1 +
 gio/gnativesocketaddress.c            |  6 +++---
 gio/gwin32registrykey.c               | 20 +++++++++----------
 glib/gasyncqueue.c                    | 36
 +++++++++++++++++------------------
 5 files changed, 35 insertions(+), 32 deletions(-)

commit 3ad2ef7510b036758d5aa928a6a0a1ac5c29c591
Author:     Ask Hjorth Larsen <asklarsen@gmail.com>
AuthorDate: Sun Sep 20 20:20:37 2015 +0200
Commit:     Ask Hjorth Larsen <asklarsen@gmail.com>
CommitDate: Sun Sep 20 20:20:37 2015 +0200

    Updated Danish translation

 po/da.po | 864
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 443 insertions(+), 421 deletions(-)

commit b1af57256721fa0198b63585d3bf26265a8736dd
Author:     Rafael Fontenelle <rffontenelle@gmail.com>
AuthorDate: Sun Sep 20 14:32:13 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Sun Sep 20 14:32:13 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1465
 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 791 insertions(+), 674 deletions(-)

commit 1dc70d703e925bf441a12961223c4cb6d1e376bd
Author:     Rūdolfs Mazurs <rudolfsm@src.gnome.org>
AuthorDate: Fri Sep 18 22:29:37 2015 +0300
Commit:     Rūdolfs Mazurs <rudolfsm@src.gnome.org>
CommitDate: Fri Sep 18 22:29:37 2015 +0300

    Updated Latvian translation

 po/lv.po | 1102
 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 477 insertions(+), 625 deletions(-)

commit 9d859934c5d097bc23578237d01324eb9b30c0f4
Author:     Bernd Homuth <dev@hmt.im>
AuthorDate: Thu Sep 17 15:36:28 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Thu Sep 17 15:36:28 2015 +0000

    Updated German translation

 po/de.po | 964
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 494 insertions(+), 470 deletions(-)

commit f1599649e55a52a8e331ee282ac4c5a03432cb43
Author:     Stas Solovey <whats_up@tut.by>
AuthorDate: Thu Sep 17 11:31:28 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Thu Sep 17 11:31:28 2015 +0000

    Updated Russian translation

 po/ru.po | 863
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 446 insertions(+), 417 deletions(-)

commit ea93847a7d6f341c8ed53733c78b8f38f9567bc4
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Thu Sep 17 09:15:27 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Thu Sep 17 09:15:27 2015 +0800

    MSVC Build: Make Re-use Comment of Autotools Module Clearer

 build/Makefile.msvcproj | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 9fe1c1b3e7a8d680e15d861c1ef224f4b7a2ebad
Author:     Muhammet Kara <muhammetk@gmail.com>
AuthorDate: Wed Sep 16 18:51:44 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Wed Sep 16 18:51:44 2015 +0000

    Updated Turkish translation

 po/tr.po | 376
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 194 insertions(+), 182 deletions(-)

commit 58eae7782acbbebb2d6793d4087b6e0a8f61e818
Author:     Benjamin Otte <otte@redhat.com>
AuthorDate: Wed Sep 16 18:44:48 2015 +0200
Commit:     Benjamin Otte <otte@redhat.com>
CommitDate: Wed Sep 16 18:45:48 2015 +0200

    tests: Do last commit's fix for enums, too

    We don't want to treat enums as ints but as ints.

 gobject/tests/signals.c | 25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit 605ff1efe76ee26695077b08b96f222cef96efb2
Author:     Benjamin Otte <otte@redhat.com>
AuthorDate: Wed Sep 16 18:17:04 2015 +0200
Commit:     Benjamin Otte <otte@redhat.com>
CommitDate: Wed Sep 16 18:45:48 2015 +0200

    tests: Make testcase not pass 0 as a flags value

    This will not catch the case where we fail in libffi and always use 0.
    In fact, be a real annoying person and use (1 << 31) as a flags
    value to
    test signedness, too.

    Also update the testcase to actually use flags everywhere and ot uint.

    https://bugzilla.gnome.org/show_bug.cgi?id=754882

 gobject/tests/signals.c | 29 ++++++++++++++++++++++-------
 1 file changed, 22 insertions(+), 7 deletions(-)

commit 7b685eab8821686821c38e398536b0842b0ed131
Author:     Ray Strode <rstrode@redhat.com>
AuthorDate: Wed Sep 16 18:01:04 2015 +0200
Commit:     Benjamin Otte <otte@redhat.com>
CommitDate: Wed Sep 16 18:45:48 2015 +0200

    ffi: Marshal flags like enums

    Flags are enums.
    Fixes broken marshalling on BE 64bit architectures.

    https://bugzilla.gnome.org/show_bug.cgi?id=754882

 gobject/gclosure.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 846e206146c2f0b6b5321d245004d262c7d585a3
Author:     Murray Cumming <murrayc@murrayc.com>
AuthorDate: Wed Sep 16 14:30:29 2015 +0200
Commit:     Murray Cumming <murrayc@murrayc.com>
CommitDate: Wed Sep 16 14:30:29 2015 +0200

    GListModel docs: It's get_n_items(), not get_length().

 gio/glistmodel.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3bd1618ea955f950f87bc4e452029c5f0cea35aa
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 14 18:42:12 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 14 18:42:12 2015 -0400

    Disable deprecation warnings for the stable release again

    Keeping these enabled causes too many people to file
    bugs against gobject, and not enough people to send
    patches to port away from deprecated properties.

 gobject/gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5475be0c1053df95ac560a94b918445411b3639e
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 14 08:42:18 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 14 11:17:20 2015 -0400

    2.45.8

 NEWS | 1 +
 1 file changed, 1 insertion(+)

commit 4c938c246cf3da8db16a2d9cda7209f1d72e37ee
Author:     Fran Dieguez <fran@openhost.es>
AuthorDate: Mon Sep 14 16:49:57 2015 +0200
Commit:     Fran Dieguez <fran@openhost.es>
CommitDate: Mon Sep 14 16:49:57 2015 +0200

    Updated Galician translations

 po/gl.po | 935
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 478 insertions(+), 457 deletions(-)

commit 69002f726d597c613223ad0ea8e6262b73842f1b
Author:     Alexander Larsson <alexl@redhat.com>
AuthorDate: Mon Sep 14 13:15:51 2015 +0200
Commit:     Alexander Larsson <alexl@redhat.com>
CommitDate: Mon Sep 14 13:19:51 2015 +0200

    signal: return TRUE from g_signal_has_handler_pending for custom
    class closure

    This is almost always what you want, because if you're using this you
    want to know if any "custom code" (i.e. not the default class closure)
    is going to be run if you emit this signal.

    I looked at all the existing uses of this and they were all broken
    in the
    presence of g_signal_override_class_closure().

    https://bugzilla.gnome.org/show_bug.cgi?id=754986

 gobject/gsignal.c | 33 ++++++++++++++++++++++-----------
 1 file changed, 22 insertions(+), 11 deletions(-)

commit 2e96668f245dba66c3ceedfea7a8ecc565a018e7
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Sun Sep 13 22:44:29 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sun Sep 13 22:44:29 2015 -0400

    Updates

 NEWS | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit a7b2b5686aea1199e3cdea7d1c743e087a1e5b1d
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Sun Sep 13 13:37:10 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sun Sep 13 13:37:10 2015 -0400

    Fix make check

    I forgot to add the include to make I_() known in gdbusdaemon.c

 gio/gdbusdaemon.c | 1 +
 1 file changed, 1 insertion(+)

commit 67c5bbaf03c95df198b2828d5dbf51b010721f11
Author:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
AuthorDate: Sat Sep 12 12:13:10 2015 +0300
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sun Sep 13 13:12:25 2015 -0400

    glib/tests/utf8-validate: test known-length case along with
    null-terminated

    For all test cases where the text length is given as -1, also
    call g_utf8_validate() with the actual string length to exercise
    the known-length case. Unknown-length and known-length validation
    use different code paths, but most of the tests only exercised with
    unknown-length parameter.

    https://bugzilla.gnome.org/show_bug.cgi?id=754924

 glib/tests/utf8-validate.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 8ab28b448bfc852b61c515c6fe230f23a5c1298b
Author:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
AuthorDate: Sat Sep 12 11:38:04 2015 +0300
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sun Sep 13 13:04:59 2015 -0400

    glib/tests/utf8-validate: add another test for invalid continuation
    bytes

    This would have caught the regression committed in the course of
    bug #738504.

 glib/tests/utf8-validate.c | 1 +
 1 file changed, 1 insertion(+)

commit d1f4d4a91a5274a33a0aee0748851bce7fbffa23
Author:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
AuthorDate: Sat Sep 12 11:06:53 2015 +0300
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sun Sep 13 13:04:59 2015 -0400

    g_utf8_validate: fix a regression

    A recent change permitted some characters from range 0x80-0xbf as
    would-be valid sequence starters for length 2, as long as
    continuation characters were OK.

    https://bugzilla.gnome.org/show_bug.cgi?id=738504

 glib/gutf8.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a51a877d2739239e2ab7c72a60a5ecc27ba772f3
Author:     Nicola Fontana <ntd@entidi.it>
AuthorDate: Fri Mar 22 23:32:45 2013 +0100
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sun Sep 13 02:15:04 2015 -0400

    GParamSpec: do not use static GParamSpecTypeInfo

    g_param_type_register_static() has read-only access the pspec_info
    argument: no need to keep the original struct around.

    https://bugzilla.gnome.org/show_bug.cgi?id=696426

 gobject/gparamspecs.c | 42 +++++++++++++++++++++---------------------
 1 file changed, 21 insertions(+), 21 deletions(-)

commit 6f752b52e9145986a26a5c6f0bf064a185bb07d2
Author:     Anders Jonsson <anders.jonsson@norsjovallen.se>
AuthorDate: Sat Sep 12 21:13:22 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Sat Sep 12 21:13:22 2015 +0000

    Updated Swedish translation

 po/sv.po | 761
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 392 insertions(+), 369 deletions(-)

commit d8a7e093b92bee5b4077968984314afe8bf193db
Author:     Piotr Drąg <piotrdrag@gmail.com>
AuthorDate: Sat Sep 12 19:55:24 2015 +0200
Commit:     Piotr Drąg <piotrdrag@gmail.com>
CommitDate: Sat Sep 12 19:55:24 2015 +0200

    Updated POTFILES.in

 po/POTFILES.in | 9 +++++++++
 1 file changed, 9 insertions(+)

commit b9a27679ec1555262c0c721ec1793d7acd7766d9
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Sat Sep 12 12:05:31 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sat Sep 12 12:05:31 2015 -0400

    Revert "Cleanups after we dropped mem vtables"

    This reverts commit 627854fee1fde93e01f27655b00a9082348ee15f.

    It has been argued that not aborting on malloc() failure is
    an incompatible change.

 glib/gstrfuncs.c | 25 +++++++++++++++++++++----
 1 file changed, 21 insertions(+), 4 deletions(-)

commit 9acd0ddbf3c0f14e6ae7cb3f7faf4c24767f13b8
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Sat Sep 12 00:00:40 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sat Sep 12 11:13:45 2015 -0400

    gio: Intern all signal names beforehand

    This avoids pointless copying of static strings.

 gio/gappinfo.c                 |  6 +++---
 gio/gapplication.c             | 12 ++++++------
 gio/gdbusauthobserver.c        |  4 ++--
 gio/gdbusconnection.c          |  2 +-
 gio/gdbusdaemon.c              |  2 +-
 gio/gdbusinterfaceskeleton.c   |  2 +-
 gio/gdbusobject.c              |  4 ++--
 gio/gdbusobjectmanager.c       |  8 ++++----
 gio/gdbusobjectmanagerclient.c |  4 ++--
 gio/gdbusobjectskeleton.c      |  2 +-
 gio/gdbusproxy.c               |  4 ++--
 gio/gdbusserver.c              |  2 +-
 gio/glistmodel.c               |  3 ++-
 gio/gmenumodel.c               |  4 +++-
 gio/gsettings.c                |  8 ++++----
 gio/gsocketservice.c           |  2 +-
 gio/gthreadedsocketservice.c   |  2 +-
 gio/gunixmounts.c              |  4 ++--
 18 files changed, 39 insertions(+), 36 deletions(-)

commit c90f283be33bffde48c244e0478b63fd6798fbcf
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Sat Sep 12 01:47:13 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sat Sep 12 11:13:45 2015 -0400

    Speed up g_dataset_id_dup_data

    This code is used in the property notification path, so it
    better be fast. This commit removes a g_return_if_fail check and
    treats the common case of just a single data element better.

 glib/gdataset.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 59df5440f3805db3e1d00b86d91a76dcb50412e4
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Fri Sep 11 22:48:05 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sat Sep 12 11:13:45 2015 -0400

    Drop g_slice_set_config tests

    With g_quark_init, we are now calling GSlice from a constructor
    (this was already the case when linking against gobject).

 glib/tests/slice.c | 21 ---------------------
 1 file changed, 21 deletions(-)

commit 2fe992b099bfd3fb121a71b7af43e116b2142b5d
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Fri Sep 11 23:59:27 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sat Sep 12 11:13:45 2015 -0400

    Move quark initialization to a constructor

    This removes a branch from the very frequently called
    quark functions.

 glib/glib-init.c |  1 +
 glib/glib-init.h |  2 ++
 glib/gquark.c    | 26 ++++++++++++++------------
 3 files changed, 17 insertions(+), 12 deletions(-)

commit 627854fee1fde93e01f27655b00a9082348ee15f
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Fri Sep 11 18:08:33 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sat Sep 12 11:13:45 2015 -0400

    Cleanups after we dropped mem vtables

    Since g_malloc is now always malloc, we can just use
    strdup and strndup directly.

 glib/gstrfuncs.c | 25 ++++---------------------
 1 file changed, 4 insertions(+), 21 deletions(-)

commit 97a25d12031b07540c95387cb434ee5c87b82c46
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Thu Sep 10 23:57:01 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sat Sep 12 11:13:44 2015 -0400

    Optimize g_unichar_iswide

    Apply the same optimization that was done for g_unichar_get_script
    long ago: Use a quick check for the low end, and then remember the
    midpoint of the last bsearch, since we're likely to be called for
    characters that are close to each other.

    This change made g_unichar_iswide disappear from profiles of the
    gtk3-demo listbox example.

 glib/guniprop.c | 38 ++++++++++++++++++++++++++++++--------
 1 file changed, 30 insertions(+), 8 deletions(-)

commit 96675446c5fc9b47265124e479cc300f7a7ced65
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Thu Aug 6 15:39:22 2015 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Fri Sep 11 12:39:44 2015 -0400

    Make g_strerror() do less work

    Store the (translated, UTF-8-encoded) error strings in a hash table to
    avoid doing translation and (possibly) g_locale_to_utf8() in every
    g_strerror() call.

    https://bugzilla.gnome.org/show_bug.cgi?id=754788

 glib/gstrfuncs.c | 55
 ++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 34 insertions(+), 21 deletions(-)

commit 19eb511ba4f4914c1914472132d3601069bef906
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Wed Sep 9 11:16:30 2015 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Fri Sep 11 12:38:18 2015 -0400

    More g_strerror() fixes

    Add a check to configure.ac for strerror_r, since we don't currently
    require POSIX.1-2001 conformance in general. Add back a
    plain-strerror() case as a fallback, and rearrange the glibc-vs-POSIX
    strerror_r() branches.

    Update the docs to not claim that "not all platforms support the
    strerror() function" (we require C90), but still mention the UTF-8 and
    always-valid-string benefits. (And make test_strerror() check that
    last part.)

    https://bugzilla.gnome.org/show_bug.cgi?id=754788

 configure.ac          |  2 +-
 glib/gstrfuncs.c      | 27 +++++++++++++++------------
 glib/tests/strfuncs.c | 11 +++++++++++
 3 files changed, 27 insertions(+), 13 deletions(-)

commit ee6740aa78d267d9890bc3830a723dbc1eaf303a
Author:     Michael Catanzaro <mcatanzaro@gnome.org>
AuthorDate: Thu Sep 10 20:46:21 2015 -0500
Commit:     Michael Catanzaro <mcatanzaro@gnome.org>
CommitDate: Thu Sep 10 20:46:37 2015 -0500

    Fix a typo

 gobject/gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b8a5e22b6b6280ad05dd14cfa920316e85e30d04
Author:     Kalev Lember <klember@redhat.com>
AuthorDate: Thu Sep 10 15:06:56 2015 +0200
Commit:     Kalev Lember <klember@redhat.com>
CommitDate: Thu Sep 10 15:06:56 2015 +0200

    Bump version

    So that early adopters of new api have a version to target.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d19411a76f91d47930ea67d16b30fba55734b449
Author:     Kalev Lember <klember@redhat.com>
AuthorDate: Thu Sep 10 14:08:35 2015 +0200
Commit:     Kalev Lember <klember@redhat.com>
CommitDate: Thu Sep 10 14:36:43 2015 +0200

    autocleanups: Add GString type

    https://bugzilla.gnome.org/show_bug.cgi?id=754831

 glib/glib-autocleanups.h | 10 +++++++++-
 glib/tests/autoptr.c     |  8 ++++++++
 2 files changed, 17 insertions(+), 1 deletion(-)

commit 4025b5a54fcbe2f5bc4c71e3259bc1af60c99169
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Wed Sep 9 11:58:44 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Wed Sep 9 15:21:26 2015 +0800

    MSVC Builds: "Add" MSVC 2015 Projects

    This "adds" the Visual Studio 2015 Project files by doing what we did
    before: copying the Visual Studio 2010 projects and replacing items
    in them, as the formats of the Visual Studio 201x projects are largely
    the same.

 build/win32/Makefile.am      |  3 ++-
 build/win32/vs14/Makefile.am | 44
 ++++++++++++++++++++++++++++++++++++++++++++
 configure.ac                 |  1 +
 3 files changed, 47 insertions(+), 1 deletion(-)

commit 9c7df09c3bc784d19c206e8c17c3c288368541d1
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Wed Sep 9 11:54:11 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Wed Sep 9 15:21:12 2015 +0800

    MSVC Builds: Simplify Script to Generate glib-mkenums

    Use a simple all-purpose utility script to generate the glib-mkenums
    PERL script with the version info, and stop using the script that
    tries to parse the autotools files.  Move the things that
    were taken out from build/win32/setup.py back there.

 build/win32/Makefile.am                  |  2 +-
 build/win32/process_in_win32.py          | 77 -------------------------
 build/win32/replace.py                   | 98
 ++++++++++++++++++++++++++++++++
 build/win32/setup.py                     | 35 +++++++++++-
 build/win32/vs10/Makefile.am             |  3 +-
 build/win32/vs10/glib-gen-srcs.props     | 33 -----------
 build/win32/vs10/glib-gen-srcs.props.in  | 33 +++++++++++
 build/win32/vs9/Makefile.am              |  3 +-
 build/win32/vs9/glib-gen-srcs.vsprops    | 28 ---------
 build/win32/vs9/glib-gen-srcs.vsprops.in | 28 +++++++++
 configure.ac                             |  2 +
 11 files changed, 200 insertions(+), 142 deletions(-)

commit 0570adff8074a786023bfb7646e7475af52f88f9
Author:     Matej Urbančič <mateju@svn.gnome.org>
AuthorDate: Tue Sep 8 23:19:40 2015 +0200
Commit:     Matej Urbančič <mateju@svn.gnome.org>
CommitDate: Tue Sep 8 23:19:40 2015 +0200

    Updated Slovenian translation

 po/sl.po | 936
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 481 insertions(+), 455 deletions(-)

commit 20e8b634771f85926a6f9a67e11f13eb01d45bc7
Author:     Sebastian Dröge <sebastian@centricular.com>
AuthorDate: Fri Sep 4 11:58:57 2015 +0300
Commit:     Sebastian Dröge <sebastian@centricular.com>
CommitDate: Tue Sep 8 17:39:07 2015 +0300

    gioerror: Add more mappings for WinSock error codes

    https://bugzilla.gnome.org/show_bug.cgi?id=754560

 gio/gioerror.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 5a84f84325cbb0a58014348cb5513656432ae25d
Author:     Rico Tzschichholz <ricotz@ubuntu.com>
AuthorDate: Tue Sep 8 14:15:44 2015 +0200
Commit:     Rico Tzschichholz <ricotz@ubuntu.com>
CommitDate: Tue Sep 8 14:15:44 2015 +0200

    gparam: Fix Since tag of g_param_spec_get_name_quark

 gobject/gparam.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 925dca1746b45855ad56dbe219f631200e87c9ff
Author:     Rico Tzschichholz <ricotz@ubuntu.com>
AuthorDate: Tue Sep 8 14:14:13 2015 +0200
Commit:     Rico Tzschichholz <ricotz@ubuntu.com>
CommitDate: Tue Sep 8 14:14:13 2015 +0200

    docs: Add index for 2.46 api

 docs/reference/glib/glib-docs.xml       | 4 ++++
 docs/reference/gobject/gobject-docs.xml | 4 ++++
 2 files changed, 8 insertions(+)

commit 0be6766d9be08bce4901ab3b5d80657070e65ee1
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Mon Sep 7 14:46:10 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Tue Sep 8 15:51:58 2015 +0800

    MSVC Builds: Prepare For Visual Studio 2015

    Update the autotools module so that we can use it to upgrade the
    Visual Studio 2010 projects to become Visual Studio 2015-compatible.

    Note that this will make the MSVC 2015 builds use the the the latest
    VC140 CRT.

 build/Makefile-newvs.am      | 22 +++++++++++++---------
 build/win32/vs11/Makefile.am |  4 +---
 build/win32/vs12/Makefile.am |  4 +---
 3 files changed, 15 insertions(+), 15 deletions(-)

commit 00933dfc9cc525963c6833d3180b593a87bb15bb
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 7 20:56:10 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 7 20:56:10 2015 -0400

    Speed up property change notification a bit

    Avoid the quark lock and hash table lookup for every
    emission of ::notify.

 gobject/gobject.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 41c0d15a6d680738e80a59e89c1058a97ca922ea
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 7 20:54:01 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 7 20:54:01 2015 -0400

    Add a method to get the pspec name quark

    This lets us avoid the quark lookup in the hot
    property change notification path.

 docs/reference/gobject/gobject-sections.txt |  1 +
 gobject/gparam.c                            | 34
 ++++++++++++++++++++++++++---
 gobject/gparam.h                            |  3 +++
 3 files changed, 35 insertions(+), 3 deletions(-)

commit a62ad79f5c59152d1a52c3b52d969c3c48390cda
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 7 19:57:53 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 7 19:57:53 2015 -0400

    Clean up locking in g_object_notify_queue_add

    Instaed of returning with the lock held, simply assert
    that this cannot happen:

    https://bugzilla.gnome.org/show_bug.cgi?id=749678#c4

 gobject/gobject.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 087d75e3c336547fff37a4bc5d33b1ad041485bf
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 7 19:43:19 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 7 19:43:19 2015 -0400

    Make g_set_object more symmetric

    As argued in bug 748633, and order of ref, assign, unref is
    preferable.

 gobject/gobject.h | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit ebf961a58d540ea40611ad75bc983f5386d3635b
Author:     Ting-Wei Lan <lantw@src.gnome.org>
AuthorDate: Sat Sep 5 23:35:57 2015 +0800
Commit:     Colin Walters <walters@verbum.org>
CommitDate: Mon Sep 7 15:18:01 2015 -0400

    Make g_strerror work with non-glibc POSIX systems

    We should only use GNU-specific strerror_r on glibc. On other systems,
    we should use the XSI-compliant version.

    https://bugzilla.gnome.org/show_bug.cgi?id=754601

 glib/gstrfuncs.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit e773acfe9a0f8cf4d67799f6177997bd8a761ede
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 7 14:59:22 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 7 15:01:16 2015 -0400

    tests: Don't test g_utf8_to_ucs4_fast too rigorously

    The function is documented to assume valid input, and doesn't
    guarantee behavior with invalid input. So don't test that.

    https://bugzilla.gnome.org/show_bug.cgi?id=754636

 tests/unicode-encoding.c | 33 ++++++++++++++++++++++++++-------
 1 file changed, 26 insertions(+), 7 deletions(-)

commit db3ffe5bf139a664609ab1f7e3715a2da5019805
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 7 13:24:18 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 7 15:01:16 2015 -0400

    unicode-encoding test: Differentiate error messages

    Spitting out the same error for different cases in not helpful.

 tests/unicode-encoding.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cb3a03e1e2160d4548db3d7b2e55789c05e08225
Author:     Changwoo Ryu <cwryu@debian.org>
AuthorDate: Tue Sep 8 01:59:08 2015 +0900
Commit:     Changwoo Ryu <cwryu@debian.org>
CommitDate: Tue Sep 8 01:59:08 2015 +0900

    Updated Korean translation

 po/ko.po | 939
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 470 insertions(+), 469 deletions(-)

commit 23229bfd0cbd2588402835758238e36407814148
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 7 10:35:13 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 7 10:35:13 2015 -0400

    GString: Avoid some repeated parameter checking

    Many of the append and prepend variants are just thin wrappers
    around another one. Remove parameter checking in the wrapper
    for these cases. The wrapped function is checking them anyway.

 glib/gstring.c | 20 +-------------------
 1 file changed, 1 insertion(+), 19 deletions(-)

commit 03db1f455b4265654e237d2ad55464b4113cba8a
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 7 09:50:41 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 7 09:50:41 2015 -0400

    Remove some unused code

    The function unescape_gstring_inplace was maintaining a line count
    without ever making use of it. Drop that.

 glib/gmarkup.c | 4 ----
 1 file changed, 4 deletions(-)

commit 44af2b1c17b5920052a6bb363c62d8452a570a42
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 7 03:02:11 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 7 03:02:11 2015 -0400

    Simplify g_param_spec_get_redirect_target a bit more

    It is enough to look for exact matches here, so no need to
    dive into g_type_instance_is_a and take locks, etc.

 gobject/gparam.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f1f80111c9bb691c658e8657c450845387cbefd1
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Sep 7 02:33:50 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Sep 7 02:33:50 2015 -0400

    Simplify g_param_spec_get_redirect_target

    There is no need to do a type check in a g_return_if_fail if the
    type check is tne next thing the function does anyway.

 gobject/gparam.c | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit 401f78652c31a6a9eab68197e1634dcb765eabe6
Author:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
AuthorDate: Tue Oct 14 23:39:28 2014 +0300
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sat Sep 5 13:14:11 2015 -0400

    Reorganized utf8-performance tests

    Now each function-string pair gets its own test path to track
    a single performance result.

    https://bugzilla.gnome.org/show_bug.cgi?id=738504

 glib/tests/utf8-performance.c | 125
 ++++++++++++++++++++++++++----------------
 1 file changed, 77 insertions(+), 48 deletions(-)

commit b963565125f0ec2968300ddc80ab7750aa56625c
Author:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
AuthorDate: Mon Oct 13 21:31:02 2014 +0300
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sat Sep 5 13:12:48 2015 -0400

    Unrolled implementation of g_utf8_to_ucs4_fast()

    Unrolling the branches and expressions for all expected cases
    of UTF-8 sequences facilitates the work of both an optimizing compiler
    and the branch prediction logic in the CPU. This speeds up decoding
    noticeably on text composed primarily of longer sequences.

    https://bugzilla.gnome.org/show_bug.cgi?id=738504

 glib/gutf8.c | 71
 ++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 43 insertions(+), 28 deletions(-)

commit 3188b8ee791a38ac3dd7e477f30761344442f745
Author:     Mikhail Zabaluev <mikhail.zabaluev@gmail.com>
AuthorDate: Tue Oct 14 01:18:57 2014 +0300
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sat Sep 5 13:10:57 2015 -0400

    Optimized branching in g_utf8_validate()

    The number of branches and logical operations can be reduced by
    never producing a resulting wide character value to check its range.
    Instead, individual bytes in the sequence are validated
    depending on the branch taken on the basis of preceding bytes.
    The syntax given in RFC 3629 is made use of.

    https://bugzilla.gnome.org/show_bug.cgi?id=738504

 glib/gutf8.c | 149
 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 80 insertions(+), 69 deletions(-)

commit 5644ee5083c5f03e01ee2e4de615c16cfc0dfcd0
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Sat Sep 5 13:02:33 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Sat Sep 5 13:02:33 2015 -0400

    markup: trivial refactor

    Avoid an unnecessary branch.

 glib/gmarkup.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit d28639507db2029b8f184a5d93e9d8c28acc1955
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Fri Sep 4 13:55:46 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Fri Sep 4 13:56:57 2015 -0400

    list store: Fix a parameter check

    Getting this wrong causes build failures.

    https://bugzilla.gnome.org/show_bug.cgi?id=754582

 glib/gsequence.c | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

commit da4927b7fb0213f77d8ca087de6854948487c6ee
Author:     Baurzhan Muftakhidinov <baurthefirst@gmail.com>
AuthorDate: Fri Sep 4 16:23:43 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Fri Sep 4 16:23:43 2015 +0000

    Updated Kazakh translation

 po/kk.po | 947
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 465 insertions(+), 482 deletions(-)

commit 6e1618560035296f0d92231e241bf29b8d7d213c
Author:     Milo Casagrande <milo@ubuntu.com>
AuthorDate: Fri Sep 4 07:49:58 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Fri Sep 4 07:49:58 2015 +0000

    Updated Italian translation

 po/it.po | 1651
 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 663 insertions(+), 988 deletions(-)

commit 1387a16bf4eb1859170bd2fa9b9efb9d5169d1e7
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Thu Sep 3 15:24:06 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Thu Sep 3 19:10:26 2015 +0800

    MSVC Builds: Remove Static Items

    ... which are now generated with the new autotools module, so we just
    need to ensure the generated items are being dist'ed.

    https://bugzilla.gnome.org/show_bug.cgi?id=735429

 build/win32/vs10/glib-compile-resources.vcxproj    | 181 -----------
 .../vs10/glib-compile-resources.vcxproj.filters    |  17 --
 build/win32/vs10/glib-compile-schemas.vcxproj      | 181 -----------
 .../vs10/glib-compile-schemas.vcxproj.filters      |  17 --
 build/win32/vs10/glib-install.props                | 332
 ---------------------
 build/win32/vs9/glib-compile-resources.vcproj      | 156 ----------
 build/win32/vs9/glib-compile-schemas.vcproj        | 156 ----------
 build/win32/vs9/glib-install.vsprops               | 314
 -------------------
 8 files changed, 1354 deletions(-)

commit 041e77249af8778db1e37b3ad47c034fa7934e05
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Thu Sep 3 15:19:48 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Thu Sep 3 19:10:06 2015 +0800

    Cleanup and Enhance the MSVC Project Generation

    Make use of the common autotools module that is used to generate
    the MSVC
    project files from their respective templates so that the main
    build files
    beccome cleaner, and enhance them in a way that the headers that
    should be
    installed can be written to the property sheets during 'make dist',
    so that
    the chances of missing headers for MSVC builds can be greatly reduced.

    Also use this autotools module to fill in the projects for
    glib-compile-schemas and glib-compile-resources.

    https://bugzilla.gnome.org/show_bug.cgi?id=735429

 build/win32/vs10/.gitignore                        |   5 +
 build/win32/vs10/Makefile.am                       |  96 ++++++-----
 build/win32/vs10/gio.vcxproj.filtersin             |   4 +-
 build/win32/vs10/gio.vcxprojin                     |   4 +-
 .../vs10/glib-compile-resources.vcxproj.filtersin  |  12 ++
 build/win32/vs10/glib-compile-resources.vcxprojin  | 180
 +++++++++++++++++++++
 .../vs10/glib-compile-schemas.vcxproj.filtersin    |  12 ++
 build/win32/vs10/glib-compile-schemas.vcxprojin    | 180
 +++++++++++++++++++++
 build/win32/vs10/glib-install.propsin              | 102 ++++++++++++
 build/win32/vs10/glib.vcxproj.filtersin            |   4 +-
 build/win32/vs10/glib.vcxprojin                    |   2 +-
 build/win32/vs10/gobject.vcxproj.filtersin         |   2 +-
 build/win32/vs10/gobject.vcxprojin                 |   2 +-
 build/win32/vs9/.gitignore                         |   3 +
 build/win32/vs9/Makefile.am                        |  56 ++++---
 build/win32/vs9/gio.vcprojin                       |   2 +-
 build/win32/vs9/glib-compile-resources.vcprojin    | 155
 ++++++++++++++++++
 build/win32/vs9/glib-compile-schemas.vcprojin      | 155
 ++++++++++++++++++
 build/win32/vs9/glib-install.vspropsin             |  76 +++++++++
 build/win32/vs9/glib.vcprojin                      |   2 +-
 build/win32/vs9/gobject.vcprojin                   |   2 +-
 gio/Makefile.am                                    |  57 +++----
 glib/Makefile.am                                   |  50 ++----
 gobject/Makefile.am                                |  44 ++---
 24 files changed, 1032 insertions(+), 175 deletions(-)

commit 700983c8c9827cb4de93d25757c767d1d5211910
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Thu Sep 3 19:08:55 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Thu Sep 3 19:08:55 2015 +0800

    build: Add Common Autotools Module for MSVC Projects

    This adds a common autotools module that can be used by various
    projects to generate the Visual Studio projects as needed, and
    if necessary, generate the headers listings to "install" for that
    project, based on items passed in to this.  This is modelled on the
    Makefile.introspection autotools file that is used by many GNOME
    projects to generate the introspection files.

    https://bugzilla.gnome.org/show_bug.cgi?id=735429

 build/Makefile.msvcproj | 110
 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 110 insertions(+)

commit 63a5556aa2821b266b2b14b436abaa9f77e73e46
Author:     Aurimas Černius <aurisc4@gmail.com>
AuthorDate: Wed Sep 2 21:17:11 2015 +0300
Commit:     Aurimas Černius <aurisc4@gmail.com>
CommitDate: Wed Sep 2 21:17:11 2015 +0300

    Updated Lithuanian translation

 po/lt.po | 329
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 168 insertions(+), 161 deletions(-)

commit 7a65d1d3fb86b0ab46a0a425b79985e037cd3b68
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Wed Sep 2 14:48:04 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Wed Sep 2 14:52:52 2015 +0100

    gmem: Fix a typo in the g_try_new0() documentation

 glib/gmem.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b77fe970dbbc3c1e2bfaca58aade6874f8530885
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Wed Jan 14 10:44:12 2015 +0000
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Wed Sep 2 14:51:51 2015 +0100

    gstring: Mark g_string_free() as taking (transfer full) input

    This is unusual, but the correct annotation for a free() function.

    https://bugzilla.gnome.org/show_bug.cgi?id=742903

 glib/gstring.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4cad3f5e1bc88e626450607ca8c6b59265d7242b
Author:     Chun-wei Fan <fanchunwei@src.gnome.org>
AuthorDate: Wed Sep 2 16:09:58 2015 +0800
Commit:     Chun-wei Fan <fanchunwei@src.gnome.org>
CommitDate: Wed Sep 2 17:03:44 2015 +0800

    glib/strfuncs.c: Fix Build on Windows

    Windows does not have strerror_r(), but does have strerror_s(),
    which is
    threadsafe, and does more or less the same thing, so use it on
    Windows to
    fix the build.

    https://bugzilla.gnome.org/show_bug.cgi?id=754431

 glib/gstrfuncs.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 4a09d0cf7a65cd08d4156eafd80e943712216d49
Author:     Ting-Wei Lan <lantw@src.gnome.org>
AuthorDate: Wed Sep 2 01:19:40 2015 +0800
Commit:     Ting-Wei Lan <lantw@src.gnome.org>
CommitDate: Wed Sep 2 01:19:40 2015 +0800

    Fix return value error in g_list_store_sort

 gio/gliststore.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f14e2e5c53a5f1113c5e063511b7ea31319f4ccf
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Tue Sep 1 10:58:32 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Tue Sep 1 10:58:32 2015 -0400

    2.45.7

 NEWS         | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 48 insertions(+), 1 deletion(-)

commit b04c565f33edbe7b81b028ba371da93b946f6393
Author:     Emmanuele Bassi <ebassi@gnome.org>
AuthorDate: Wed Aug 19 13:47:58 2015 +0100
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Tue Sep 1 10:40:24 2015 -0400

    gio: Link against gmodule when building tools

    Otherwise cross-compilation will fail with linker errors.

    https://bugzilla.gnome.org/show_bug.cgi?id=753745

 gio/Makefile.am | 5 +++++
 1 file changed, 5 insertions(+)

commit 5ce70917df75f87c89a9b1e9d0583ae4135f0b2c
Author:     Emmanuele Bassi <ebassi@gnome.org>
AuthorDate: Wed Aug 19 13:38:30 2015 +0100
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Tue Sep 1 10:40:24 2015 -0400

    Drop binary checks when cross-compiling

    We don't need to run binaries we just built in order to successfully
    build GLib and friends any more.

    Since commit b74e2a7, we don't need to run glib-genmarshal when
    building
    GIO; since commit f9eb9eed, all our tests (including the ones that do
    need to run binaries we just built) are only built when running "make
    check", instead of unconditionally at every build.

    This means that we don't need to check for existing, native binaries
    when cross-compiling, and fail the configuration step if they are not
    found — which also means that you don't need to natively build
    GLib for
    your toolchain, in order to cross-compile GLib.

    We can also use the cross-compilation conditional, and skip those
    tests
    that require a binary we just built in order to build.

    https://bugzilla.gnome.org/show_bug.cgi?id=753745

 configure.ac              | 24 ++----------------------
 gio/tests/Makefile.am     | 12 +++++-------
 gobject/tests/Makefile.am | 14 ++++++++------
 tests/gobject/Makefile.am | 20 +++++++-------------
 4 files changed, 22 insertions(+), 48 deletions(-)

commit 1dec512a66fddfd8b4b265231b00d4f918b16cef
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Tue Sep 1 10:21:26 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Tue Sep 1 10:21:26 2015 -0400

    Revert "GSettings: delay backend subscription"

    This reverts commit 8ff5668a458344da22d30491e3ce726d861b3619.

    This change has had considerable fallout, and there was no
    follow-up to address it.

    https://bugzilla.gnome.org/show_bug.cgi?id=733791

 gio/gsettings-tool.c | 13 -------------
 gio/gsettings.c      | 47 ++++-------------------------------------------
 2 files changed, 4 insertions(+), 56 deletions(-)

commit 7fff264777ac9869ff347dd2bb02304e11d83a20
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Tue Sep 1 10:18:23 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Tue Sep 1 10:18:23 2015 -0400

    Revert "GSettings: fix check for delaying backend subscription"

    This reverts commit d511d6b37f051d2cd8698055cbd85ee7f987325d.

 gio/gsettings.c | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

commit 16721468e5410732f2575be35652ece538587b94
Author:     Iain Lane <iain@orangesquash.org.uk>
AuthorDate: Wed Jul 15 17:01:03 2015 +0100
Commit:     Iain Lane <iain@orangesquash.org.uk>
CommitDate: Tue Sep 1 14:30:43 2015 +0100

    gsignal: Don't crash when operating on signals on the wrong object

 gobject/gsignal.c | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

commit 261250c46e3eab9b54c9cc59b405a69785a65b35
Author:     Iain Lane <iain@orangesquash.org.uk>
AuthorDate: Thu Jul 16 15:38:21 2015 +0100
Commit:     Iain Lane <iain@orangesquash.org.uk>
CommitDate: Tue Sep 1 14:30:37 2015 +0100

    Test that disconnecting from the wrong thing warns and doesn't crash

    This broke in 916297be799ee001b4a214cc52c3b960bb0b5deb (≥ 2.45.3)

 gobject/tests/signals.c | 53
 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

commit 976da775cbeff497e922f959f9a35d5e06cfc7a9
Author:     Alexandre Franke <alexandre.franke@gmail.com>
AuthorDate: Tue Sep 1 07:57:48 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Tue Sep 1 07:57:48 2015 +0000

    Updated French translation

 po/fr.po | 230
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 120 insertions(+), 110 deletions(-)

commit 9f2e3f6b7262a8cae817a4cc12388fcc1bd63bce
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Wed Dec 3 05:57:29 2014 -0500
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Mon Aug 31 13:59:48 2015 -0400

    gtestutils: add g_assert_cmpmem()

    Add a test macro to compare two buffers (which are not already known
    to be the same length) for equality.

    https://bugzilla.gnome.org/show_bug.cgi?id=754283

 docs/reference/glib/glib-sections.txt |  1 +
 gio/tests/async-close-output-stream.c |  9 ++-----
 gio/tests/converter-stream.c          | 46
 +++++++++++++++++------------------
 gio/tests/gdbus-peer.c                |  3 +--
 gio/tests/gsettings.c                 |  4 +--
 gio/tests/gsubprocess.c               | 11 ++++-----
 gio/tests/readwrite.c                 | 10 +++-----
 glib/gtestutils.c                     | 33 +++++++++++++++++++++----
 glib/gtestutils.h                     | 10 ++++++++
 glib/tests/base64.c                   | 25 ++++---------------
 glib/tests/bytes.c                    | 23 ++++++------------
 glib/tests/checksum.c                 |  3 +--
 glib/tests/gvariant.c                 |  3 +--
 glib/tests/hmac.c                     |  3 +--
 glib/tests/strfuncs.c                 |  3 +--
 glib/tests/string.c                   | 10 +++-----
 glib/tests/testing.c                  | 26 ++++++++++++++++++++
 17 files changed, 120 insertions(+), 103 deletions(-)

commit 367f36d630afa01b0967547f5a038a1f8f499f45
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Fri Dec 12 12:47:00 2014 -0500
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Mon Aug 31 13:58:56 2015 -0400

    gtestutils: forbid having two tests with the same full path

    In the same way that gtestutils used to let you create multiple suites
    with the same name, it also let you create multiple tests with the
    same name. Make that an error instead (and fix glib/tests/base64.c,
    which was registering three separate tests named
    "/base64/incremental/nobreak/4", and glib/tests/autoptr.c, which was
    running test_g_variant_builder() twice).

    https://bugzilla.gnome.org/show_bug.cgi?id=754286

 glib/gtestutils.c    | 16 +++++++++++++++-
 glib/tests/autoptr.c |  1 -
 glib/tests/base64.c  |  6 +++---
 3 files changed, 18 insertions(+), 5 deletions(-)

commit 123ea70d74e655f7401cf70d364ccfb2b03022a7
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Sat Feb 1 18:23:13 2014 +0100
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Mon Aug 31 13:58:56 2015 -0400

    gtestutils: improve non-TAP output, fix handling of incomplete tests

    In non-TAP mode, tests that used g_test_skip() were labelled "OK", and
    tests that used g_test_incomplete() were labelled "FAIL". Explicitly
    show them as "SKIP" and "TODO" instead, like in the TAP case.

    Also, incomplete/TODO tests are not supposed to be treated as
    failures, so fix that too.

    https://bugzilla.gnome.org/show_bug.cgi?id=754286

 glib/gtestutils.c | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit 6e382208f72cfd449cf076ac1f1fa340fe6eea0f
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Fri Dec 12 11:49:31 2014 -0500
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Mon Aug 31 13:58:25 2015 -0400

    gtestutils: print the TAP test plan first, not last

    TAP allows you to print the "test plan" (ie, the expected number of
    tests" either at the start or the end of the test program, but if you
    put it at the end, and the program crashes, automake will complain
    "missing test plan", which is confusing to users (particularly since
    it prints that *before* it prints that the test program crashed,
    suggesting that somehow the lack of test plan was responsible for the
    crash or something, rather than vice versa).

    Anyway, change it to count the tests ahead of time, and print the test
    plan first. Keeping this simple requires disallowing the '-p', '-s',
    and '--GTestSkipCount' options when using '--tap' (although we were
    already printing the wrong number in the --GTestSkipCount case
    anyway).

    https://bugzilla.gnome.org/show_bug.cgi?id=754284

 glib/gtestutils.c | 44 ++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 42 insertions(+), 2 deletions(-)

commit 51c91ed53d54efed8f82d5ead200ac5b6ef52a6a
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Fri Mar 14 14:57:51 2014 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Mon Aug 31 13:58:25 2015 -0400

    gtestutils: move "/subprocess" path special-casing

    https://bugzilla.gnome.org/show_bug.cgi?id=754284

 glib/gtestutils.c | 42 ++++++++++++++++++------------------------
 1 file changed, 18 insertions(+), 24 deletions(-)

commit 91ff2ba844a917162307a75afa658571d419701f
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Fri Mar 14 11:19:01 2014 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Mon Aug 31 13:58:25 2015 -0400

    gtestutils: make g_test_suite_run{,internal} less confusing

    Rewrite g_test_suite_run() and g_test_suite_run_internal() to make it
    clearer what they do (while still preserving exact backward
    compatibility, meaning we need to handle the "-p" case differently
    from the non-"-p" case).

    https://bugzilla.gnome.org/show_bug.cgi?id=754284

 glib/gtestutils.c | 94
 ++++++++++++++++++++++++-------------------------------
 1 file changed, 41 insertions(+), 53 deletions(-)

commit 510331bacf803a905577b93f118f5a32bba55bd3
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Fri Mar 14 11:41:44 2014 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Mon Aug 31 13:58:25 2015 -0400

    gtestutils: reorganize g_test_name manipulation

    https://bugzilla.gnome.org/show_bug.cgi?id=754284

 glib/gtestutils.c | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 34ec21fab54ecd964ab7167060b650ab0ff44602
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Aug 31 13:48:22 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Aug 31 13:48:22 2015 -0400

    win32: Fix a g_once_init_enter call

    g_once_init_enter must be given a gsize-sized location.
    A gboolean doesn't qualify. This broke the build on win64.

    http://bugzilla.gnome.org/show_bug.cgi?id=754307

 gio/gwin32appinfo.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 591eabcbbcaf3589b004e65c4a11a0d7d18887c8
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Mon Aug 31 13:43:47 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Aug 31 13:43:47 2015 -0400

    Remove an unused variable

 gio/gwin32registrykey.c | 2 --
 1 file changed, 2 deletions(-)

commit b8a2e08abadda92547ed63881dcfbe779594d03b
Author:     Balázs Úr <urbalazs@gmail.com>
AuthorDate: Mon Aug 31 16:16:49 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Mon Aug 31 16:16:49 2015 +0000

    Updated Hungarian translation

 po/hu.po | 510
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 256 insertions(+), 254 deletions(-)

commit e5734c37a6f1b0d3ce467e7a5ac11c29c1d5f56a
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Wed Aug 26 23:20:39 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Mon Aug 31 10:40:45 2015 -0400

    Add g_list_store_sort

    GListStore already has a g_list_store_insert_sorted function,
    which can be used to keep the list sorted according to a fixed
    sort function. But if the sort function changes (as e.g. with
    sort columns in a list UI), the entire list needs to be
    resorted. In that case, you want g_list_store_sort().

    https://bugzilla.gnome.org/show_bug.cgi?id=754152

 docs/reference/gio/gio-sections.txt |  1 +
 gio/gliststore.c                    | 26 ++++++++++++++++++++++++++
 gio/gliststore.h                    |  5 +++++
 3 files changed, 32 insertions(+)

commit 516adb99c094fc2c4dcb95f97f9d251d7bba1716
Author:     Michael Catanzaro <mcatanzaro@gnome.org>
AuthorDate: Fri Aug 28 19:47:19 2015 -0500
Commit:     Michael Catanzaro <mcatanzaro@gnome.org>
CommitDate: Sat Aug 29 08:43:29 2015 -0500

    Add certificate chain construction test

    Enhance GTestTlsBackend to allow setting the issuer property of
    GTlsCertificates, and add a test to ensure certificate chain
    construction with g_tls_certificate_new_from_pem() works as expected.

    https://bugzilla.gnome.org/show_bug.cgi?id=754264

 gio/tests/cert-tests/cert-list.pem | 16 +++++++++
 gio/tests/gtesttlsbackend.c        |  9 ++++-
 gio/tests/tls-certificate.c        | 69
 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 93 insertions(+), 1 deletion(-)

commit 587068c969716df2b994362e3133c68d91455d47
Author:     Michael Catanzaro <mcatanzaro@gnome.org>
AuthorDate: Fri Aug 28 19:43:09 2015 -0500
Commit:     Michael Catanzaro <mcatanzaro@gnome.org>
CommitDate: Sat Aug 29 08:43:29 2015 -0500

    GTlsCertificate: fix loading of chain with private key

    If a private key (or anything, in fact) follows the final certificate
    in
    the file, certificate parsing will be aborted and only the first
    certificate in the chain will be returned, with the private key
    not set.
    Be tolerant of this, rather than expecting the final character in the
    file to be the newline following the last certificate.

    https://bugzilla.gnome.org/show_bug.cgi?id=754264

 gio/gtlscertificate.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 1ab3e3ed3e0c50cc8e747a9617f9412af8a15bdd
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Tue Aug 25 10:18:06 2015 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Sat Aug 29 08:46:25 2015 -0400

    gsocket: add a wrapper around g_set_error() to avoid extra work

    If @error is NULL then we don't even need to evaluate the remaining
    arguments. And if errno is EWOULDBLOCK, then no one should see the
    error message anyway, so don't bother g_strdup_printf'ing up a pretty
    one.

    https://bugzilla.gnome.org/show_bug.cgi?id=752769

 gio/gsocket.c | 54 ++++++++++++++++++++++++++----------------------------
 1 file changed, 26 insertions(+), 28 deletions(-)

commit a70265779480e31d575dd2a4f0444bf5a1849c22
Author:     Tom Tryfonidis <tomtryf@gmail.com>
AuthorDate: Fri Aug 28 20:49:53 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Fri Aug 28 20:49:53 2015 +0000

    Updated Greek translation

 po/el.po | 676
 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 315 insertions(+), 361 deletions(-)

commit 30d95388e7835487e5ed67334bddc2a45c0846a5
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Fri Aug 28 16:05:05 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Fri Aug 28 16:05:05 2015 -0400

    Test g_strerror some more

    Set a locale here, so we actually do conversion, and also
    run the loop far enough that we hit the 'unknown error' case.

 glib/tests/strfuncs.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 36fac0849ceabafb9e2a15045230833e7dbc9e9d
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Fri Aug 28 15:38:04 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Fri Aug 28 15:54:46 2015 -0400

    Make g_strerror threadsafe

    We need to use strerror_r here, in order to be threadsafe.

 glib/gstrfuncs.c | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit eb7ffccf44ecb27f581693c4f62ed8d361999817
Author:     Matthias Clasen <mclasen@redhat.com>
AuthorDate: Fri Aug 28 14:13:24 2015 -0400
Commit:     Matthias Clasen <mclasen@redhat.com>
CommitDate: Fri Aug 28 14:15:54 2015 -0400

    test repeated g_hash_table_remove_all calls

    I just came across a situation where code ended up stuck in
    an infinite loop in GHashTable code, so lets verify that this
    is a safe thing.

 glib/tests/hash.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 323b1d9c5f20ff46d420bdb63f80f772f9f7fb2f
Author:     Andika Triwidada <andika@gmail.com>
AuthorDate: Fri Aug 28 13:00:20 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Fri Aug 28 13:00:20 2015 +0000

    Updated Indonesian translation

 po/id.po | 196
 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 103 insertions(+), 93 deletions(-)

commit f8341badb87ffc7d48488b95b58efbd1c7747674
Author:     K. Adam Christensen <pope@shifteleven.com>
AuthorDate: Fri Aug 28 08:17:24 2015 -0400
Commit:     Colin Walters <walters@verbum.org>
CommitDate: Fri Aug 28 08:17:24 2015 -0400

    gfileenumerator: Don't leak memory if out_info is NULL

    In the unusual case where one just wants the filenames, avoid
    a leak.

    https://bugzilla.gnome.org/show_bug.cgi?id=754211

 gio/gfileenumerator.c | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 4cbd0d6a602f82f42aa8dc8e83c3daee95134d03
Author:     Yosef Or Boczko <yoseforb@src.gnome.org>
AuthorDate: Thu Aug 27 23:21:08 2015 +0300
Commit:     Yosef Or Boczko <yoseforb@src.gnome.org>
CommitDate: Thu Aug 27 23:21:08 2015 +0300

    Updated Hebrew translation

 po/he.po | 346
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 178 insertions(+), 168 deletions(-)

commit 42331aa15484dc60561a8848d4696a655ba2d22d
Author:     Fran Dieguez <fran@openhost.es>
AuthorDate: Thu Aug 27 16:47:01 2015 +0200
Commit:     Fran Dieguez <fran@openhost.es>
CommitDate: Thu Aug 27 16:47:04 2015 +0200

    Updated Galician translations

 po/gl.po | 173
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 99 insertions(+), 74 deletions(-)

commit c061d6995c594c47f718d73b2419547161e92636
Author:     Piotr Drąg <piotrdrag@gmail.com>
AuthorDate: Wed Aug 26 18:21:34 2015 +0200
Commit:     Piotr Drąg <piotrdrag@gmail.com>
CommitDate: Wed Aug 26 18:21:34 2015 +0200

    Updated Polish translation

 po/pl.po | 1406
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 697 insertions(+), 709 deletions(-)

commit a3f567ad56af4e0c3cad8eab591360609ec94b5a
Author:     Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
AuthorDate: Tue Aug 25 22:54:03 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Tue Aug 25 22:54:03 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 903
 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 475 insertions(+), 428 deletions(-)

commit 91a6ec8d07eb521fc3f9be3bf7b7ae36a6108c88
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Tue Aug 25 10:49:06 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Tue Aug 25 10:49:06 2015 +0100

    gutils: Clarify return values of g_bit_nth_[lsf|msf]()

    Clarify in the documentation that both functions return -1 if no high
    bits could be found.

 glib/gutils.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit b233d7e324e7661c6a487df9362a6503f0acfea5
Author:     Pedro Albuquerque <palbuquerque73@gmail.com>
AuthorDate: Tue Aug 25 06:22:23 2015 +0000
Commit:     GNOME Translation Robot <gnome-sysadmin@gnome.org>
CommitDate: Tue Aug 25 06:22:23 2015 +0000

    Updated Portuguese translation

 po/pt.po | 392
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 198 insertions(+), 194 deletions(-)

commit 7da3922d051907ccd9b32de140bab217c7665c02
Author:     Dan Winship <danw@gnome.org>
AuthorDate: Fri Aug 21 17:39:44 2015 -0400
Commit:     Dan Winship <danw@gnome.org>
CommitDate: Mon Aug 24 16:30:05 2015 -0400

    gdbus: fix race condition in connection filter freeing

    If you called g_dbus_connection_remove_filter() on a filter while it
    was running (or about to be run) in another thread, its GDestroyNotify
    would be run immediately, potentially causing the filter thread to
    crash.

    Fix this by refcounting the filters, and using the existing mechanism
    for running a GDestroyNotify in another thread in the case where the
    the gdbus thread is the one that frees it.

    Also, add a bit of documentation explaining this (and add a related
    clarification to g_dbus_connection_signal_subscribe()).

    https://bugzilla.gnome.org/show_bug.cgi?id=704568

 gio/gdbusconnection.c | 136
 +++++++++++++++++++++++++++++++++++---------------
 1 file changed, 95 insertions(+), 41 deletions(-)

commit 76c1f78cb92cdbfe46321da2b2d2ecfbfdf32eaa
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Mon Aug 24 10:38:27 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Mon Aug 24 10:38:27 2015 +0100

    gfile: Clarify g_file_get_parent() documentation

    Clarify that a parent in this case has to be an immediate parent,
    not an
    arbitrary ancestor several levels up in the tree.

 gio/gfile.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 50a65cc38a68dcb04f57fb492c83878e5238d15b
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Mon Aug 24 10:37:51 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Mon Aug 24 10:37:51 2015 +0100

    gfile: Clarify g_file_get_path() documentation

    Clarify that the returned path (if non-NULL) is guaranteed to be
    absolute and canonical, but might still contain symlinks.

 gio/gfile.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 02f9e84709b4e4756f3e512dede3430f3538fbf5
Author:     Kalev Lember <klember@redhat.com>
AuthorDate: Sat Aug 22 23:13:33 2015 +0200
Commit:     Kalev Lember <klember@redhat.com>
CommitDate: Sat Aug 22 23:13:33 2015 +0200

    gdbus: Add a missing include

    This fixes the build on non-unix platforms, such as win32 where
    gunixfdlist.h is not included.

 gio/gdbusmethodinvocation.c | 1 +
 1 file changed, 1 insertion(+)

commit a6ae52fa132ef2c5468d924945470957a7ef4c42
Author:     Michael Catanzaro <mcatanzaro@gnome.org>
AuthorDate: Fri Aug 21 16:46:33 2015 -0500
Commit:     Michael Catanzaro <mcatanzaro@gnome.org>
CommitDate: Fri Aug 21 16:46:33 2015 -0500

    docs: Fix a typo finalised -> finalized

    db8455f07d3d58b8d30d35371c0bbd3e342c8960 added use of both "finalised"
    and "finalized". We generally use American spelling, so prefer that.

 glib/gmain.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d33eae97c99c7dc0df362eba2010ec28ac08058e
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Fri Aug 21 15:17:24 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Fri Aug 21 15:17:24 2015 +0100

    Revert "TODO ban maman"

    I can’t work git-bz.

    This reverts commit a228f0ac8031379d3568245e24fb287408cf3a26.

 docs/reference/gobject/tut_gtype.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a228f0ac8031379d3568245e24fb287408cf3a26
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Wed Aug 19 12:00:00 2015 +0100
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Fri Aug 21 15:15:53 2015 +0100

    TODO ban maman

 docs/reference/gobject/tut_gtype.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 57d0ec57e43ce9b98a76fc7d07b3b5827481e516
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Tue Feb 24 08:50:53 2015 +0000
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Fri Aug 21 15:15:53 2015 +0100

    docs: Clarify costs of using the generic GObject C closure marshaller

    The libffi one is slower than type-specific generated ones, but is
    generally better to use.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_gsignal.xml |  3 ++-
 docs/reference/gobject/tut_howto.xml   | 19 +++++++++++++++----
 2 files changed, 17 insertions(+), 5 deletions(-)

commit e57741791e9bd317a0777ab2eff6b40923f0f854
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Mon Feb 23 15:32:47 2015 +0000
Commit:     Philip Withnall <philip.withnall@collabora.co.uk>
CommitDate: Fri Aug 21 15:15:53 2015 +0100

    docs: Port GObject concepts to use G_DECLARE_FINAL_TYPE

    And G_DECLARE_INTERFACE.

    https://bugzilla.gnome.org/show_bug.cgi?id=744060

 docs/reference/gobject/tut_gtype.xml | 172
 +++++++++++++++++------------------
 1 file changed, 85 insertions(+), 87 deletions(-)

commit ab9b52e69ce8d3da9bade6f73468736c7b1cec1a
Author:     Philip Withnall <philip.withnall@collabora.co.uk>
AuthorDate: Mon Feb 23 15:30:57 2015 +0000
